// python wrapper for vtkSM3DWidgetProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSM3DWidgetProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *); }

static PyObject *PyvtkSM3DWidgetProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  const char    *temp20;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSM3DWidgetProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSM3DWidgetProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  vtkSM3DWidgetProxy  *temp20;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSM3DWidgetProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_AddToRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::AddToRenderModule(temp0);
      }
    else
      {
      op->AddToRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_RemoveFromRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::RemoveFromRenderModule(temp0);
      }
    else
      {
      op->RemoveFromRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  double temp0[6];
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_SetIgnorePlaceWidgetChanges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  int      temp0;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::SetIgnorePlaceWidgetChanges(temp0);
      }
    else
      {
      op->SetIgnorePlaceWidgetChanges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_SetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  int      temp0;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::SetVisibility(temp0);
      }
    else
      {
      op->SetVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  int      temp0;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_GetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  int      temp20;
  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSM3DWidgetProxy::GetEnabled();
      }
    else
      {
      temp20 = op->GetEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSM3DWidgetProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSM3DWidgetProxy *op;

  if ((op = (vtkSM3DWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSM3DWidgetProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSM3DWidgetProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSM3DWidgetProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSM3DWidgetProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSM3DWidgetProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSM3DWidgetProxy\nC++: vtkSM3DWidgetProxy *NewInstance ();\n\n"},
  {(char*)"AddToRenderModule",                (PyCFunction)PyvtkSM3DWidgetProxy_AddToRenderModule, 1,
   (char*)"V.AddToRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void AddToRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"RemoveFromRenderModule",                (PyCFunction)PyvtkSM3DWidgetProxy_RemoveFromRenderModule, 1,
   (char*)"V.RemoveFromRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void RemoveFromRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSM3DWidgetProxy_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bds[6]);\n\n Sends a PlaceWidget event to the 3DWidget.\n A PlaceWidget call on most of the 3DWidgets (eg. ImplicitPlane)\n leads to changes in some of the properties of the widget (such as\n center/normal). These changes are accepted or totally ignored\n depending on the status of the IgnorePlaceWidgetChanges flag.\n"},
  {(char*)"SetIgnorePlaceWidgetChanges",                (PyCFunction)PyvtkSM3DWidgetProxy_SetIgnorePlaceWidgetChanges, 1,
   (char*)"V.SetIgnorePlaceWidgetChanges(int)\nC++: void SetIgnorePlaceWidgetChanges (int );\n\n A PlaceWidget call on most of the 3DWidgets (eg. ImplicitPlane)\n leads to changes in some of the properties of the widget (such as\n center/normal). This flag indicates if the changes to the widget \n due to a call to PlaceWidget are to be accepted or ignored.\n They are ignored when this flag is set and accepted otherwise.\n By default, this flag is not set, hence the changes are accepted.\n"},
  {(char*)"SetVisibility",                (PyCFunction)PyvtkSM3DWidgetProxy_SetVisibility, 1,
   (char*)"V.SetVisibility(int)\nC++: virtual void SetVisibility (int visible);this SetEnabled visible \n\n Get/Set Enabled state of the InteractorObserver\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkSM3DWidgetProxy_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int e);\n\n Get/Set Enabled state of the InteractorObserver\n"},
  {(char*)"GetEnabled",                (PyCFunction)PyvtkSM3DWidgetProxy_GetEnabled, 1,
   (char*)"V.GetEnabled() -> int\nC++: int GetEnabled ();\n\n Get/Set Enabled state of the InteractorObserver\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSM3DWidgetProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Update the VTK object on the server by pushing the values of all \n modified properties (un-modified properties are ignored). If the \n object has not been created, it will be created first.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSM3DWidgetProxyDoc[] = {
  (char*)"vtkSM3DWidgetProxy - \n\n",
  "Super Class:\n\n vtkSMDisplayProxy\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSM3DWidgetProxyMethods,
                        (char*)"vtkSM3DWidgetProxy",modulename,
                        (char**)vtkSM3DWidgetProxyDoc,
                        PyVTKClass_vtkSMDisplayProxyNew(modulename));
}

