// python wrapper for vtkSMAnimationCueManipulatorProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMAnimationCueManipulatorProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationCueManipulatorProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationCueManipulatorProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMAnimationCueManipulatorProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationCueManipulatorProxy *op;

  const char    *temp20;
  if ((op = (vtkSMAnimationCueManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationCueManipulatorProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationCueManipulatorProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationCueManipulatorProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMAnimationCueManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationCueManipulatorProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationCueManipulatorProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationCueManipulatorProxy *op;

  vtkSMAnimationCueManipulatorProxy  *temp20;
  if ((op = (vtkSMAnimationCueManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationCueManipulatorProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationCueManipulatorProxy_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationCueManipulatorProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMAnimationCueManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationCueManipulatorProxy::Copy(temp0,temp1,temp2);
      }
    else
      {
      op->Copy(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMAnimationCueManipulatorProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMAnimationCueManipulatorProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMAnimationCueManipulatorProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMAnimationCueManipulatorProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationCueManipulatorProxy\nC++: vtkSMAnimationCueManipulatorProxy *NewInstance ();\n\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMAnimationCueManipulatorProxy_Copy, 1,
   (char*)"V.Copy(vtkSMProxy, string, int)\nC++: virtual void Copy (vtkSMProxy *src, const char *exceptionClass, int proxyPropertyCopyFlag);\n\n Overridden to call MarkAllPropertiesAsModified().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMAnimationCueManipulatorProxyDoc[] = {
  (char*)"vtkSMAnimationCueManipulatorProxy\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" Manipulator provides means to animate with various time functions.\n\n",
  "See Also:\n\n vtkSMAnimationCueProxy\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMAnimationCueManipulatorProxyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMAnimationCueManipulatorProxyMethods,
                        (char*)"vtkSMAnimationCueManipulatorProxy",modulename,
                        (char**)vtkSMAnimationCueManipulatorProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

