// python wrapper for vtkSMBooleanDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMBooleanDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMBooleanDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMBooleanDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(char *); }

static PyObject *PyvtkSMBooleanDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBooleanDomain *op;

  const char    *temp20;
  if ((op = (vtkSMBooleanDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBooleanDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBooleanDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBooleanDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMBooleanDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBooleanDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBooleanDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBooleanDomain *op;

  vtkSMBooleanDomain  *temp20;
  if ((op = (vtkSMBooleanDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBooleanDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBooleanDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMBooleanDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMBooleanDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMBooleanDomain_IsInDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBooleanDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSMBooleanDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBooleanDomain::IsInDomain(temp0);
      }
    else
      {
      temp20 = op->IsInDomain(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMBooleanDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBooleanDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  double   temp2;
  if ((op = (vtkSMBooleanDomain *)PyArg_VTKParseTuple(self, args, (char*)"Oid", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBooleanDomain::SetAnimationValue(temp0,temp1,temp2);
      }
    else
      {
      op->SetAnimationValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkSMBooleanDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMBooleanDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMBooleanDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMBooleanDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMBooleanDomain\nC++: vtkSMBooleanDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMBooleanDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMBooleanDomain\nC++: vtkSMBooleanDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsInDomain",                (PyCFunction)PyvtkSMBooleanDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain (vtkSMProperty *property);\n\n Returns true if the propery is a vtkSMIntVectorProperty.\n Return 0 otherwise.\n"},
  {(char*)"SetAnimationValue",                (PyCFunction)PyvtkSMBooleanDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue (vtkSMProperty *property, int idx, double value);\n\n Set the value of an element of a property from the animation editor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMBooleanDomainDoc[] = {
  (char*)"vtkSMBooleanDomain - a domain with two values: true or false\n\n",
  "Super Class:\n\n vtkSMDomain\n\n",
  (char*)" vtkSMBooleanDomain does not really restrict the values of the property\n that contains it. All integer values are valid. Rather, it is used to\n specified that the property represents a true/false state. This domains\n works with only vtkSMIntVectorProperty.\n\n",
  "See Also:\n\n vtkSMDomain vtkSMIntVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMBooleanDomainStaticNew()
{
  return vtkSMBooleanDomain::New();
}

PyObject *PyVTKClass_vtkSMBooleanDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMBooleanDomainStaticNew,
                        PyvtkSMBooleanDomainMethods,
                        (char*)"vtkSMBooleanDomain",modulename,
                        (char**)vtkSMBooleanDomainDoc,
                        PyVTKClass_vtkSMDomainNew(modulename));
}

