// python wrapper for vtkSMBoxProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMBoxProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMBoxProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMBoxProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMBoxProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  const char    *temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  vtkSMBoxProxy  *temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMBoxProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMBoxProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_SetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetRotation(temp0,temp1,temp2);
      }
    else
      {
      op->SetRotation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetRotation(temp0);
      }
    else
      {
      op->SetRotation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_GetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::GetRotation();
      }
    else
      {
      temp20 = op->GetRotation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxProxy::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxProxy *op;

  if ((op = (vtkSMBoxProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMBoxProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMBoxProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMBoxProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMBoxProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMBoxProxy\nC++: vtkSMBoxProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMBoxProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMBoxProxy\nC++: vtkSMBoxProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkSMBoxProxy_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Get/Set Position of the box.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkSMBoxProxy_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Get/Set Position of the box.\n"},
  {(char*)"SetRotation",                (PyCFunction)PyvtkSMBoxProxy_SetRotation, 1,
   (char*)"V.SetRotation(float, float, float)\nC++: void SetRotation (double , double , double );\nV.SetRotation((float, float, float))\nC++: void SetRotation (double  a[3]);\n\n Get/Set Rotation for the box.\n"},
  {(char*)"GetRotation",                (PyCFunction)PyvtkSMBoxProxy_GetRotation, 1,
   (char*)"V.GetRotation() -> (float, float, float)\nC++: double  *GetRotation ();\n\n Get/Set Rotation for the box.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSMBoxProxy_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Get/Set Scale for the box.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSMBoxProxy_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Get/Set Scale for the box.\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMBoxProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Push values on to the VTK objects. \n This computes the transform matrix from the Position/Scale/Rotation\n values and sets that on to the vtkBox\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMBoxProxyDoc[] = {
  (char*)"vtkSMBoxProxy - proxy for vtkBox\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" vtkSMBoxProxy provides a Position/Rotation/Scale interface to vtkBox.\n\n",
  NULL
};

static vtkObjectBase *vtkSMBoxProxyStaticNew()
{
  return vtkSMBoxProxy::New();
}

PyObject *PyVTKClass_vtkSMBoxProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMBoxProxyStaticNew,
                        PyvtkSMBoxProxyMethods,
                        (char*)"vtkSMBoxProxy",modulename,
                        (char**)vtkSMBoxProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

