// python wrapper for vtkSMBoxWidgetProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMBoxWidgetProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMBoxWidgetProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMBoxWidgetProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *); }

static PyObject *PyvtkSMBoxWidgetProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  const char    *temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  vtkSMBoxWidgetProxy  *temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMBoxWidgetProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMBoxWidgetProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_SetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetRotation(temp0,temp1,temp2);
      }
    else
      {
      op->SetRotation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::SetRotation(temp0);
      }
    else
      {
      op->SetRotation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_GetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMBoxWidgetProxy::GetRotation();
      }
    else
      {
      temp20 = op->GetRotation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMBoxWidgetProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMBoxWidgetProxy *op;

  if ((op = (vtkSMBoxWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMBoxWidgetProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMBoxWidgetProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMBoxWidgetProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMBoxWidgetProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMBoxWidgetProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMBoxWidgetProxy\nC++: vtkSMBoxWidgetProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMBoxWidgetProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMBoxWidgetProxy\nC++: vtkSMBoxWidgetProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkSMBoxWidgetProxy_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkSMBoxWidgetProxy_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSMBoxWidgetProxy_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSMBoxWidgetProxy_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"SetRotation",                (PyCFunction)PyvtkSMBoxWidgetProxy_SetRotation, 1,
   (char*)"V.SetRotation(float, float, float)\nC++: void SetRotation (double , double , double );\nV.SetRotation((float, float, float))\nC++: void SetRotation (double  a[3]);\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"GetRotation",                (PyCFunction)PyvtkSMBoxWidgetProxy_GetRotation, 1,
   (char*)"V.GetRotation() -> (float, float, float)\nC++: double  *GetRotation ();\n\n Get/Set methods for the iVars.\n On UpdateVTKObjects(), these iVars are used to compute \n a transformation matrix which is set on the 3DWidget object\n on the Server(and Client).\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMBoxWidgetProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Called to push the values onto the VTK object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMBoxWidgetProxyDoc[] = {
  (char*)"vtkSMBoxWidgetProxy\n\n",
  "Super Class:\n\n vtkSM3DWidgetProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMBoxWidgetProxyStaticNew()
{
  return vtkSMBoxWidgetProxy::New();
}

PyObject *PyVTKClass_vtkSMBoxWidgetProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMBoxWidgetProxyStaticNew,
                        PyvtkSMBoxWidgetProxyMethods,
                        (char*)"vtkSMBoxWidgetProxy",modulename,
                        (char**)vtkSMBoxWidgetProxyDoc,
                        PyVTKClass_vtkSM3DWidgetProxyNew(modulename));
}

