// python wrapper for vtkSMCameraKeyFrameProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMCameraKeyFrameProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMCameraKeyFrameProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMCameraKeyFrameProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMKeyFrameProxyNew(char *); }

static PyObject *PyvtkSMCameraKeyFrameProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  const char    *temp20;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraKeyFrameProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraKeyFrameProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  vtkSMCameraKeyFrameProxy  *temp20;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraKeyFrameProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMCameraKeyFrameProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMCameraKeyFrameProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_UpdateValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  double   temp0;
  vtkSMAnimationCueProxy  *temp1;
  PyObject *tempH1;
  vtkSMKeyFrameProxy  *temp2;
  PyObject *tempH2;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"dOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkSMAnimationCueProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMAnimationCueProxy");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkSMKeyFrameProxy *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkSMKeyFrameProxy");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::UpdateValue(temp0,temp1,temp2);
      }
    else
      {
      op->UpdateValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SetKeyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetKeyValue(temp0);
      }
    else
      {
      op->SetKeyValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  unsigned int      temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetKeyValue(temp0,temp1);
      }
    else
      {
      op->SetKeyValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_GetKeyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  unsigned int      temp0;
  double   temp20;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraKeyFrameProxy::GetKeyValue(temp0);
      }
    else
      {
      temp20 = op->GetKeyValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  vtkCamera  *temp20;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraKeyFrameProxy::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SetViewUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetViewUp(temp0,temp1,temp2);
      }
    else
      {
      op->SetViewUp(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraKeyFrameProxy_SetViewAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraKeyFrameProxy *op;

  double   temp0;
  if ((op = (vtkSMCameraKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMCameraKeyFrameProxy::SetViewAngle(temp0);
      }
    else
      {
      op->SetViewAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMCameraKeyFrameProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMCameraKeyFrameProxy\nC++: vtkSMCameraKeyFrameProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMCameraKeyFrameProxy\nC++: vtkSMCameraKeyFrameProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"UpdateValue",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_UpdateValue, 1,
   (char*)"V.UpdateValue(float, vtkSMAnimationCueProxy, vtkSMKeyFrameProxy)\nC++: virtual void UpdateValue (double , vtkSMAnimationCueProxy *, vtkSMKeyFrameProxy *);\n\n Since this keyframe animates a proxy, the KeyValue at a given time\n is also a proxy (Camera Proxy). The info properties are updated\n (UpdateInformation) and then the values are stored. \n"},
  {(char*)"SetKeyValue",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SetKeyValue, 1,
   (char*)"V.SetKeyValue(vtkSMProxy)\nC++: void SetKeyValue (vtkSMProxy *cameraProxy);\nV.SetKeyValue(int, float)\nC++: virtual void SetKeyValue (unsigned int , double );\n\n Since this keyframe animates a proxy, the KeyValue at a given time\n is also a proxy (Camera Proxy). The info properties are updated\n (UpdateInformation) and then the values are stored. \n"},
  {(char*)"GetKeyValue",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_GetKeyValue, 1,
   (char*)"V.GetKeyValue(int) -> float\nC++: virtual double GetKeyValue (unsigned int );return \n\n Get the camera i.e. the key value for this key frame.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Get the camera i.e. the key value for this key frame.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double x, double y, double z);\n\n Methods to set the current camera value.\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double x, double y, double z);\n\n Methods to set the current camera value.\n"},
  {(char*)"SetViewUp",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SetViewUp, 1,
   (char*)"V.SetViewUp(float, float, float)\nC++: void SetViewUp (double x, double y, double z);\n\n Methods to set the current camera value.\n"},
  {(char*)"SetViewAngle",                (PyCFunction)PyvtkSMCameraKeyFrameProxy_SetViewAngle, 1,
   (char*)"V.SetViewAngle(float)\nC++: void SetViewAngle (double angle);\n\n Methods to set the current camera value.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMCameraKeyFrameProxyDoc[] = {
  (char*)"vtkSMCameraKeyFrameProxy\n\n",
  "Super Class:\n\n vtkSMKeyFrameProxy\n\n",
  (char*)" Special key frame for animating Camera. Unlike typical keyframes,\n this keyframe interpolates a proxy and not a property of the proxy.\n\n",
  NULL
};

static vtkObjectBase *vtkSMCameraKeyFrameProxyStaticNew()
{
  return vtkSMCameraKeyFrameProxy::New();
}

PyObject *PyVTKClass_vtkSMCameraKeyFrameProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMCameraKeyFrameProxyStaticNew,
                        PyvtkSMCameraKeyFrameProxyMethods,
                        (char*)"vtkSMCameraKeyFrameProxy",modulename,
                        (char**)vtkSMCameraKeyFrameProxyDoc,
                        PyVTKClass_vtkSMKeyFrameProxyNew(modulename));
}

