// python wrapper for vtkSMDomainIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMDomainIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDomainIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDomainIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMDomainIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  const char    *temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  vtkSMDomainIterator  *temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMDomainIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMDomainIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomainIterator::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  vtkSMProperty  *temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomainIterator::Begin();
      }
    else
      {
      op->Begin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  int      temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomainIterator::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_GetKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  const char    *temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::GetKey();
      }
    else
      {
      temp20 = op->GetKey();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomainIterator_GetDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomainIterator *op;

  vtkSMDomain  *temp20;
  if ((op = (vtkSMDomainIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomainIterator::GetDomain();
      }
    else
      {
      temp20 = op->GetDomain();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMDomainIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMDomainIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMDomainIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMDomainIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDomainIterator\nC++: vtkSMDomainIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMDomainIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDomainIterator\nC++: vtkSMDomainIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkSMDomainIterator_SetProperty, 1,
   (char*)"V.SetProperty(vtkSMProperty)\nC++: void SetProperty (vtkSMProperty *property);\n\n A property must be assigned before iteration is performed.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSMDomainIterator_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetProperty ();\n\n Returns the property being iterated over.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkSMDomainIterator_Begin, 1,
   (char*)"V.Begin()\nC++: void Begin ();\n\n Go to the first domain.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkSMDomainIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: int IsAtEnd ();\n\n Is the iterator at the end of the list.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkSMDomainIterator_Next, 1,
   (char*)"V.Next()\nC++: void Next ();\n\n Move to the next iterator.\n"},
  {(char*)"GetKey",                (PyCFunction)PyvtkSMDomainIterator_GetKey, 1,
   (char*)"V.GetKey() -> string\nC++: const char *GetKey ();\n\n Returns the key (the name) of the current domain.\n"},
  {(char*)"GetDomain",                (PyCFunction)PyvtkSMDomainIterator_GetDomain, 1,
   (char*)"V.GetDomain() -> vtkSMDomain\nC++: vtkSMDomain *GetDomain ();\n\n Returns the current domain.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMDomainIteratorDoc[] = {
  (char*)"vtkSMDomainIterator - iterates over domains of a property\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMDomainIterator iterates over the domains of a property.\n\n",
  NULL
};

static vtkObjectBase *vtkSMDomainIteratorStaticNew()
{
  return vtkSMDomainIterator::New();
}

PyObject *PyVTKClass_vtkSMDomainIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMDomainIteratorStaticNew,
                        PyvtkSMDomainIteratorMethods,
                        (char*)"vtkSMDomainIterator",modulename,
                        (char**)vtkSMDomainIteratorDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

