// python wrapper for vtkSMDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  const char    *temp20;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  vtkSMDomain  *temp20;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomain_IsInDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsInDomain(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMDomain_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomain::Update(temp0);
      }
    else
      {
      op->Update(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  double   temp2;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"Oid", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomain::SetAnimationValue(temp0,temp1,temp2);
      }
    else
      {
      op->SetAnimationValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMDomain_GetXMLName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  char    *temp20;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDomain::GetXMLName();
      }
    else
      {
      temp20 = op->GetXMLName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDomain_AddRequiredProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  char    *temp1;
  if ((op = (vtkSMDomain *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDomain::AddRequiredProperty(temp0,temp1);
      }
    else
      {
      op->AddRequiredProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkSMDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDomain\nC++: vtkSMDomain *NewInstance ();\n\n"},
  {(char*)"IsInDomain",                (PyCFunction)PyvtkSMDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain (vtkSMProperty *property) = 0;\n\n Is the (unchecked) value of the property in the domain? Overwritten by\n sub-classes.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update (vtkSMProperty *);this InvokeModified \n\n Update self based on the \"unchecked\" values of all required\n properties. Overwritten by sub-classes.\n"},
  {(char*)"SetAnimationValue",                (PyCFunction)PyvtkSMDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue (vtkSMProperty *, int , double );\n\n Assigned by the XML parser. The name assigned in the XML\n configuration. Can be used to figure out the origin of the\n domain.\n"},
  {(char*)"GetXMLName",                (PyCFunction)PyvtkSMDomain_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName ();\n\n Assigned by the XML parser. The name assigned in the XML\n configuration. Can be used to figure out the origin of the\n domain.\n"},
  {(char*)"AddRequiredProperty",                (PyCFunction)PyvtkSMDomain_AddRequiredProperty, 1,
   (char*)"V.AddRequiredProperty(vtkSMProperty, string)\nC++: void AddRequiredProperty (vtkSMProperty *prop, const char *function);\n\n Add a new required property to this domain.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMDomainDoc[] = {
  (char*)"vtkSMDomain - represents the possible values a property can have\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMDomain is an abstract class that describes the \"domain\" of a\n a widget. A domain is a collection of possible values a property\n can have.\n Each domain can depend on one or more properties to compute it's\n values. This are called \"required\" properties and can be set in\n the XML configuration file.\n\n",
  "See Also:\n\n vtkSMProxyGroupDomain\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMDomainNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMDomainMethods,
                        (char*)"vtkSMDomain",modulename,
                        (char**)vtkSMDomainDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

