// python wrapper for vtkSMDoubleVectorProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMDoubleVectorProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDoubleVectorPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDoubleVectorPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *); }

static PyObject *PyvtkSMDoubleVectorProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  const char    *temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  vtkSMDoubleVectorProperty  *temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMDoubleVectorProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMDoubleVectorProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetNumberOfElements();
      }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp0;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDoubleVectorProperty::SetNumberOfElements(temp0);
      }
    else
      {
      op->SetNumberOfElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp0;
  double   temp1;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::SetElement(temp0,temp1);
      }
    else
      {
      temp20 = op->SetElement(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetElements1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  double   temp0;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::SetElements1(temp0);
      }
    else
      {
      temp20 = op->SetElements1(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetElements2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  double   temp0;
  double   temp1;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::SetElements2(temp0,temp1);
      }
    else
      {
      temp20 = op->SetElements2(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetElements3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::SetElements3(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetElements3(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetElements4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::SetElements4(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SetElements4(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_GetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp0;
  double   temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetElement(temp0);
      }
    else
      {
      temp20 = op->GetElement(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_GetNumberOfUncheckedElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetNumberOfUncheckedElements();
      }
    else
      {
      temp20 = op->GetNumberOfUncheckedElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_GetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp0;
  double   temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetUncheckedElement(temp0);
      }
    else
      {
      temp20 = op->GetUncheckedElement(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  unsigned int      temp0;
  double   temp1;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDoubleVectorProperty::SetUncheckedElement(temp0,temp1);
      }
    else
      {
      op->SetUncheckedElement(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_GetArgumentIsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  int      temp20;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDoubleVectorProperty::GetArgumentIsArray();
      }
    else
      {
      temp20 = op->GetArgumentIsArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_SetArgumentIsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  int      temp0;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDoubleVectorProperty::SetArgumentIsArray(temp0);
      }
    else
      {
      op->SetArgumentIsArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDoubleVectorProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDoubleVectorProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDoubleVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDoubleVectorProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkSMDoubleVectorPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMDoubleVectorProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMDoubleVectorProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDoubleVectorProperty\nC++: vtkSMDoubleVectorProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMDoubleVectorProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDoubleVectorProperty\nC++: vtkSMDoubleVectorProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: virtual unsigned int GetNumberOfElements ();\n\n Returns the size of the vector.\n"},
  {(char*)"SetNumberOfElements",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetNumberOfElements, 1,
   (char*)"V.SetNumberOfElements(int)\nC++: virtual void SetNumberOfElements (unsigned int num);\n\n Sets the size of the vector. If num is larger than the current\n number of elements, this may cause reallocation and copying.\n"},
  {(char*)"SetElement",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetElement, 1,
   (char*)"V.SetElement(int, float) -> int\nC++: int SetElement (unsigned int idx, double value);\n\n Set the value of 1 element. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or the value is not in all domains. Returns 1 otherwise.\n"},
  {(char*)"SetElements1",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetElements1, 1,
   (char*)"V.SetElements1(float) -> int\nC++: int SetElements1 (double value0);\n\n Set the value of 1st element. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"SetElements2",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetElements2, 1,
   (char*)"V.SetElements2(float, float) -> int\nC++: int SetElements2 (double value0, double value1);\n\n Set the values of the first 2 elements. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"SetElements3",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetElements3, 1,
   (char*)"V.SetElements3(float, float, float) -> int\nC++: int SetElements3 (double value0, double value1, double value2);\n\n Set the values of the first 3 elements. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"SetElements4",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetElements4, 1,
   (char*)"V.SetElements4(float, float, float, float) -> int\nC++: int SetElements4 (double value0, double value1, double value2, double value3);\n\n Set the values of the first 4 elements. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"GetElement",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetElement, 1,
   (char*)"V.GetElement(int) -> float\nC++: double GetElement (unsigned int idx);\n\n Returns the value of 1 element.\n"},
  {(char*)"GetNumberOfUncheckedElements",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetNumberOfUncheckedElements, 1,
   (char*)"V.GetNumberOfUncheckedElements() -> int\nC++: virtual unsigned int GetNumberOfUncheckedElements ();\n\n Returns the size of unchecked elements. Usually this is\n the same as the number of elements but can be different\n before a domain check is performed.\n"},
  {(char*)"GetUncheckedElement",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetUncheckedElement, 1,
   (char*)"V.GetUncheckedElement(int) -> float\nC++: double GetUncheckedElement (unsigned int idx);\n\n Returns the value of 1 unchecked element. These are used by\n domains. SetElement() first sets the value of 1 unchecked\n element and then calls IsInDomain and updates the value of\n the corresponding element only if IsInDomain passes.\n"},
  {(char*)"SetUncheckedElement",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetUncheckedElement, 1,
   (char*)"V.SetUncheckedElement(int, float)\nC++: void SetUncheckedElement (unsigned int idx, double value);\n\n Set the value of 1 unchecked element. This can be used to\n check if a value is in all domains of the property. Call\n this and call IsInDomains().\n"},
  {(char*)"GetArgumentIsArray",                (PyCFunction)PyvtkSMDoubleVectorProperty_GetArgumentIsArray, 1,
   (char*)"V.GetArgumentIsArray() -> int\nC++: int GetArgumentIsArray ();\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"SetArgumentIsArray",                (PyCFunction)PyvtkSMDoubleVectorProperty_SetArgumentIsArray, 1,
   (char*)"V.SetArgumentIsArray(int)\nC++: void SetArgumentIsArray (int );\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMDoubleVectorProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMDoubleVectorPropertyDoc[] = {
  (char*)"vtkSMDoubleVectorProperty - property representing a vector of doubles\n\n",
  "Super Class:\n\n vtkSMVectorProperty\n\n",
  (char*)" vtkSMDoubleVectorProperty is a concrete sub-class of vtkSMVectorProperty\n representing a vector of doubles.\n\n",
  "See Also:\n\n vtkSMVectorProperty vtkSMIntVectorProperty vtkSMStringVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMDoubleVectorPropertyStaticNew()
{
  return vtkSMDoubleVectorProperty::New();
}

PyObject *PyVTKClass_vtkSMDoubleVectorPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMDoubleVectorPropertyStaticNew,
                        PyvtkSMDoubleVectorPropertyMethods,
                        (char*)"vtkSMDoubleVectorProperty",modulename,
                        (char**)vtkSMDoubleVectorPropertyDoc,
                        PyVTKClass_vtkSMVectorPropertyNew(modulename));
}

