// python wrapper for vtkSMExtentDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMExtentDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMExtentDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMExtentDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMIntRangeDomainNew(char *); }

static PyObject *PyvtkSMExtentDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMExtentDomain *op;

  const char    *temp20;
  if ((op = (vtkSMExtentDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMExtentDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMExtentDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMExtentDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMExtentDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMExtentDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMExtentDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMExtentDomain *op;

  vtkSMExtentDomain  *temp20;
  if ((op = (vtkSMExtentDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMExtentDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMExtentDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMExtentDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMExtentDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMExtentDomain_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMExtentDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMExtentDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMExtentDomain::Update(temp0);
      }
    else
      {
      op->Update(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMExtentDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMExtentDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  double   temp2;
  if ((op = (vtkSMExtentDomain *)PyArg_VTKParseTuple(self, args, (char*)"Oid", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMExtentDomain::SetAnimationValue(temp0,temp1,temp2);
      }
    else
      {
      op->SetAnimationValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkSMExtentDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMExtentDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMExtentDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMExtentDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMExtentDomain\nC++: vtkSMExtentDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMExtentDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMExtentDomain\nC++: vtkSMExtentDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMExtentDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update (vtkSMProperty *);\n\n Update self checking the \"unchecked\" values of all required\n properties. Overwritten by sub-classes.\n"},
  {(char*)"SetAnimationValue",                (PyCFunction)PyvtkSMExtentDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue (vtkSMProperty *property, int idx, double value);\n\n Set the value of an element of a property from the animation editor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMExtentDomainDoc[] = {
  (char*)"vtkSMExtentDomain - int range domain based on data set extent\n\n",
  "Super Class:\n\n vtkSMIntRangeDomain\n\n",
  (char*)" vtkSMExtentDomain is a subclass of vtkSMIntRangeDomain. In its Update\n method, it determines the minimum and maximum extent in each dimension of\n the structured data set with which it is associated. It requires a\n vtkSMSourceProxy to do this.\n\n",
  "See Also:\n\n vtkSMIntRangeDomain\n\n",
  NULL
};

static vtkObjectBase *vtkSMExtentDomainStaticNew()
{
  return vtkSMExtentDomain::New();
}

PyObject *PyVTKClass_vtkSMExtentDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMExtentDomainStaticNew,
                        PyvtkSMExtentDomainMethods,
                        (char*)"vtkSMExtentDomain",modulename,
                        (char**)vtkSMExtentDomainDoc,
                        PyVTKClass_vtkSMIntRangeDomainNew(modulename));
}

