// python wrapper for vtkSMFieldDataDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMFieldDataDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMFieldDataDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMFieldDataDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMEnumerationDomainNew(char *); }

static PyObject *PyvtkSMFieldDataDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMFieldDataDomain *op;

  const char    *temp20;
  if ((op = (vtkSMFieldDataDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMFieldDataDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMFieldDataDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMFieldDataDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMFieldDataDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMFieldDataDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMFieldDataDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMFieldDataDomain *op;

  vtkSMFieldDataDomain  *temp20;
  if ((op = (vtkSMFieldDataDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMFieldDataDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMFieldDataDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMFieldDataDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMFieldDataDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMFieldDataDomain_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMFieldDataDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMFieldDataDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMFieldDataDomain::Update(temp0);
      }
    else
      {
      op->Update(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkSMFieldDataDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMFieldDataDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMFieldDataDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMFieldDataDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMFieldDataDomain\nC++: vtkSMFieldDataDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMFieldDataDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMFieldDataDomain\nC++: vtkSMFieldDataDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMFieldDataDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update (vtkSMProperty *prop);\n\n Check the input and appropriate fields (point data or cell data)\n to the enumeration. This uses the Input property with a\n vtkSMInputArrayDomain.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMFieldDataDomainDoc[] = {
  (char*)"vtkSMFieldDataDomain - enumeration with point and cell data entries\n\n",
  "Super Class:\n\n vtkSMEnumerationDomain\n\n",
  (char*)" vtkSMFieldDataDomain is a sub-class vtkSMEnumerationDomain that looks at \n the input in Update() and populates the entry list based on whether\n there are valid arrays in point or cell data. At most it consists of two\n entries: (\"Point Data\", vtkDataSet::POINT_DATA_FIELD) and \n (\"Cell Data\",  vtkDataSet::CELL_DATA_FIELD).\n It requires Input (vtkSMProxyProperty) property.\n\n",
  "See Also:\n\n vtkSMEnumerationDomain vtkSMProxyProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMFieldDataDomainStaticNew()
{
  return vtkSMFieldDataDomain::New();
}

PyObject *PyVTKClass_vtkSMFieldDataDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMFieldDataDomainStaticNew,
                        PyvtkSMFieldDataDomainMethods,
                        (char*)"vtkSMFieldDataDomain",modulename,
                        (char**)vtkSMFieldDataDomainDoc,
                        PyVTKClass_vtkSMEnumerationDomainNew(modulename));
}

