// python wrapper for vtkSMInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInformationHelper *op;

  vtkSMInformationHelper  *temp20;
  if ((op = (vtkSMInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMInformationHelper\nC++: vtkSMInformationHelper *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMInformationHelperDoc[] = {
  (char*)"vtkSMInformationHelper - abstract superclass of all information helpers\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" Information helpers are used by information property to obtain\n information from the server. Since there can be more than way\n to populate an information property, this functionality was moved\n to a separate hierarchy of helper classes.\n Each information property has an associated information helper that\n is specified in the XML configuration file.\n\n",
  "See Also:\n\n vtkSMSimpleIntInformationHelper vtkSMSimpleDoubleInformationHelper \n vtkSMSimpleStringInformationHelper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMInformationHelperMethods,
                        (char*)"vtkSMInformationHelper",modulename,
                        (char**)vtkSMInformationHelperDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

