// python wrapper for vtkSMInputProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMInputProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMInputPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMInputPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyPropertyNew(char *); }

static PyObject *PyvtkSMInputProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputProperty *op;

  const char    *temp20;
  if ((op = (vtkSMInputProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMInputProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputProperty *op;

  vtkSMInputProperty  *temp20;
  if ((op = (vtkSMInputProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMInputProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMInputProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMInputProperty_SetMultipleInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputProperty *op;

  int      temp0;
  if ((op = (vtkSMInputProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMInputProperty::SetMultipleInput(temp0);
      }
    else
      {
      op->SetMultipleInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_GetMultipleInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputProperty *op;

  int      temp20;
  if ((op = (vtkSMInputProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputProperty::GetMultipleInput();
      }
    else
      {
      temp20 = op->GetMultipleInput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_GetInputsUpdateImmediately(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSMInputProperty::GetInputsUpdateImmediately();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputProperty_SetInputsUpdateImmediately(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkSMInputProperty::SetInputsUpdateImmediately(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMInputPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMInputProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMInputProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMInputProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMInputProperty\nC++: vtkSMInputProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMInputProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMInputProperty\nC++: vtkSMInputProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMultipleInput",                (PyCFunction)PyvtkSMInputProperty_SetMultipleInput, 1,
   (char*)"V.SetMultipleInput(int)\nC++: void SetMultipleInput (int );\n\n Should be set to true if the \"input port\" this property represents\n can accept multiple inputs (for example, an append filter)\n"},
  {(char*)"GetMultipleInput",                (PyCFunction)PyvtkSMInputProperty_GetMultipleInput, 1,
   (char*)"V.GetMultipleInput() -> int\nC++: int GetMultipleInput ();\n\n Should be set to true if the \"input port\" this property represents\n can accept multiple inputs (for example, an append filter)\n"},
  {(char*)"GetInputsUpdateImmediately",                (PyCFunction)PyvtkSMInputProperty_GetInputsUpdateImmediately, 1,
   (char*)"V.GetInputsUpdateImmediately() -> int\nC++: static int GetInputsUpdateImmediately ();\n\n If InputsUpdateImmediately is true, all input properties push\n their values as soon as they are modified. Otherwise, the values\n are pushed UpdateVTKObjects\n"},
  {(char*)"SetInputsUpdateImmediately",                (PyCFunction)PyvtkSMInputProperty_SetInputsUpdateImmediately, 1,
   (char*)"V.SetInputsUpdateImmediately(int)\nC++: static void SetInputsUpdateImmediately (int up);\n\n If InputsUpdateImmediately is true, all input properties push\n their values as soon as they are modified. Otherwise, the values\n are pushed UpdateVTKObjects\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMInputPropertyDoc[] = {
  (char*)"vtkSMInputProperty - proxy representing inputs to a filter\n\n",
  "Super Class:\n\n vtkSMProxyProperty\n\n",
  (char*)" vtkSMInputProperty is a concrete sub-class of vtkSMProperty representing\n inputs to a filter (through vtkSMProxy). It is a special property that\n always calls AddInput on a vtkSMSourceProxy.\n\n",
  "See Also:\n\n vtkSMInputProperty vtkSMSourceProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMInputPropertyStaticNew()
{
  return vtkSMInputProperty::New();
}

PyObject *PyVTKClass_vtkSMInputPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMInputPropertyStaticNew,
                        PyvtkSMInputPropertyMethods,
                        (char*)"vtkSMInputProperty",modulename,
                        (char**)vtkSMInputPropertyDoc,
                        PyVTKClass_vtkSMProxyPropertyNew(modulename));
}

