// python wrapper for vtkSMKeyFrameProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMKeyFrameProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMKeyFrameProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMKeyFrameProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMKeyFrameProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  const char    *temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  vtkSMKeyFrameProxy  *temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMKeyFrameProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMKeyFrameProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_SetKeyTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  double   temp0;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::SetKeyTime(temp0);
      }
    else
      {
      op->SetKeyTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_GetKeyTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  double   temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::GetKeyTime();
      }
    else
      {
      temp20 = op->GetKeyTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_SetKeyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  double   temp0;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::SetKeyValue(temp0);
      }
    else
      {
      op->SetKeyValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  unsigned int      temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::SetKeyValue(temp0,temp1);
      }
    else
      {
      op->SetKeyValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_GetKeyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  double   temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::GetKeyValue();
      }
    else
      {
      temp20 = op->GetKeyValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  unsigned int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::GetKeyValue(temp0);
      }
    else
      {
      temp20 = op->GetKeyValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_GetNumberOfKeyValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  unsigned int      temp20;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMKeyFrameProxy::GetNumberOfKeyValues();
      }
    else
      {
      temp20 = op->GetNumberOfKeyValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_SetNumberOfKeyValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  unsigned int      temp0;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::SetNumberOfKeyValues(temp0);
      }
    else
      {
      op->SetNumberOfKeyValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_UpdateValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  double   temp0;
  vtkSMAnimationCueProxy  *temp1;
  PyObject *tempH1;
  vtkSMKeyFrameProxy  *temp2;
  PyObject *tempH2;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"dOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkSMAnimationCueProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMAnimationCueProxy");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkSMKeyFrameProxy *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkSMKeyFrameProxy");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::UpdateValue(temp0,temp1,temp2);
      }
    else
      {
      op->UpdateValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSMKeyFrameProxy_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMKeyFrameProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMKeyFrameProxy::Copy(temp0,temp1,temp2);
      }
    else
      {
      op->Copy(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkSMKeyFrameProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMKeyFrameProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMKeyFrameProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMKeyFrameProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMKeyFrameProxy\nC++: vtkSMKeyFrameProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMKeyFrameProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMKeyFrameProxy\nC++: vtkSMKeyFrameProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKeyTime",                (PyCFunction)PyvtkSMKeyFrameProxy_SetKeyTime, 1,
   (char*)"V.SetKeyTime(float)\nC++: void SetKeyTime (double );\n\n Key time is the time at which this key frame is\n associated. KeyTime ranges from [0,1], where 0 is the\n start time of the cue for which this is a key frame and\n 1 is that cue's end time.\n"},
  {(char*)"GetKeyTime",                (PyCFunction)PyvtkSMKeyFrameProxy_GetKeyTime, 1,
   (char*)"V.GetKeyTime() -> float\nC++: double GetKeyTime ();\n\n Key time is the time at which this key frame is\n associated. KeyTime ranges from [0,1], where 0 is the\n start time of the cue for which this is a key frame and\n 1 is that cue's end time.\n"},
  {(char*)"SetKeyValue",                (PyCFunction)PyvtkSMKeyFrameProxy_SetKeyValue, 1,
   (char*)"V.SetKeyValue(float)\nC++: void SetKeyValue (double val);this SetKeyValue val \nV.SetKeyValue(int, float)\nC++: void SetKeyValue (unsigned int index, double val);\n\n Get/Set the animated value at this key frame.\n Note that is the number of values is adjusted to fit the index\n specified in SetKeyValue.\n"},
  {(char*)"GetKeyValue",                (PyCFunction)PyvtkSMKeyFrameProxy_GetKeyValue, 1,
   (char*)"V.GetKeyValue() -> float\nC++: double GetKeyValue ();return this GetKeyValue \nV.GetKeyValue(int) -> float\nC++: double GetKeyValue (unsigned int index);\n\n Get/Set the animated value at this key frame.\n Note that is the number of values is adjusted to fit the index\n specified in SetKeyValue.\n"},
  {(char*)"GetNumberOfKeyValues",                (PyCFunction)PyvtkSMKeyFrameProxy_GetNumberOfKeyValues, 1,
   (char*)"V.GetNumberOfKeyValues() -> int\nC++: unsigned int GetNumberOfKeyValues ();\n\n Set/Get the number of key values this key frame currently stores.\n"},
  {(char*)"SetNumberOfKeyValues",                (PyCFunction)PyvtkSMKeyFrameProxy_SetNumberOfKeyValues, 1,
   (char*)"V.SetNumberOfKeyValues(int)\nC++: void SetNumberOfKeyValues (unsigned int num);\n\n Set/Get the number of key values this key frame currently stores.\n"},
  {(char*)"UpdateValue",                (PyCFunction)PyvtkSMKeyFrameProxy_UpdateValue, 1,
   (char*)"V.UpdateValue(float, vtkSMAnimationCueProxy, vtkSMKeyFrameProxy)\nC++: virtual void UpdateValue (double currenttime, vtkSMAnimationCueProxy *cueProxy, vtkSMKeyFrameProxy *next);\n\n This method will do the actual interpolation.\n currenttime is normalized to the time range between\n this key frame and the next key frame.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMKeyFrameProxy_Copy, 1,
   (char*)"V.Copy(vtkSMProxy, string, int)\nC++: virtual void Copy (vtkSMProxy *src, const char *exceptionClass, int proxyPropertyCopyFlag);\n\n Overridden to call MarkAllPropertiesAsModified().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMKeyFrameProxyDoc[] = {
  (char*)"vtkSMKeyFrameProxy\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" Base class for key frames.\n A key frame is responsible to interpolate the curve\n between it self and a consequent key frame. A new subclass is\n needed for each type of interpolation available between two \n key frames. This class can be instantiated to create a no-action key \n frame. \n\n",
  NULL
};

static vtkObjectBase *vtkSMKeyFrameProxyStaticNew()
{
  return vtkSMKeyFrameProxy::New();
}

PyObject *PyVTKClass_vtkSMKeyFrameProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMKeyFrameProxyStaticNew,
                        PyvtkSMKeyFrameProxyMethods,
                        (char*)"vtkSMKeyFrameProxy",modulename,
                        (char**)vtkSMKeyFrameProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

