// python wrapper for vtkSMLODRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMLODRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMLODRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMLODRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMSimpleRenderModuleProxyNew(char *); }

static PyObject *PyvtkSMLODRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  vtkSMLODRenderModuleProxy  *temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMLODRenderModuleProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMLODRenderModuleProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_AddDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMDisplayProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMDisplayProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODRenderModuleProxy::AddDisplay(temp0);
      }
    else
      {
      op->AddDisplay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_RemoveDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMDisplayProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMDisplayProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODRenderModuleProxy::RemoveDisplay(temp0);
      }
    else
      {
      op->RemoveDisplay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_CreateDisplayProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::CreateDisplayProxy();
      }
    else
      {
      temp20 = op->CreateDisplayProxy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_SetLODThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  double   temp0;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODRenderModuleProxy::SetLODThreshold(temp0);
      }
    else
      {
      op->SetLODThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_GetLODThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  double   temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::GetLODThreshold();
      }
    else
      {
      temp20 = op->GetLODThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_SetLODResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODRenderModuleProxy::SetLODResolution(temp0);
      }
    else
      {
      op->SetLODResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_GetLODResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODRenderModuleProxy::GetLODResolution();
      }
    else
      {
      temp20 = op->GetLODResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODRenderModuleProxy_InteractiveRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODRenderModuleProxy *op;

  if ((op = (vtkSMLODRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODRenderModuleProxy::InteractiveRender();
      }
    else
      {
      op->InteractiveRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMLODRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMLODRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMLODRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMLODRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMLODRenderModuleProxy\nC++: vtkSMLODRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMLODRenderModuleProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMLODRenderModuleProxy\nC++: vtkSMLODRenderModuleProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddDisplay",                (PyCFunction)PyvtkSMLODRenderModuleProxy_AddDisplay, 1,
   (char*)"V.AddDisplay(vtkSMDisplayProxy)\nC++: virtual void AddDisplay (vtkSMDisplayProxy *disp);\n\n Any display that must be rendered by this rendermodule\n needs to be added to it. Overridden to add even listerns\n to note when LOD Information of the Display changes.\n"},
  {(char*)"RemoveDisplay",                (PyCFunction)PyvtkSMLODRenderModuleProxy_RemoveDisplay, 1,
   (char*)"V.RemoveDisplay(vtkSMDisplayProxy)\nC++: virtual void RemoveDisplay (vtkSMDisplayProxy *disp);\n\n Any display that must be rendered by this rendermodule\n needs to be added to it. Overridden to add even listerns\n to note when LOD Information of the Display changes.\n"},
  {(char*)"CreateDisplayProxy",                (PyCFunction)PyvtkSMLODRenderModuleProxy_CreateDisplayProxy, 1,
   (char*)"V.CreateDisplayProxy() -> vtkSMDisplayProxy\nC++: virtual vtkSMDisplayProxy *CreateDisplayProxy ();\n\n"},
  {(char*)"SetLODThreshold",                (PyCFunction)PyvtkSMLODRenderModuleProxy_SetLODThreshold, 1,
   (char*)"V.SetLODThreshold(float)\nC++: void SetLODThreshold (double );\n\n Set the LOD Threshold.\n"},
  {(char*)"GetLODThreshold",                (PyCFunction)PyvtkSMLODRenderModuleProxy_GetLODThreshold, 1,
   (char*)"V.GetLODThreshold() -> float\nC++: double GetLODThreshold ();\n\n Set the LOD Threshold.\n"},
  {(char*)"SetLODResolution",                (PyCFunction)PyvtkSMLODRenderModuleProxy_SetLODResolution, 1,
   (char*)"V.SetLODResolution(int)\nC++: void SetLODResolution (int );\n\n Set the LOD resolution.\n"},
  {(char*)"GetLODResolution",                (PyCFunction)PyvtkSMLODRenderModuleProxy_GetLODResolution, 1,
   (char*)"V.GetLODResolution() -> int\nC++: int GetLODResolution ();\n\n Set the LOD resolution.\n"},
  {(char*)"InteractiveRender",                (PyCFunction)PyvtkSMLODRenderModuleProxy_InteractiveRender, 1,
   (char*)"V.InteractiveRender()\nC++: virtual void InteractiveRender ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMLODRenderModuleProxyDoc[] = {
  (char*)"vtkSMLODRenderModuleProxy -  Render module supporting LODs.\n\n",
  "Super Class:\n\n vtkSMSimpleRenderModuleProxy\n\n",
  (char*)" Mangages rendering and LODs.\n This class can be used alone when running serially. It handles the two \n pipeline branches which render in parallel. Subclasses handle parallel \n rendering. \n\n",
  NULL
};

static vtkObjectBase *vtkSMLODRenderModuleProxyStaticNew()
{
  return vtkSMLODRenderModuleProxy::New();
}

PyObject *PyVTKClass_vtkSMLODRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMLODRenderModuleProxyStaticNew,
                        PyvtkSMLODRenderModuleProxyMethods,
                        (char*)"vtkSMLODRenderModuleProxy",modulename,
                        (char**)vtkSMLODRenderModuleProxyDoc,
                        PyVTKClass_vtkSMSimpleRenderModuleProxyNew(modulename));
}

