// python wrapper for vtkSMMultiDisplayRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMMultiDisplayRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMMultiDisplayRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMMultiDisplayRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMCompositeRenderModuleProxyNew(char *); }

static PyObject *PyvtkSMMultiDisplayRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMMultiDisplayRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMMultiDisplayRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayRenderModuleProxy *op;

  vtkSMMultiDisplayRenderModuleProxy  *temp20;
  if ((op = (vtkSMMultiDisplayRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayRenderModuleProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMMultiDisplayRenderModuleProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMMultiDisplayRenderModuleProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMMultiDisplayRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMMultiDisplayRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMMultiDisplayRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMMultiDisplayRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMMultiDisplayRenderModuleProxy\nC++: vtkSMMultiDisplayRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMMultiDisplayRenderModuleProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMMultiDisplayRenderModuleProxy\nC++: vtkSMMultiDisplayRenderModuleProxy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMMultiDisplayRenderModuleProxyDoc[] = {
  (char*)"vtkSMMultiDisplayRenderModuleProxy - For tile displays\n\n",
  "Super Class:\n\n vtkSMCompositeRenderModuleProxy\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkSMMultiDisplayRenderModuleProxyStaticNew()
{
  return vtkSMMultiDisplayRenderModuleProxy::New();
}

PyObject *PyVTKClass_vtkSMMultiDisplayRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMMultiDisplayRenderModuleProxyStaticNew,
                        PyvtkSMMultiDisplayRenderModuleProxyMethods,
                        (char*)"vtkSMMultiDisplayRenderModuleProxy",modulename,
                        (char**)vtkSMMultiDisplayRenderModuleProxyDoc,
                        PyVTKClass_vtkSMCompositeRenderModuleProxyNew(modulename));
}

