// python wrapper for vtkSMPVDWriterProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPVDWriterProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPVDWriterProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPVDWriterProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMWriterProxyNew(char *); }

static PyObject *PyvtkSMPVDWriterProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPVDWriterProxy *op;

  const char    *temp20;
  if ((op = (vtkSMPVDWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPVDWriterProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPVDWriterProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPVDWriterProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPVDWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPVDWriterProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPVDWriterProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPVDWriterProxy *op;

  vtkSMPVDWriterProxy  *temp20;
  if ((op = (vtkSMPVDWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPVDWriterProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPVDWriterProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPVDWriterProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPVDWriterProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPVDWriterProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPVDWriterProxy *op;

  if ((op = (vtkSMPVDWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPVDWriterProxy::UpdatePipeline();
      }
    else
      {
      op->UpdatePipeline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMPVDWriterProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPVDWriterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPVDWriterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPVDWriterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPVDWriterProxy\nC++: vtkSMPVDWriterProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPVDWriterProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPVDWriterProxy\nC++: vtkSMPVDWriterProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"UpdatePipeline",                (PyCFunction)PyvtkSMPVDWriterProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline()\nC++: virtual void UpdatePipeline ();\n\n Updates the pipeline and writes the file(s).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPVDWriterProxyDoc[] = {
  (char*)"vtkSMPVDWriterProxy - proxy for a VTK writer on a server\n\n",
  "Super Class:\n\n vtkSMWriterProxy\n\n",
  (char*)" vtkSMPVDWriterProxy manages VTK writers that are created on a server using\n the proxy pattern.\n\n",
  NULL
};

static vtkObjectBase *vtkSMPVDWriterProxyStaticNew()
{
  return vtkSMPVDWriterProxy::New();
}

PyObject *PyVTKClass_vtkSMPVDWriterProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPVDWriterProxyStaticNew,
                        PyvtkSMPVDWriterProxyMethods,
                        (char*)"vtkSMPVDWriterProxy",modulename,
                        (char**)vtkSMPVDWriterProxyDoc,
                        PyVTKClass_vtkSMWriterProxyNew(modulename));
}

