// python wrapper for vtkSMPropertyIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPropertyIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMPropertyIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  const char    *temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  vtkSMPropertyIterator  *temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPropertyIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPropertyIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_SetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyIterator::SetProxy(temp0);
      }
    else
      {
      op->SetProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_GetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  vtkSMProxy  *temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::GetProxy();
      }
    else
      {
      temp20 = op->GetProxy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyIterator::Begin();
      }
    else
      {
      op->Begin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  int      temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyIterator::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_GetKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  const char    *temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::GetKey();
      }
    else
      {
      temp20 = op->GetKey();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  vtkSMProperty  *temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_SetTraverseSubProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  int      temp0;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyIterator::SetTraverseSubProxies(temp0);
      }
    else
      {
      op->SetTraverseSubProxies(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyIterator_GetTraverseSubProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyIterator *op;

  int      temp20;
  if ((op = (vtkSMPropertyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyIterator::GetTraverseSubProxies();
      }
    else
      {
      temp20 = op->GetTraverseSubProxies();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMPropertyIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPropertyIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPropertyIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPropertyIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyIterator\nC++: vtkSMPropertyIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPropertyIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyIterator\nC++: vtkSMPropertyIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetProxy",                (PyCFunction)PyvtkSMPropertyIterator_SetProxy, 1,
   (char*)"V.SetProxy(vtkSMProxy)\nC++: void SetProxy (vtkSMProxy *proxy);\n\n Set the proxy to be used.\n"},
  {(char*)"GetProxy",                (PyCFunction)PyvtkSMPropertyIterator_GetProxy, 1,
   (char*)"V.GetProxy() -> vtkSMProxy\nC++: vtkSMProxy *GetProxy ();\n\n Return the proxy.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkSMPropertyIterator_Begin, 1,
   (char*)"V.Begin()\nC++: void Begin ();\n\n Go to the first property.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkSMPropertyIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: int IsAtEnd ();\n\n Returns true if iterator points past the end of the collection.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkSMPropertyIterator_Next, 1,
   (char*)"V.Next()\nC++: void Next ();\n\n Move to the next property.\n"},
  {(char*)"GetKey",                (PyCFunction)PyvtkSMPropertyIterator_GetKey, 1,
   (char*)"V.GetKey() -> string\nC++: const char *GetKey ();\n\n Returns the key (name) at the current iterator position.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSMPropertyIterator_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetProperty ();\n\n Returns the property at the current iterator position.\n"},
  {(char*)"SetTraverseSubProxies",                (PyCFunction)PyvtkSMPropertyIterator_SetTraverseSubProxies, 1,
   (char*)"V.SetTraverseSubProxies(int)\nC++: void SetTraverseSubProxies (int );\n\n If TraverseSubProxies is false, only the properties belonging\n to the root proxy are returned. Default is true.\n"},
  {(char*)"GetTraverseSubProxies",                (PyCFunction)PyvtkSMPropertyIterator_GetTraverseSubProxies, 1,
   (char*)"V.GetTraverseSubProxies() -> int\nC++: int GetTraverseSubProxies ();\n\n If TraverseSubProxies is false, only the properties belonging\n to the root proxy are returned. Default is true.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPropertyIteratorDoc[] = {
  (char*)"vtkSMPropertyIterator - iterates over the properties of a proxy\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMPropertyIterator is used to iterate over the properties of a\n proxy. The properties of the root proxies as well as sub-proxies are\n included in the iteration. For sub-proxies, only\n exposed properties are iterated over.\n\n",
  NULL
};

static vtkObjectBase *vtkSMPropertyIteratorStaticNew()
{
  return vtkSMPropertyIterator::New();
}

PyObject *PyVTKClass_vtkSMPropertyIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPropertyIteratorStaticNew,
                        PyvtkSMPropertyIteratorMethods,
                        (char*)"vtkSMPropertyIterator",modulename,
                        (char**)vtkSMPropertyIteratorDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

