// python wrapper for vtkSMPropertyStatusManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPropertyStatusManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyStatusManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyStatusManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMPropertyStatusManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  const char    *temp20;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMPropertyStatusManager  *temp20;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPropertyStatusManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPropertyStatusManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_RegisterProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyStatusManager::RegisterProperty(temp0);
      }
    else
      {
      op->RegisterProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_UnregisterProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyStatusManager::UnregisterProperty(temp0);
      }
    else
      {
      op->UnregisterProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_UnregisterAllProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyStatusManager::UnregisterAllProperties();
      }
    else
      {
      op->UnregisterAllProperties();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_InitializeStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyStatusManager::InitializeStatus();
      }
    else
      {
      op->InitializeStatus();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_HasPropertyChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::HasPropertyChanged(temp0);
      }
    else
      {
      temp20 = op->HasPropertyChanged(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::HasPropertyChanged(temp0,temp1);
      }
    else
      {
      temp20 = op->HasPropertyChanged(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_InitializePropertyStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyStatusManager::InitializePropertyStatus(temp0);
      }
    else
      {
      op->InitializePropertyStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSMPropertyStatusManager_GetInternalProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyStatusManager *op;

  vtkSMVectorProperty  *temp0;
  PyObject *tempH0;
  vtkSMVectorProperty  *temp20;
  if ((op = (vtkSMPropertyStatusManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMVectorProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMVectorProperty");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyStatusManager::GetInternalProperty(temp0);
      }
    else
      {
      temp20 = op->GetInternalProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkSMPropertyStatusManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPropertyStatusManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPropertyStatusManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPropertyStatusManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyStatusManager\nC++: vtkSMPropertyStatusManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPropertyStatusManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyStatusManager\nC++: vtkSMPropertyStatusManager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RegisterProperty",                (PyCFunction)PyvtkSMPropertyStatusManager_RegisterProperty, 1,
   (char*)"V.RegisterProperty(vtkSMVectorProperty)\nC++: void RegisterProperty (vtkSMVectorProperty *property);\n\n Register a property with the manager. A property must be registered\n before its status can be tracked. \n"},
  {(char*)"UnregisterProperty",                (PyCFunction)PyvtkSMPropertyStatusManager_UnregisterProperty, 1,
   (char*)"V.UnregisterProperty(vtkSMVectorProperty)\nC++: void UnregisterProperty (vtkSMVectorProperty *property);\n\n Unregister a property.\n"},
  {(char*)"UnregisterAllProperties",                (PyCFunction)PyvtkSMPropertyStatusManager_UnregisterAllProperties, 1,
   (char*)"V.UnregisterAllProperties()\nC++: void UnregisterAllProperties ();\n\n Unregister all registered properties.\n"},
  {(char*)"InitializeStatus",                (PyCFunction)PyvtkSMPropertyStatusManager_InitializeStatus, 1,
   (char*)"V.InitializeStatus()\nC++: void InitializeStatus ();\n\n Must be called to initialize the status of all registered properties.\n The manager indicates changes relative to the last call to this method.\n Note that modifed status of properties, if any, is cleared by this method.\n"},
  {(char*)"HasPropertyChanged",                (PyCFunction)PyvtkSMPropertyStatusManager_HasPropertyChanged, 1,
   (char*)"V.HasPropertyChanged(vtkSMVectorProperty) -> int\nC++: int HasPropertyChanged (vtkSMVectorProperty *property);\nV.HasPropertyChanged(vtkSMVectorProperty, int) -> int\nC++: int HasPropertyChanged (vtkSMVectorProperty *property, int index);\n\n"},
  {(char*)"InitializePropertyStatus",                (PyCFunction)PyvtkSMPropertyStatusManager_InitializePropertyStatus, 1,
   (char*)"V.InitializePropertyStatus(vtkSMVectorProperty)\nC++: void InitializePropertyStatus (vtkSMVectorProperty *property);\n\n Same as InitializeStatus except for a single property.\n"},
  {(char*)"GetInternalProperty",                (PyCFunction)PyvtkSMPropertyStatusManager_GetInternalProperty, 1,
   (char*)"V.GetInternalProperty(vtkSMVectorProperty) -> vtkSMVectorProperty\nC++: vtkSMVectorProperty *GetInternalProperty (vtkSMVectorProperty *property);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPropertyStatusManagerDoc[] = {
  (char*)"vtkSMPropertyStatusManager - keeps track of modified properties.\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" This class can only manage the status of Vector properties.\n\n",
  NULL
};

static vtkObjectBase *vtkSMPropertyStatusManagerStaticNew()
{
  return vtkSMPropertyStatusManager::New();
}

PyObject *PyVTKClass_vtkSMPropertyStatusManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPropertyStatusManagerStaticNew,
                        PyvtkSMPropertyStatusManagerMethods,
                        (char*)"vtkSMPropertyStatusManager",modulename,
                        (char**)vtkSMPropertyStatusManagerDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

