// python wrapper for vtkSMProxyIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMProxyIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMProxyIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  const char    *temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  vtkSMProxyIterator  *temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMProxyIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMProxyIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyIterator::Begin();
      }
    else
      {
      op->Begin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  char    *temp0;
  PyErr_Clear();
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyIterator::Begin(temp0);
      }
    else
      {
      op->Begin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  int      temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyIterator::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_GetGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  const char    *temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::GetGroup();
      }
    else
      {
      temp20 = op->GetGroup();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_GetKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  const char    *temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::GetKey();
      }
    else
      {
      temp20 = op->GetKey();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_GetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::GetProxy();
      }
    else
      {
      temp20 = op->GetProxy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_SetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  int      temp0;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyIterator::SetMode(temp0);
      }
    else
      {
      op->SetMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyIterator_GetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyIterator *op;

  int      temp20;
  if ((op = (vtkSMProxyIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyIterator::GetMode();
      }
    else
      {
      temp20 = op->GetMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMProxyIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMProxyIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMProxyIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMProxyIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyIterator\nC++: vtkSMProxyIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMProxyIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyIterator\nC++: vtkSMProxyIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkSMProxyIterator_Begin, 1,
   (char*)"V.Begin()\nC++: void Begin ();\nV.Begin(string)\nC++: void Begin (const char *groupName);\n\n Go to the beginning of the collection.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkSMProxyIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: int IsAtEnd ();\n\n Is the iterator pointing past the last element?\n"},
  {(char*)"Next",                (PyCFunction)PyvtkSMProxyIterator_Next, 1,
   (char*)"V.Next()\nC++: void Next ();\n\n Move to the next property.\n"},
  {(char*)"GetGroup",                (PyCFunction)PyvtkSMProxyIterator_GetGroup, 1,
   (char*)"V.GetGroup() -> string\nC++: const char *GetGroup ();\n\n Get the group at the current iterator location.\n"},
  {(char*)"GetKey",                (PyCFunction)PyvtkSMProxyIterator_GetKey, 1,
   (char*)"V.GetKey() -> string\nC++: const char *GetKey ();\n\n Get the key (proxy name) at the current iterator location.\n"},
  {(char*)"GetProxy",                (PyCFunction)PyvtkSMProxyIterator_GetProxy, 1,
   (char*)"V.GetProxy() -> vtkSMProxy\nC++: vtkSMProxy *GetProxy ();\n\n Get the proxy at the current iterator location.\n"},
  {(char*)"SetMode",                (PyCFunction)PyvtkSMProxyIterator_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode (int );\n\n The traversal mode for the iterator. If the traversal mode is\n set to GROUPS, each Next() will move to the next group, in\n ONE_GROUP mode, all proxies in one group are visited and finally\n in ALL mode, all proxies are visited.\n"},
  {(char*)"GetMode",                (PyCFunction)PyvtkSMProxyIterator_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode ();\n\n The traversal mode for the iterator. If the traversal mode is\n set to GROUPS, each Next() will move to the next group, in\n ONE_GROUP mode, all proxies in one group are visited and finally\n in ALL mode, all proxies are visited.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMProxyIteratorDoc[] = {
  (char*)"vtkSMProxyIterator - iterates over all registered proxies (and groups)\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMProxyIterator iterates over all proxies registered with the\n proxy manager. It can also iterate over groups.\n\n",
  "See Also:\n\n vtkSMProxy vtkSMProxyManager\n\n",
  NULL
};

static vtkObjectBase *vtkSMProxyIteratorStaticNew()
{
  return vtkSMProxyIterator::New();
}

PyObject *PyVTKClass_vtkSMProxyIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMProxyIteratorStaticNew,
                        PyvtkSMProxyIteratorMethods,
                        (char*)"vtkSMProxyIterator",modulename,
                        (char**)vtkSMProxyIteratorDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

