// python wrapper for vtkSMProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  const char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMProxy_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp0;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_AddProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp0;
  vtkSMProperty  *temp1;
  PyObject *tempH1;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"zO", &temp0, &tempH1)))
    {
    temp1 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMProperty");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::AddProperty(temp0,temp1);
      }
    else
      {
      op->AddProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMProxy_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp0;
  vtkSMProperty  *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetProperty(temp0);
      }
    else
      {
      temp20 = op->GetProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_UpdateSelfAndAllInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::UpdateSelfAndAllInputs();
      }
    else
      {
      op->UpdateSelfAndAllInputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetVTKClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetVTKClassName();
      }
    else
      {
      temp20 = op->GetVTKClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_SetVTKClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp0;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::SetVTKClassName(temp0);
      }
    else
      {
      op->SetVTKClassName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSMProxy_GetNumberOfIDs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  unsigned int      temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetNumberOfIDs();
      }
    else
      {
      temp20 = op->GetNumberOfIDs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_NewPropertyIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMPropertyIterator  *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::NewPropertyIterator();
      }
    else
      {
      temp20 = op->NewPropertyIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetNumberOfConsumers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  unsigned int      temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetNumberOfConsumers();
      }
    else
      {
      temp20 = op->GetNumberOfConsumers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetConsumerProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  unsigned int      temp0;
  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetConsumerProxy(temp0);
      }
    else
      {
      temp20 = op->GetConsumerProxy(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetConsumerProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  unsigned int      temp0;
  vtkSMProperty  *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetConsumerProperty(temp0);
      }
    else
      {
      temp20 = op->GetConsumerProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetXMLName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetXMLName();
      }
    else
      {
      temp20 = op->GetXMLName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetXMLGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetXMLGroup();
      }
    else
      {
      temp20 = op->GetXMLGroup();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_UpdatePropertyInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::UpdatePropertyInformation(temp0);
      }
    else
      {
      op->UpdatePropertyInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkSMProxy_MarkAllPropertiesAsModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::MarkAllPropertiesAsModified();
      }
    else
      {
      op->MarkAllPropertiesAsModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  PyErr_Clear();
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::Copy(temp0,temp1);
      }
    else
      {
      op->Copy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::Copy(temp0,temp1,temp2);
      }
    else
      {
      op->Copy(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkSMProxy_MarkConsumersAsModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxy::MarkConsumersAsModified();
      }
    else
      {
      op->MarkConsumersAsModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxy_GetSelfIDAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxy *op;

  const char    *temp20;
  if ((op = (vtkSMProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxy::GetSelfIDAsString();
      }
    else
      {
      temp20 = op->GetSelfIDAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxy\nC++: vtkSMProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxy\nC++: vtkSMProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkSMProxy_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (char *);\n\n A proxy can be assigned a name. The name is used to\n indentify the proxy when saving ServerManager state.\n By default the name is set to pvTemp{%d} where {%d} \n gets substituted by the SelfID of the proxy.\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkSMProxy_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName ();\n\n A proxy can be assigned a name. The name is used to\n indentify the proxy when saving ServerManager state.\n By default the name is set to pvTemp{%d} where {%d} \n gets substituted by the SelfID of the proxy.\n"},
  {(char*)"AddProperty",                (PyCFunction)PyvtkSMProxy_AddProperty, 1,
   (char*)"V.AddProperty(string, vtkSMProperty)\nC++: void AddProperty (const char *name, vtkSMProperty *prop);\n\n Add a property with the given key (name). The name can then\n be used to retrieve the property with GetProperty(). If a\n property with the given name has been added before, it will\n be replaced. This includes properties in sub-proxies.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSMProxy_GetProperty, 1,
   (char*)"V.GetProperty(string) -> vtkSMProperty\nC++: vtkSMProperty *GetProperty (const char *name);return this GetProperty name \n\n Update the VTK object on the server by pushing the values of\n all modifed properties (un-modified properties are ignored).\n If the object has not been created, it will be created first.\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Update the VTK object on the server by pushing the values of\n all modifed properties (un-modified properties are ignored).\n If the object has not been created, it will be created first.\n"},
  {(char*)"UpdateSelfAndAllInputs",                (PyCFunction)PyvtkSMProxy_UpdateSelfAndAllInputs, 1,
   (char*)"V.UpdateSelfAndAllInputs()\nC++: virtual void UpdateSelfAndAllInputs ();\n\n Calls UpdateVTKObjects() on self and all proxies that depend\n on this proxy (through vtkSMProxyProperty properties). It will\n traverse the dependence tree and update starting from the source.\n This allows instantiating a whole pipeline (including connectivity)\n without having to worry about the order. Here is how to do it:\n @verbatim\n * Create all proxies\n * Set all property values - make sure that input properties\n      do not auto update by calling \n      vtkSMInputProperty::SetInputsUpdateImmediately(0); \n * Call UpdateSelfAndAllInputs() on either all proxies or\n   one that depends on all others (usually one or more DisplayWindows)\n * If necessary vtkSMInputProperty::SetInputsUpdateImmediately(1); \n @endverbatim\n"},
  {(char*)"GetVTKClassName",                (PyCFunction)PyvtkSMProxy_GetVTKClassName, 1,
   (char*)"V.GetVTKClassName() -> string\nC++: char *GetVTKClassName ();\n\n Returns the type of object managed by the proxy.\n"},
  {(char*)"SetVTKClassName",                (PyCFunction)PyvtkSMProxy_SetVTKClassName, 1,
   (char*)"V.SetVTKClassName(string)\nC++: void SetVTKClassName (char *);\n\n the type of object created by the proxy.\n This is used only when creating the server objects. Once the server\n object(s) have been created, changing this has no effect.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkSMProxy_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *obj);\n\n Overloaded to break the reference loop caused by the fact that\n proxies store their own ClientServer ids.\n"},
  {(char*)"GetNumberOfIDs",                (PyCFunction)PyvtkSMProxy_GetNumberOfIDs, 1,
   (char*)"V.GetNumberOfIDs() -> int\nC++: unsigned int GetNumberOfIDs ();\n\n Returns the number of server ids (same as the number of server objects\n if CreateVTKObjects() has already been called)\n"},
  {(char*)"NewPropertyIterator",                (PyCFunction)PyvtkSMProxy_NewPropertyIterator, 1,
   (char*)"V.NewPropertyIterator() -> vtkSMPropertyIterator\nC++: vtkSMPropertyIterator *NewPropertyIterator ();\n\n Returns a new (initialized) iterator of the properties.\n"},
  {(char*)"GetNumberOfConsumers",                (PyCFunction)PyvtkSMProxy_GetNumberOfConsumers, 1,
   (char*)"V.GetNumberOfConsumers() -> int\nC++: unsigned int GetNumberOfConsumers ();\n\n Returns the number of consumers. Consumers are proxies\n that point to this proxy through a property (usually \n vtkSMProxyProperty)\n"},
  {(char*)"GetConsumerProxy",                (PyCFunction)PyvtkSMProxy_GetConsumerProxy, 1,
   (char*)"V.GetConsumerProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetConsumerProxy (unsigned int idx);\n\n Returns the consumer of given index. Consumers are proxies\n that point to this proxy through a property (usually \n vtkSMProxyProperty)\n"},
  {(char*)"GetConsumerProperty",                (PyCFunction)PyvtkSMProxy_GetConsumerProperty, 1,
   (char*)"V.GetConsumerProperty(int) -> vtkSMProperty\nC++: vtkSMProperty *GetConsumerProperty (unsigned int idx);\n\n Returns the corresponding property of the consumer of given \n index. Consumers are proxies that point to this proxy through \n a property (usually vtkSMProxyProperty)\n"},
  {(char*)"GetXMLName",                (PyCFunction)PyvtkSMProxy_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName ();\n\n Assigned by the XML parser. The name assigned in the XML\n configuration. Can be used to figure out the origin of the\n proxy.\n"},
  {(char*)"GetXMLGroup",                (PyCFunction)PyvtkSMProxy_GetXMLGroup, 1,
   (char*)"V.GetXMLGroup() -> string\nC++: char *GetXMLGroup ();\n\n Assigned by the XML parser. The group in the XML configuration that\n this proxy belongs to. Can be used to figure out the origin of the\n proxy.\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkSMProxy_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n Updates all property informations by calling UpdateInformation()\n and populating the values. It also calls UpdateDependentDomains()\n on all properties to make sure that domains that depend on the\n information are updated.\n"},
  {(char*)"UpdatePropertyInformation",                (PyCFunction)PyvtkSMProxy_UpdatePropertyInformation, 1,
   (char*)"V.UpdatePropertyInformation(vtkSMProperty)\nC++: virtual void UpdatePropertyInformation (vtkSMProperty *prop);\n\n Similar to UpdateInformation() but updates only the given property.\n If the property does not belong to the proxy, the call is ignored.\n"},
  {(char*)"MarkAllPropertiesAsModified",                (PyCFunction)PyvtkSMProxy_MarkAllPropertiesAsModified, 1,
   (char*)"V.MarkAllPropertiesAsModified()\nC++: virtual void MarkAllPropertiesAsModified ();\n\n Marks all properties as modified.  This will cause them all to be sent\n to be sent on the next call to UpdateVTKObjects.  This method is\n useful when the proxy is first created to make sure that the default\n property values in the properties is synced with the values in the\n actual objects.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMProxy_Copy, 1,
   (char*)"V.Copy(vtkSMProxy)\nC++: void Copy (vtkSMProxy *src);\nV.Copy(vtkSMProxy, string)\nC++: void Copy (vtkSMProxy *src, const char *exceptionClass);\nV.Copy(vtkSMProxy, string, int)\nC++: virtual void Copy (vtkSMProxy *src, const char *exceptionClass, int proxyPropertyCopyFlag);\n\n Copies values of all the properties and sub-proxies from src.\n NOTE: This does NOT create properties and sub-proxies. Only\n copies values. Mismatched property and sub-proxy pairs are\n ignored.\n Properties of type exceptionClass are not copied. This\n is usually vtkSMInputProperty.\n proxyPropertyCopyFlag specifies how the values for vtkSMProxyProperty\n and its subclasses are copied over: by reference or by \n cloning (ie. creating new instances of the value proxies and \n synchronizing their values).\n"},
  {(char*)"MarkConsumersAsModified",                (PyCFunction)PyvtkSMProxy_MarkConsumersAsModified, 1,
   (char*)"V.MarkConsumersAsModified()\nC++: virtual void MarkConsumersAsModified ();\n\n Calls MarkConsumersAsModified() on all consumers. Sub-classes\n should add their functionality and call this.\n"},
  {(char*)"GetSelfIDAsString",                (PyCFunction)PyvtkSMProxy_GetSelfIDAsString, 1,
   (char*)"V.GetSelfIDAsString() -> string\nC++: const char *GetSelfIDAsString ();\n\n Returns the self ID as string. If the name was overwritten\n with SetName(), it returns that instead.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMProxyDoc[] = {
  (char*)"vtkSMProxy - proxy for a VTK object(s) on a server\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMProxy manages VTK object(s) that are created on a server \n using the proxy pattern. The managed object is manipulated through \n properties. \n The type of object created and managed by vtkSMProxy is determined\n by the VTKClassName variable. The object is managed by getting the desired\n property from the proxy, changing it's value and updating the server\n with UpdateVTKObjects().\n A proxy can ",
  (char*)"be composite. Sub-proxies can be added by the proxy \n manager. This is transparent to the user who sees all properties\n as if they belong to the root proxy.\n \n When defining a proxy in the XML configuration file,\n to derrive the property interface from another proxy definition,\n we can use attributes \"base_proxygroup\" and \"base_proxyname\" which \n identify the proxy group and proxy name of another ",
  (char*)"proxy. Base interfaces\n can be defined recursively, however care must be taken to avoid cycles.\n\n \n There are several special XML features available for subproxies.\n 1) It is possible to share properties among subproxies.\n    eg.\n\n    <Proxy name=\"Display\" class=\"Alpha\">\n      <SubProxy>\n        <Proxy name=\"Mapper\" class=\"vtkPolyDataMapper\">\n          <InputProperty name=\"Input\" ...>\n            ",
  (char*)"...\n          </InputProperty>\n          <IntVectorProperty name=\"ScalarVisibility\" ...>\n            ...\n          </IntVectorProperty>\n            ...\n        </Proxy>\n      </SubProxy>\n      <SubProxy>\n        <Proxy name=\"Mapper2\" class=\"vtkPolyDataMapper\">\n          <InputProperty name=\"Input\" ...>\n            ...\n          </InputProperty>\n          <IntVectorProperty name=\"ScalarVisibility\" ",
  (char*)"...>\n            ...\n          </IntVectorProperty>\n            ...\n        </Proxy>\n        <ShareProperties subproxy=\"Mapper\">\n          <Exception name=\"Input\" />\n        </ShareProperties>\n      </SubProxy>\n    </Proxy>\n    Thus, subproxies Mapper and Mapper2 share the properties that are common to both;\n    except those listed as exceptions using the \"Exception\" tag.\n\n  2) It is possible for ",
  (char*)"a subproxy to use proxy definition defined elsewhere\n     by identifying the interface with attribues \"proxygroup\" and \"proxyname\".\n     eg.\n     <SubProxy>\n       <Proxy name=\"Mapper\" proxygroup=\"mappers\" proxyname=\"PolyDataMapper\" />\n     </SubProxy>\n\n  3) It is possible to scope the properties exposed by a subproxy and expose\n     only a fixed set of properties to be accessible from outside.\n  ",
  (char*)"   eg.\n     <Proxy name=\"Alpha\" ..>\n       ....\n       <SubProxy>\n         <Proxy name=\"Mapper\" proxygroup=\"mappers\" proxyname=\"PolyDataMapper\" />\n         <ExposedProperties>\n           <Property name=\"LookupTable ... />\n         </ExposedProperties>\n       </SubProxy>\n     </Proxy>\n     Thus the only mapper property available on calling\n     GetProperty on the proxy Alpha is \"LookupTable\". More ",
  (char*)"than one property \n     can be exposed. Note that properties that are not exposed are treated as\n     non-saveable and non-animateable (see vtkSMProperty for details).\n     Note that exposed property restrictions only work when \n     using the GetProperty on the container proxy (in this case Alpha) or\n     using the PropertyIterator obtained from the container proxy. If one\n     is to some how obt",
  (char*)"ain a pointer to the subproxy and call GetProperty on it,\n     the properties exposed by the container class are no longer applicable.\n\n",
  "See Also:\n\n vtkSMProxyManager vtkSMProperty vtkSMSourceProxy vtkSMPropertyIterator\n\n",
  NULL
};

static vtkObjectBase *vtkSMProxyStaticNew()
{
  return vtkSMProxy::New();
}

PyObject *PyVTKClass_vtkSMProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMProxyStaticNew,
                        PyvtkSMProxyMethods,
                        (char*)"vtkSMProxy",modulename,
                        (char**)vtkSMProxyDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

