// python wrapper for vtkSMRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkSMRenderModuleProxy  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_AddDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMDisplayProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMDisplayProxy");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::AddDisplay(temp0);
      }
    else
      {
      op->AddDisplay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_RemoveDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMDisplayProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMDisplayProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::RemoveDisplay(temp0);
      }
    else
      {
      op->RemoveDisplay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_RemoveAllDisplays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::RemoveAllDisplays();
      }
    else
      {
      op->RemoveAllDisplays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_StillRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::StillRender();
      }
    else
      {
      op->StillRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_InteractiveRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::InteractiveRender();
      }
    else
      {
      op->InteractiveRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_CreateDisplayProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkSMDisplayProxy  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::CreateDisplayProxy();
      }
    else
      {
      temp20 = op->CreateDisplayProxy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_CacheUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::CacheUpdate(temp0,temp1);
      }
    else
      {
      op->CacheUpdate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_InvalidateAllGeometries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::InvalidateAllGeometries();
      }
    else
      {
      op->InvalidateAllGeometries();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetUseTriangleStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetUseTriangleStrips(temp0);
      }
    else
      {
      op->SetUseTriangleStrips(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetUseImmediateMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetUseImmediateMode(temp0);
      }
    else
      {
      op->SetUseImmediateMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkRenderer  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetRenderer2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkRenderer  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetRenderer2D();
      }
    else
      {
      temp20 = op->GetRenderer2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkRenderWindowInteractor  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetInteractor();
      }
    else
      {
      temp20 = op->GetInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetBackgroundColorCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double temp0[3];
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetBackgroundColorCM(temp0);
      }
    else
      {
      op->SetBackgroundColorCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::ResetCameraClippingRange();
      }
    else
      {
      op->ResetCameraClippingRange();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetRenderInterruptsEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetRenderInterruptsEnabled(temp0);
      }
    else
      {
      op->SetRenderInterruptsEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetRenderInterruptsEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetRenderInterruptsEnabled();
      }
    else
      {
      temp20 = op->GetRenderInterruptsEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_RenderInterruptsEnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::RenderInterruptsEnabledOn();
      }
    else
      {
      op->RenderInterruptsEnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_RenderInterruptsEnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::RenderInterruptsEnabledOff();
      }
    else
      {
      op->RenderInterruptsEnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_ComputeVisiblePropBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double temp0[6];
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::ComputeVisiblePropBounds(temp0);
      }
    else
      {
      op->ComputeVisiblePropBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetDisplays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  vtkCollection  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetDisplays();
      }
    else
      {
      temp20 = op->GetDisplays();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetZBufferValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  int      temp1;
  double   temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetZBufferValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetZBufferValue(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_ResetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double temp0[6];
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::ResetCamera(temp0);
      }
    else
      {
      op->ResetCamera(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  PyErr_Clear();
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::ResetCamera();
      }
    else
      {
      op->ResetCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SynchronizeCameraProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SynchronizeCameraProperties();
      }
    else
      {
      op->SynchronizeCameraProperties();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SynchronizeRenderers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SynchronizeRenderers();
      }
    else
      {
      op->SynchronizeRenderers();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_WriteImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::WriteImage(temp0,temp1);
      }
    else
      {
      temp20 = op->WriteImage(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetUseLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetUseLight(temp0);
      }
    else
      {
      op->SetUseLight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetServerRenderWindowSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int    temp0[2];
  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetServerRenderWindowSize(temp0);
      }
    else
      {
      temp20 = op->GetServerRenderWindowSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_IsRenderLocal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::IsRenderLocal();
      }
    else
      {
      temp20 = op->IsRenderLocal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_UpdateAllDisplays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::UpdateAllDisplays();
      }
    else
      {
      op->UpdateAllDisplays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_CaptureWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  vtkImageData  *temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::CaptureWindow(temp0);
      }
    else
      {
      temp20 = op->CaptureWindow(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_SetMeasurePolygonsPerSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::SetMeasurePolygonsPerSecond(temp0);
      }
    else
      {
      op->SetMeasurePolygonsPerSecond(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecondMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetMeasurePolygonsPerSecondMinValue();
      }
    else
      {
      temp20 = op->GetMeasurePolygonsPerSecondMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecondMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetMeasurePolygonsPerSecondMaxValue();
      }
    else
      {
      temp20 = op->GetMeasurePolygonsPerSecondMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_MeasurePolygonsPerSecondOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::MeasurePolygonsPerSecondOn();
      }
    else
      {
      op->MeasurePolygonsPerSecondOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_MeasurePolygonsPerSecondOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::MeasurePolygonsPerSecondOff();
      }
    else
      {
      op->MeasurePolygonsPerSecondOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  int      temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetMeasurePolygonsPerSecond();
      }
    else
      {
      temp20 = op->GetMeasurePolygonsPerSecond();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_ResetPolygonsPerSecondResults(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRenderModuleProxy::ResetPolygonsPerSecondResults();
      }
    else
      {
      op->ResetPolygonsPerSecondResults();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetLastPolygonsPerSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double   temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetLastPolygonsPerSecond();
      }
    else
      {
      temp20 = op->GetLastPolygonsPerSecond();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetMaximumPolygonsPerSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double   temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetMaximumPolygonsPerSecond();
      }
    else
      {
      temp20 = op->GetMaximumPolygonsPerSecond();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRenderModuleProxy_GetAveragePolygonsPerSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRenderModuleProxy *op;

  double   temp20;
  if ((op = (vtkSMRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRenderModuleProxy::GetAveragePolygonsPerSecond();
      }
    else
      {
      temp20 = op->GetAveragePolygonsPerSecond();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMRenderModuleProxy\nC++: vtkSMRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"AddDisplay",                (PyCFunction)PyvtkSMRenderModuleProxy_AddDisplay, 1,
   (char*)"V.AddDisplay(vtkSMDisplayProxy)\nC++: virtual void AddDisplay (vtkSMDisplayProxy *disp);\n\n Any display that must be rendered by this rendermodule\n needs to be added to it. \n NOTE: If you call this method directly (without using properties)\n don't forget to call UpdateVTKObjects() on the RenderModule.\n"},
  {(char*)"RemoveDisplay",                (PyCFunction)PyvtkSMRenderModuleProxy_RemoveDisplay, 1,
   (char*)"V.RemoveDisplay(vtkSMDisplayProxy)\nC++: virtual void RemoveDisplay (vtkSMDisplayProxy *disp);\n\n Any display that must be rendered by this rendermodule\n needs to be added to it. \n NOTE: If you call this method directly (without using properties)\n don't forget to call UpdateVTKObjects() on the RenderModule.\n"},
  {(char*)"RemoveAllDisplays",                (PyCFunction)PyvtkSMRenderModuleProxy_RemoveAllDisplays, 1,
   (char*)"V.RemoveAllDisplays()\nC++: virtual void RemoveAllDisplays ();\n\n Removes all added displays. \n (Calls RemoveFromRenderModule on all displays).\n"},
  {(char*)"StillRender",                (PyCFunction)PyvtkSMRenderModuleProxy_StillRender, 1,
   (char*)"V.StillRender()\nC++: virtual void StillRender ();\n\n Renders using Still/FullRes or interactive/LODs\n"},
  {(char*)"InteractiveRender",                (PyCFunction)PyvtkSMRenderModuleProxy_InteractiveRender, 1,
   (char*)"V.InteractiveRender()\nC++: virtual void InteractiveRender ();\n\n Renders using Still/FullRes or interactive/LODs\n"},
  {(char*)"CreateDisplayProxy",                (PyCFunction)PyvtkSMRenderModuleProxy_CreateDisplayProxy, 1,
   (char*)"V.CreateDisplayProxy() -> vtkSMDisplayProxy\nC++: virtual vtkSMDisplayProxy *CreateDisplayProxy ();\n\n"},
  {(char*)"CacheUpdate",                (PyCFunction)PyvtkSMRenderModuleProxy_CacheUpdate, 1,
   (char*)"V.CacheUpdate(int, int)\nC++: virtual void CacheUpdate (int idx, int total);\n\n Update the cache of all visible part displays. For flip books.\n"},
  {(char*)"InvalidateAllGeometries",                (PyCFunction)PyvtkSMRenderModuleProxy_InvalidateAllGeometries, 1,
   (char*)"V.InvalidateAllGeometries()\nC++: virtual void InvalidateAllGeometries ();\n\n Calls InvalidateGeometry() on all part displays. For flip books.\n"},
  {(char*)"SetUseTriangleStrips",                (PyCFunction)PyvtkSMRenderModuleProxy_SetUseTriangleStrips, 1,
   (char*)"V.SetUseTriangleStrips(int)\nC++: void SetUseTriangleStrips (int val);\n\n Callback for the triangle strips check button\n"},
  {(char*)"SetUseImmediateMode",                (PyCFunction)PyvtkSMRenderModuleProxy_SetUseImmediateMode, 1,
   (char*)"V.SetUseImmediateMode(int)\nC++: void SetUseImmediateMode (int val);\n\n Callback for the immediate mode rendering check button\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkSMRenderModuleProxy_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Access to the rendering-related objects for the GUI.\n"},
  {(char*)"GetRenderer2D",                (PyCFunction)PyvtkSMRenderModuleProxy_GetRenderer2D, 1,
   (char*)"V.GetRenderer2D() -> vtkRenderer\nC++: vtkRenderer *GetRenderer2D ();\n\n Access to the rendering-related objects for the GUI.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkSMRenderModuleProxy_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Access to the rendering-related objects for the GUI.\n"},
  {(char*)"GetInteractor",                (PyCFunction)PyvtkSMRenderModuleProxy_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *GetInteractor ();\n\n Access to the rendering-related objects for the GUI.\n"},
  {(char*)"SetBackgroundColorCM",                (PyCFunction)PyvtkSMRenderModuleProxy_SetBackgroundColorCM, 1,
   (char*)"V.SetBackgroundColorCM((float, float, float))\nC++: void SetBackgroundColorCM (double rgb[3]);\n\n Convenience method to set the background color.\n"},
  {(char*)"ResetCameraClippingRange",                (PyCFunction)PyvtkSMRenderModuleProxy_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange()\nC++: void ResetCameraClippingRange ();\n\n Reset the camera clipping range.\n"},
  {(char*)"SetRenderInterruptsEnabled",                (PyCFunction)PyvtkSMRenderModuleProxy_SetRenderInterruptsEnabled, 1,
   (char*)"V.SetRenderInterruptsEnabled(int)\nC++: void SetRenderInterruptsEnabled (int );\n\n Controls whether the render module invokes abort check events.\n"},
  {(char*)"GetRenderInterruptsEnabled",                (PyCFunction)PyvtkSMRenderModuleProxy_GetRenderInterruptsEnabled, 1,
   (char*)"V.GetRenderInterruptsEnabled() -> int\nC++: int GetRenderInterruptsEnabled ();\n\n Controls whether the render module invokes abort check events.\n"},
  {(char*)"RenderInterruptsEnabledOn",                (PyCFunction)PyvtkSMRenderModuleProxy_RenderInterruptsEnabledOn, 1,
   (char*)"V.RenderInterruptsEnabledOn()\nC++: void RenderInterruptsEnabledOn ();\n\n Controls whether the render module invokes abort check events.\n"},
  {(char*)"RenderInterruptsEnabledOff",                (PyCFunction)PyvtkSMRenderModuleProxy_RenderInterruptsEnabledOff, 1,
   (char*)"V.RenderInterruptsEnabledOff()\nC++: void RenderInterruptsEnabledOff ();\n\n Controls whether the render module invokes abort check events.\n"},
  {(char*)"ComputeVisiblePropBounds",                (PyCFunction)PyvtkSMRenderModuleProxy_ComputeVisiblePropBounds, 1,
   (char*)"V.ComputeVisiblePropBounds((float, float, float, float, float, float))\nC++: void ComputeVisiblePropBounds (double bounds[6]);\n\n Compute the bounding box of all visible props.\n"},
  {(char*)"GetDisplays",                (PyCFunction)PyvtkSMRenderModuleProxy_GetDisplays, 1,
   (char*)"V.GetDisplays() -> vtkCollection\nC++: vtkCollection *GetDisplays ();\n\n Returns the display collection.\n"},
  {(char*)"GetZBufferValue",                (PyCFunction)PyvtkSMRenderModuleProxy_GetZBufferValue, 1,
   (char*)"V.GetZBufferValue(int, int) -> float\nC++: virtual double GetZBufferValue (int x, int y);\n\n Get the value of the z buffer at a position. \n This is necessary for picking the center of rotation.\n"},
  {(char*)"ResetCamera",                (PyCFunction)PyvtkSMRenderModuleProxy_ResetCamera, 1,
   (char*)"V.ResetCamera((float, float, float, float, float, float))\nC++: void ResetCamera (double bds[6]);\nV.ResetCamera()\nC++: void ResetCamera ();\n\n Reset camera to the given bounds.\n"},
  {(char*)"SynchronizeCameraProperties",                (PyCFunction)PyvtkSMRenderModuleProxy_SynchronizeCameraProperties, 1,
   (char*)"V.SynchronizeCameraProperties()\nC++: void SynchronizeCameraProperties ();\n\n This method calls UpdateInformation on the Camera Proxy\n and sets the Camera properties according to the info\n properties.\n"},
  {(char*)"SynchronizeRenderers",                (PyCFunction)PyvtkSMRenderModuleProxy_SynchronizeRenderers, 1,
   (char*)"V.SynchronizeRenderers()\nC++: void SynchronizeRenderers ();\n\n Internal method do not call directly. \n Synchornizes the properties of the 2D and 3D renders before\n each render.\n"},
  {(char*)"WriteImage",                (PyCFunction)PyvtkSMRenderModuleProxy_WriteImage, 1,
   (char*)"V.WriteImage(string, string) -> int\nC++: virtual int WriteImage (const char *filename, const char *writerName);\n\n Generate a screenshot from the render window.\n"},
  {(char*)"SetUseLight",                (PyCFunction)PyvtkSMRenderModuleProxy_SetUseLight, 1,
   (char*)"V.SetUseLight(int)\nC++: void SetUseLight (int enable);\n\n Enable/Disable the LightKit.\n"},
  {(char*)"GetServerRenderWindowSize",                (PyCFunction)PyvtkSMRenderModuleProxy_GetServerRenderWindowSize, 1,
   (char*)"V.GetServerRenderWindowSize((int, int)) -> int\nC++: int GetServerRenderWindowSize (int size[2]);\n\n Returns the dimensions of the first node of the render server (in\n the argument size). Returns 1 on success, 0 on failure.\n"},
  {(char*)"IsRenderLocal",                (PyCFunction)PyvtkSMRenderModuleProxy_IsRenderLocal, 1,
   (char*)"V.IsRenderLocal() -> int\nC++: virtual int IsRenderLocal ();return \n\n Update all visible displays (therefore sources)\n"},
  {(char*)"UpdateAllDisplays",                (PyCFunction)PyvtkSMRenderModuleProxy_UpdateAllDisplays, 1,
   (char*)"V.UpdateAllDisplays()\nC++: virtual void UpdateAllDisplays ();\n\n Update all visible displays (therefore sources)\n"},
  {(char*)"CaptureWindow",                (PyCFunction)PyvtkSMRenderModuleProxy_CaptureWindow, 1,
   (char*)"V.CaptureWindow(int) -> vtkImageData\nC++: virtual vtkImageData *CaptureWindow (int magnification);\n\n Returns an image data that contains a \"screenshot\" of the window.\n It is the responsibility of the caller to delete the image data.\n"},
  {(char*)"SetMeasurePolygonsPerSecond",                (PyCFunction)PyvtkSMRenderModuleProxy_SetMeasurePolygonsPerSecond, 1,
   (char*)"V.SetMeasurePolygonsPerSecond(int)\nC++: void SetMeasurePolygonsPerSecond (int );\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"GetMeasurePolygonsPerSecondMinValue",                (PyCFunction)PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecondMinValue, 1,
   (char*)"V.GetMeasurePolygonsPerSecondMinValue() -> int\nC++: int GetMeasurePolygonsPerSecondMinValue ();\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"GetMeasurePolygonsPerSecondMaxValue",                (PyCFunction)PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecondMaxValue, 1,
   (char*)"V.GetMeasurePolygonsPerSecondMaxValue() -> int\nC++: int GetMeasurePolygonsPerSecondMaxValue ();\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"MeasurePolygonsPerSecondOn",                (PyCFunction)PyvtkSMRenderModuleProxy_MeasurePolygonsPerSecondOn, 1,
   (char*)"V.MeasurePolygonsPerSecondOn()\nC++: void MeasurePolygonsPerSecondOn ();\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"MeasurePolygonsPerSecondOff",                (PyCFunction)PyvtkSMRenderModuleProxy_MeasurePolygonsPerSecondOff, 1,
   (char*)"V.MeasurePolygonsPerSecondOff()\nC++: void MeasurePolygonsPerSecondOff ();\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"GetMeasurePolygonsPerSecond",                (PyCFunction)PyvtkSMRenderModuleProxy_GetMeasurePolygonsPerSecond, 1,
   (char*)"V.GetMeasurePolygonsPerSecond() -> int\nC++: int GetMeasurePolygonsPerSecond ();\n\n Enable measurement of Polygons Per Second\n"},
  {(char*)"ResetPolygonsPerSecondResults",                (PyCFunction)PyvtkSMRenderModuleProxy_ResetPolygonsPerSecondResults, 1,
   (char*)"V.ResetPolygonsPerSecondResults()\nC++: void ResetPolygonsPerSecondResults ();\n\n Reset the tracking of polygons per second\n"},
  {(char*)"GetLastPolygonsPerSecond",                (PyCFunction)PyvtkSMRenderModuleProxy_GetLastPolygonsPerSecond, 1,
   (char*)"V.GetLastPolygonsPerSecond() -> float\nC++: double GetLastPolygonsPerSecond ();\n\n Get the last/maximum/average number of polygons per second\n"},
  {(char*)"GetMaximumPolygonsPerSecond",                (PyCFunction)PyvtkSMRenderModuleProxy_GetMaximumPolygonsPerSecond, 1,
   (char*)"V.GetMaximumPolygonsPerSecond() -> float\nC++: double GetMaximumPolygonsPerSecond ();\n\n Get the last/maximum/average number of polygons per second\n"},
  {(char*)"GetAveragePolygonsPerSecond",                (PyCFunction)PyvtkSMRenderModuleProxy_GetAveragePolygonsPerSecond, 1,
   (char*)"V.GetAveragePolygonsPerSecond() -> float\nC++: double GetAveragePolygonsPerSecond ();\n\n Get the last/maximum/average number of polygons per second\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMRenderModuleProxyDoc[] = {
  (char*)"vtkSMRenderModuleProxy - Manages rendering and displaying data.\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" This is an abstract super class for all rendering modules.\n Provides very basic functionality.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMRenderModuleProxyMethods,
                        (char*)"vtkSMRenderModuleProxy",modulename,
                        (char**)vtkSMRenderModuleProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

