// python wrapper for vtkSMSimpleProxyInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSimpleProxyInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSimpleProxyInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSimpleProxyInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMSimpleProxyInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleProxyInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMSimpleProxyInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleProxyInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleProxyInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleProxyInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSimpleProxyInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleProxyInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleProxyInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleProxyInformationHelper *op;

  vtkSMSimpleProxyInformationHelper  *temp20;
  if ((op = (vtkSMSimpleProxyInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleProxyInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleProxyInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSimpleProxyInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSimpleProxyInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMSimpleProxyInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSimpleProxyInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSimpleProxyInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSimpleProxyInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSimpleProxyInformationHelper\nC++: vtkSMSimpleProxyInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSimpleProxyInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSimpleProxyInformationHelper\nC++: vtkSMSimpleProxyInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSimpleProxyInformationHelperDoc[] = {
  (char*)"vtkSMSimpleProxyInformationHelper - populates vtkSMProxyProperty with the results of its command\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMSimpleProxyInformationHelper only works with \n vtkSMProxyProperties. It calls the property's command on the \n root node of the associated server and populates the property\n using the value(s) returned.\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkSMProxyProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMSimpleProxyInformationHelperStaticNew()
{
  return vtkSMSimpleProxyInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMSimpleProxyInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSimpleProxyInformationHelperStaticNew,
                        PyvtkSMSimpleProxyInformationHelperMethods,
                        (char*)"vtkSMSimpleProxyInformationHelper",modulename,
                        (char**)vtkSMSimpleProxyInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

