// python wrapper for vtkSMSimpleRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSimpleRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSimpleRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSimpleRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMRenderModuleProxyNew(char *); }

static PyObject *PyvtkSMSimpleRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMSimpleRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSimpleRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleRenderModuleProxy *op;

  vtkSMSimpleRenderModuleProxy  *temp20;
  if ((op = (vtkSMSimpleRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleRenderModuleProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSimpleRenderModuleProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSimpleRenderModuleProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMSimpleRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSimpleRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSimpleRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSimpleRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSimpleRenderModuleProxy\nC++: vtkSMSimpleRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSimpleRenderModuleProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSimpleRenderModuleProxy\nC++: vtkSMSimpleRenderModuleProxy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSimpleRenderModuleProxyDoc[] = {
  (char*)"vtkSMSimpleRenderModuleProxy - a simple render module.\n\n",
  "Super Class:\n\n vtkSMRenderModuleProxy\n\n",
  (char*)" A simple render module.\n\n",
  NULL
};

static vtkObjectBase *vtkSMSimpleRenderModuleProxyStaticNew()
{
  return vtkSMSimpleRenderModuleProxy::New();
}

PyObject *PyVTKClass_vtkSMSimpleRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSimpleRenderModuleProxyStaticNew,
                        PyvtkSMSimpleRenderModuleProxyMethods,
                        (char*)"vtkSMSimpleRenderModuleProxy",modulename,
                        (char**)vtkSMSimpleRenderModuleProxyDoc,
                        PyVTKClass_vtkSMRenderModuleProxyNew(modulename));
}

