// python wrapper for vtkSMSimpleStringInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSimpleStringInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSimpleStringInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSimpleStringInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMSimpleStringInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleStringInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMSimpleStringInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleStringInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleStringInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleStringInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSimpleStringInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleStringInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleStringInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleStringInformationHelper *op;

  vtkSMSimpleStringInformationHelper  *temp20;
  if ((op = (vtkSMSimpleStringInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleStringInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleStringInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSimpleStringInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSimpleStringInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMSimpleStringInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSimpleStringInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSimpleStringInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSimpleStringInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSimpleStringInformationHelper\nC++: vtkSMSimpleStringInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSimpleStringInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSimpleStringInformationHelper\nC++: vtkSMSimpleStringInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSimpleStringInformationHelperDoc[] = {
  (char*)"vtkSMSimpleStringInformationHelper - populates vtkSMStringVectorProperty with the result of it's command\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMSimpleStringInformationHelper only work with\n vtkSMStringVectorProperties. It calls the property's Command on the\n root node of the associated server and populates the property using\n the values returned.\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkSMStringVectorPropertiy\n\n",
  NULL
};

static vtkObjectBase *vtkSMSimpleStringInformationHelperStaticNew()
{
  return vtkSMSimpleStringInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMSimpleStringInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSimpleStringInformationHelperStaticNew,
                        PyvtkSMSimpleStringInformationHelperMethods,
                        (char*)"vtkSMSimpleStringInformationHelper",modulename,
                        (char**)vtkSMSimpleStringInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

