// python wrapper for vtkSMSourceProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSourceProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSourceProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSourceProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMSourceProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  const char    *temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  vtkSMSourceProxy  *temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSourceProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSourceProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::UpdatePipeline();
      }
    else
      {
      op->UpdatePipeline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::AddInput(temp0,temp1,temp2);
      }
    else
      {
      op->AddInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_CleanInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  char    *temp0;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::CleanInputs(temp0);
      }
    else
      {
      op->CleanInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_UpdateSelfAndAllInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::UpdateSelfAndAllInputs();
      }
    else
      {
      op->UpdateSelfAndAllInputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_UpdateDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::UpdateDataInformation();
      }
    else
      {
      op->UpdateDataInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_GetNumberOfParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  unsigned int      temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::GetNumberOfParts();
      }
    else
      {
      temp20 = op->GetNumberOfParts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_GetPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  unsigned int      temp0;
  vtkSMPart  *temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::GetPart(temp0);
      }
    else
      {
      temp20 = op->GetPart(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_CreateParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::CreateParts();
      }
    else
      {
      op->CreateParts();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_GetDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  vtkPVDataInformation  *temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::GetDataInformation();
      }
    else
      {
      temp20 = op->GetDataInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_MarkConsumersAsModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::MarkConsumersAsModified();
      }
    else
      {
      op->MarkConsumersAsModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  char    *temp0;
  vtkSMProperty  *temp20;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSourceProxy::GetProperty(temp0);
      }
    else
      {
      temp20 = op->GetProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSourceProxy_InvalidateDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSourceProxy *op;

  int      temp0;
  if ((op = (vtkSMSourceProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMSourceProxy::InvalidateDataInformation(temp0);
      }
    else
      {
      op->InvalidateDataInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMSourceProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSourceProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSourceProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSourceProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSourceProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkSMSourceProxy_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n Calls UpdateInformation() on all sources (chains to superclass).\n"},
  {(char*)"UpdatePipeline",                (PyCFunction)PyvtkSMSourceProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline()\nC++: void UpdatePipeline ();\n\n Calls Update() on all sources. It also creates parts if\n they are not already created.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkSMSourceProxy_AddInput, 1,
   (char*)"V.AddInput(vtkSMSourceProxy, string, int)\nC++: void AddInput (vtkSMSourceProxy *input, const char *method, int hasMultipleInputs);\n\n Connects filters/sinks to an input. If the filter(s) is not\n created, this will create it. If hasMultipleInputs is\n true,  only one filter is created, even if the input has\n multiple parts. All the inputs are added using the method\n name provided. If hasMultipleInputs is not true, one filter\n is created for each input. NOTE: The filter(s) is created\n when SetInput is called the first and if the it wasn't already\n created. If the filter has two inputs and one is multi-block\n whereas the other one is not, SetInput() should be called with\n the multi-block input first. Otherwise, it will create only\n one filter and can not apply to the multi-block input.\n"},
  {(char*)"CleanInputs",                (PyCFunction)PyvtkSMSourceProxy_CleanInputs, 1,
   (char*)"V.CleanInputs(string)\nC++: void CleanInputs (const char *method);\n\n Calls method on all VTK sources. Used by the input property \n to remove inputs. Made public to allow access by wrappers. Do\n not use.\n"},
  {(char*)"UpdateSelfAndAllInputs",                (PyCFunction)PyvtkSMSourceProxy_UpdateSelfAndAllInputs, 1,
   (char*)"V.UpdateSelfAndAllInputs()\nC++: virtual void UpdateSelfAndAllInputs ();\n\n Chains to superclass and calls UpdateInformation()\n"},
  {(char*)"UpdateDataInformation",                (PyCFunction)PyvtkSMSourceProxy_UpdateDataInformation, 1,
   (char*)"V.UpdateDataInformation()\nC++: void UpdateDataInformation ();\n\n Updates data information if necessary and copies information to \n the DataInformation property.\n"},
  {(char*)"GetNumberOfParts",                (PyCFunction)PyvtkSMSourceProxy_GetNumberOfParts, 1,
   (char*)"V.GetNumberOfParts() -> int\nC++: unsigned int GetNumberOfParts ();\n\n Return the number of parts (output proxies).\n"},
  {(char*)"GetPart",                (PyCFunction)PyvtkSMSourceProxy_GetPart, 1,
   (char*)"V.GetPart(int) -> vtkSMPart\nC++: vtkSMPart *GetPart (unsigned int idx);\n\n Return a part (output proxy).\n"},
  {(char*)"CreateParts",                (PyCFunction)PyvtkSMSourceProxy_CreateParts, 1,
   (char*)"V.CreateParts()\nC++: virtual void CreateParts ();\n\n Create n parts where n is the number of filters. Each part\n correspond to one output of one filter.\n"},
  {(char*)"GetDataInformation",                (PyCFunction)PyvtkSMSourceProxy_GetDataInformation, 1,
   (char*)"V.GetDataInformation() -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetDataInformation ();\n\n DataInformation is used by the source proxy to obtain information\n on the output(s) from the server. The information contained in\n this object is also copied to the DataInformation automatically.\n The direct use of the data information object is low level and\n should be avoided if possible.\n"},
  {(char*)"MarkConsumersAsModified",                (PyCFunction)PyvtkSMSourceProxy_MarkConsumersAsModified, 1,
   (char*)"V.MarkConsumersAsModified()\nC++: virtual void MarkConsumersAsModified ();\n\n Chains to superclass as well as mark the data information as\n invalid (next time data information is requested, it will be\n re-created).\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSMSourceProxy_GetProperty, 1,
   (char*)"V.GetProperty(string) -> vtkSMProperty\nC++: vtkSMProperty *GetProperty (const char *name);return this Superclass GetProperty name \n\n Mark the data information as invalid. If consumers is 1, it\n will also mark all consumers' information as invalid.\n"},
  {(char*)"InvalidateDataInformation",                (PyCFunction)PyvtkSMSourceProxy_InvalidateDataInformation, 1,
   (char*)"V.InvalidateDataInformation(int)\nC++: void InvalidateDataInformation (int consumers);\n\n Mark the data information as invalid. If consumers is 1, it\n will also mark all consumers' information as invalid.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSourceProxyDoc[] = {
  (char*)"vtkSMSourceProxy - proxy for a VTK source on a server\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" vtkSMSourceProxy manages VTK source(s) that are created on a server\n using the proxy pattern. In addition to functionality provided\n by vtkSMProxy, vtkSMSourceProxy provides method to connect and\n update sources. Each source proxy has one or more parts (vtkSMPart).\n Each part represents one output of one filter. These are created\n automatically (when CreateParts() is called) by the source.\n Each ",
  (char*)"vtkSMSourceProxy creates a property called DataInformation.\n This property is a composite property that provides information\n about the output(s) of the VTK sources (obtained from the server)\n\n",
  "See Also:\n\n vtkSMProxy vtkSMPart vtkSMInputProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMSourceProxyStaticNew()
{
  return vtkSMSourceProxy::New();
}

PyObject *PyVTKClass_vtkSMSourceProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSourceProxyStaticNew,
                        PyvtkSMSourceProxyMethods,
                        (char*)"vtkSMSourceProxy",modulename,
                        (char**)vtkSMSourceProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

