// python wrapper for vtkSMTimeStepsInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMTimeStepsInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMTimeStepsInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMTimeStepsInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMTimeStepsInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTimeStepsInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMTimeStepsInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTimeStepsInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTimeStepsInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTimeStepsInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMTimeStepsInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTimeStepsInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTimeStepsInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTimeStepsInformationHelper *op;

  vtkSMTimeStepsInformationHelper  *temp20;
  if ((op = (vtkSMTimeStepsInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTimeStepsInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTimeStepsInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMTimeStepsInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMTimeStepsInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMTimeStepsInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMTimeStepsInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMTimeStepsInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMTimeStepsInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMTimeStepsInformationHelper\nC++: vtkSMTimeStepsInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMTimeStepsInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMTimeStepsInformationHelper\nC++: vtkSMTimeStepsInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMTimeStepsInformationHelperDoc[] = {
  (char*)"vtkSMTimeStepsInformationHelper - Gets the time step values from server \n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMTimeStepsInformationHelper gets the time step values (using\n vtkPVServerTimeSteps) from server and fills the information property\n\n",
  NULL
};

static vtkObjectBase *vtkSMTimeStepsInformationHelperStaticNew()
{
  return vtkSMTimeStepsInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMTimeStepsInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMTimeStepsInformationHelperStaticNew,
                        PyvtkSMTimeStepsInformationHelperMethods,
                        (char*)"vtkSMTimeStepsInformationHelper",modulename,
                        (char**)vtkSMTimeStepsInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

