// python wrapper for vtkSMTransformProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMTransformProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMTransformProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMTransformProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMTransformProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  const char    *temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  vtkSMTransformProxy  *temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMTransformProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMTransformProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double  *temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_SetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetRotation(temp0,temp1,temp2);
      }
    else
      {
      op->SetRotation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetRotation(temp0);
      }
    else
      {
      op->SetRotation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_GetRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double  *temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::GetRotation();
      }
    else
      {
      temp20 = op->GetRotation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  double  *temp20;
  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMTransformProxy::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMTransformProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMTransformProxy *op;

  if ((op = (vtkSMTransformProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMTransformProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMTransformProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMTransformProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMTransformProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMTransformProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMTransformProxy\nC++: vtkSMTransformProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMTransformProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMTransformProxy\nC++: vtkSMTransformProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkSMTransformProxy_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Get/Set Position of the transform.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkSMTransformProxy_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Get/Set Position of the transform.\n"},
  {(char*)"SetRotation",                (PyCFunction)PyvtkSMTransformProxy_SetRotation, 1,
   (char*)"V.SetRotation(float, float, float)\nC++: void SetRotation (double , double , double );\nV.SetRotation((float, float, float))\nC++: void SetRotation (double  a[3]);\n\n Get/Set Rotation for the transform.\n"},
  {(char*)"GetRotation",                (PyCFunction)PyvtkSMTransformProxy_GetRotation, 1,
   (char*)"V.GetRotation() -> (float, float, float)\nC++: double  *GetRotation ();\n\n Get/Set Rotation for the transform.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSMTransformProxy_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Get/Set Scale for the transform.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSMTransformProxy_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Get/Set Scale for the transform.\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMTransformProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Push values on to the VTK objects. \n This computes the transform matrix from the Position/Scale/Rotation\n values and sets that on to the transform\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMTransformProxyDoc[] = {
  (char*)"vtkSMTransformProxy - proxy for vtkTransform\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" vtkSMTransformProxy provides a Position/Rotation/Scale interface to vtkTransform. \n\n",
  NULL
};

static vtkObjectBase *vtkSMTransformProxyStaticNew()
{
  return vtkSMTransformProxy::New();
}

PyObject *PyVTKClass_vtkSMTransformProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMTransformProxyStaticNew,
                        PyvtkSMTransformProxyMethods,
                        (char*)"vtkSMTransformProxy",modulename,
                        (char**)vtkSMTransformProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

