// python wrapper for vtkSMVectorProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMVectorProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMPropertyNew(char *); }

static PyObject *PyvtkSMVectorProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  const char    *temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  vtkSMVectorProperty  *temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_SetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  unsigned int      temp0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetNumberOfElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_GetRepeatCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::GetRepeatCommand();
      }
    else
      {
      temp20 = op->GetRepeatCommand();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_SetRepeatCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::SetRepeatCommand(temp0);
      }
    else
      {
      op->SetRepeatCommand(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_RepeatCommandOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::RepeatCommandOn();
      }
    else
      {
      op->RepeatCommandOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_RepeatCommandOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::RepeatCommandOff();
      }
    else
      {
      op->RepeatCommandOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_GetNumberOfElementsPerCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::GetNumberOfElementsPerCommand();
      }
    else
      {
      temp20 = op->GetNumberOfElementsPerCommand();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_SetNumberOfElementsPerCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::SetNumberOfElementsPerCommand(temp0);
      }
    else
      {
      op->SetNumberOfElementsPerCommand(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_GetUseIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::GetUseIndex();
      }
    else
      {
      temp20 = op->GetUseIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_SetUseIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  int      temp0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::SetUseIndex(temp0);
      }
    else
      {
      op->SetUseIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_UseIndexOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::UseIndexOn();
      }
    else
      {
      op->UseIndexOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_UseIndexOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::UseIndexOff();
      }
    else
      {
      op->UseIndexOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_SetCleanCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  char    *temp0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::SetCleanCommand(temp0);
      }
    else
      {
      op->SetCleanCommand(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_GetCleanCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  char    *temp20;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMVectorProperty::GetCleanCommand();
      }
    else
      {
      temp20 = op->GetCleanCommand();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMVectorProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMVectorProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMVectorProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkSMVectorPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMVectorProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMVectorProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMVectorProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMVectorProperty\nC++: vtkSMVectorProperty *NewInstance ();\n\n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkSMVectorProperty_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: virtual unsigned int GetNumberOfElements () = 0;\n\n Returns the size of the vector.\n"},
  {(char*)"SetNumberOfElements",                (PyCFunction)PyvtkSMVectorProperty_SetNumberOfElements, 1,
   (char*)"V.SetNumberOfElements(int)\nC++: virtual void SetNumberOfElements (unsigned int num) = 0;\n\n Sets the size of the vector.\n"},
  {(char*)"GetRepeatCommand",                (PyCFunction)PyvtkSMVectorProperty_GetRepeatCommand, 1,
   (char*)"V.GetRepeatCommand() -> int\nC++: int GetRepeatCommand ();\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"SetRepeatCommand",                (PyCFunction)PyvtkSMVectorProperty_SetRepeatCommand, 1,
   (char*)"V.SetRepeatCommand(int)\nC++: void SetRepeatCommand (int );\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"RepeatCommandOn",                (PyCFunction)PyvtkSMVectorProperty_RepeatCommandOn, 1,
   (char*)"V.RepeatCommandOn()\nC++: void RepeatCommandOn ();\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"RepeatCommandOff",                (PyCFunction)PyvtkSMVectorProperty_RepeatCommandOff, 1,
   (char*)"V.RepeatCommandOff()\nC++: void RepeatCommandOff ();\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"GetNumberOfElementsPerCommand",                (PyCFunction)PyvtkSMVectorProperty_GetNumberOfElementsPerCommand, 1,
   (char*)"V.GetNumberOfElementsPerCommand() -> int\nC++: int GetNumberOfElementsPerCommand ();\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"SetNumberOfElementsPerCommand",                (PyCFunction)PyvtkSMVectorProperty_SetNumberOfElementsPerCommand, 1,
   (char*)"V.SetNumberOfElementsPerCommand(int)\nC++: void SetNumberOfElementsPerCommand (int );\n\n If RepeatCommand is true, the command is invoked multiple times,\n each time with NumberOfElementsPerCommand values. For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 1 2\n * Invoke obj SetFoo 3 4\n * Invoke obj SetFoo 5 6\n @endverbatim\n"},
  {(char*)"GetUseIndex",                (PyCFunction)PyvtkSMVectorProperty_GetUseIndex, 1,
   (char*)"V.GetUseIndex() -> int\nC++: int GetUseIndex ();\n\n If UseIndex and RepeatCommand are true, the property will add\n an index integer before each command. For example, if UseIndex and\n RepeatCommand are true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 5 6 7 8 9 10, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 0 5 6\n * Invoke obj SetFoo 1 7 8\n * Invoke obj SetFoo 2 9 10\n @endverbatim\n"},
  {(char*)"SetUseIndex",                (PyCFunction)PyvtkSMVectorProperty_SetUseIndex, 1,
   (char*)"V.SetUseIndex(int)\nC++: void SetUseIndex (int );\n\n If UseIndex and RepeatCommand are true, the property will add\n an index integer before each command. For example, if UseIndex and\n RepeatCommand are true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 5 6 7 8 9 10, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 0 5 6\n * Invoke obj SetFoo 1 7 8\n * Invoke obj SetFoo 2 9 10\n @endverbatim\n"},
  {(char*)"UseIndexOn",                (PyCFunction)PyvtkSMVectorProperty_UseIndexOn, 1,
   (char*)"V.UseIndexOn()\nC++: void UseIndexOn ();\n\n If UseIndex and RepeatCommand are true, the property will add\n an index integer before each command. For example, if UseIndex and\n RepeatCommand are true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 5 6 7 8 9 10, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 0 5 6\n * Invoke obj SetFoo 1 7 8\n * Invoke obj SetFoo 2 9 10\n @endverbatim\n"},
  {(char*)"UseIndexOff",                (PyCFunction)PyvtkSMVectorProperty_UseIndexOff, 1,
   (char*)"V.UseIndexOff()\nC++: void UseIndexOff ();\n\n If UseIndex and RepeatCommand are true, the property will add\n an index integer before each command. For example, if UseIndex and\n RepeatCommand are true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 5 6 7 8 9 10, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo 0 5 6\n * Invoke obj SetFoo 1 7 8\n * Invoke obj SetFoo 2 9 10\n @endverbatim\n"},
  {(char*)"SetCleanCommand",                (PyCFunction)PyvtkSMVectorProperty_SetCleanCommand, 1,
   (char*)"V.SetCleanCommand(string)\nC++: void SetCleanCommand (char *);\n\n Command that can be used to remove all values. \n Typically used when RepeatCommand = 1. If set, the clean command\n is called before the main Command.\n"},
  {(char*)"GetCleanCommand",                (PyCFunction)PyvtkSMVectorProperty_GetCleanCommand, 1,
   (char*)"V.GetCleanCommand() -> string\nC++: char *GetCleanCommand ();\n\n Command that can be used to remove all values. \n Typically used when RepeatCommand = 1. If set, the clean command\n is called before the main Command.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMVectorProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMVectorPropertyDoc[] = {
  (char*)"vtkSMVectorProperty - abstract superclass for all vector properties\n\n",
  "Super Class:\n\n vtkSMProperty\n\n",
  (char*)" vtkSMVectorProperty defines an interface common to all vector properties\n as well as some common settings. A vector property contains a list\n of values passed to one or more invocations of a command. How the\n values are distributed to the different invocations is controlled\n by several parameters.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMVectorPropertyMethods,
                        (char*)"vtkSMVectorProperty",modulename,
                        (char**)vtkSMVectorPropertyDoc,
                        PyVTKClass_vtkSMPropertyNew(modulename));
}

