// python wrapper for vtkSMXDMFPropertyDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMXDMFPropertyDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMXDMFPropertyDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMXDMFPropertyDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(char *); }

static PyObject *PyvtkSMXDMFPropertyDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFPropertyDomain *op;

  const char    *temp20;
  if ((op = (vtkSMXDMFPropertyDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFPropertyDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFPropertyDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFPropertyDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMXDMFPropertyDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFPropertyDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFPropertyDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFPropertyDomain *op;

  vtkSMXDMFPropertyDomain  *temp20;
  if ((op = (vtkSMXDMFPropertyDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFPropertyDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFPropertyDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMXDMFPropertyDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMXDMFPropertyDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMXDMFPropertyDomain_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFPropertyDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMXDMFPropertyDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXDMFPropertyDomain::Update(temp0);
      }
    else
      {
      op->Update(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkSMXDMFPropertyDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMXDMFPropertyDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMXDMFPropertyDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMXDMFPropertyDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMXDMFPropertyDomain\nC++: vtkSMXDMFPropertyDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMXDMFPropertyDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMXDMFPropertyDomain\nC++: vtkSMXDMFPropertyDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMXDMFPropertyDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update (vtkSMProperty *);\n\n Populate the values of the domain from the given information\n property.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMXDMFPropertyDomainDoc[] = {
  (char*)"vtkSMXDMFPropertyDomain - adds all string from information property\n\n",
  "Super Class:\n\n vtkSMStringListRangeDomain\n\n",
  (char*)"None provided.\n\n",
  "See Also:\n\n vtkSMStringListRangeDomain vtkSMStringVectorProperty\n vtkSMXDMFInformationHelper\n\n",
  NULL
};

static vtkObjectBase *vtkSMXDMFPropertyDomainStaticNew()
{
  return vtkSMXDMFPropertyDomain::New();
}

PyObject *PyVTKClass_vtkSMXDMFPropertyDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMXDMFPropertyDomainStaticNew,
                        PyvtkSMXDMFPropertyDomainMethods,
                        (char*)"vtkSMXDMFPropertyDomain",modulename,
                        (char**)vtkSMXDMFPropertyDomainDoc,
                        PyVTKClass_vtkSMStringListRangeDomainNew(modulename));
}

