// python wrapper for vtkSMXYPlotDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMXYPlotDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMXYPlotDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMXYPlotDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMConsumerDisplayProxyNew(char *); }

static PyObject *PyvtkSMXYPlotDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXYPlotDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXYPlotDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  vtkSMXYPlotDisplayProxy  *temp20;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXYPlotDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMXYPlotDisplayProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMXYPlotDisplayProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_AddToRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::AddToRenderModule(temp0);
      }
    else
      {
      op->AddToRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_RemoveFromRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::RemoveFromRenderModule(temp0);
      }
    else
      {
      op->RemoveFromRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::AddInput(temp0,temp1,temp2);
      }
    else
      {
      op->AddInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_SetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::SetVisibility(temp0);
      }
    else
      {
      op->SetVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_GetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXYPlotDisplayProxy::GetVisibility();
      }
    else
      {
      temp20 = op->GetVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_InvalidateGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::InvalidateGeometry(temp0);
      }
    else
      {
      op->InvalidateGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_MarkConsumersAsModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::MarkConsumersAsModified();
      }
    else
      {
      op->MarkConsumersAsModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXYPlotDisplayProxy_PrintAsCSV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXYPlotDisplayProxy *op;

  char    *temp0;
  if ((op = (vtkSMXYPlotDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMXYPlotDisplayProxy::PrintAsCSV(temp0);
      }
    else
      {
      op->PrintAsCSV(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMXYPlotDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMXYPlotDisplayProxy\nC++: vtkSMXYPlotDisplayProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMXYPlotDisplayProxy\nC++: vtkSMXYPlotDisplayProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddToRenderModule",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_AddToRenderModule, 1,
   (char*)"V.AddToRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void AddToRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"RemoveFromRenderModule",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_RemoveFromRenderModule, 1,
   (char*)"V.RemoveFromRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void RemoveFromRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_AddInput, 1,
   (char*)"V.AddInput(vtkSMSourceProxy, string, int)\nC++: virtual void AddInput (vtkSMSourceProxy *input, const char *, int );\n\n I have this funny looking AddInput instead of a simple\n SetInput as I want to have an InputProperty for the input (rather than\n a proxy property).\n"},
  {(char*)"SetVisibility",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_SetVisibility, 1,
   (char*)"V.SetVisibility(int)\nC++: void SetVisibility (int visible);\n\n Sets the visibility of the XYPlotActor. Also enables/disables\n the XYPlotWidget.\n"},
  {(char*)"GetVisibility",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_GetVisibility, 1,
   (char*)"V.GetVisibility() -> int\nC++: int GetVisibility ();\n\n Sets the visibility of the XYPlotActor. Also enables/disables\n the XYPlotWidget.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n This method updates the piece that has been assigned to this process.\n Leads to a call to ForceUpdate on UpdateSuppressorProxy iff\n GeometryIsValid==0;\n"},
  {(char*)"InvalidateGeometry",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_InvalidateGeometry, 1,
   (char*)"V.InvalidateGeometry(int)\nC++: virtual void InvalidateGeometry (int useCache);\n\n Marks for Update.\n"},
  {(char*)"MarkConsumersAsModified",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_MarkConsumersAsModified, 1,
   (char*)"V.MarkConsumersAsModified()\nC++: virtual void MarkConsumersAsModified ();\n\n Calls MarkConsumersAsModified() on all consumers. Sub-classes\n should add their functionality and call this.\n Overridden to clean up cached geometry as well. \n"},
  {(char*)"PrintAsCSV",                (PyCFunction)PyvtkSMXYPlotDisplayProxy_PrintAsCSV, 1,
   (char*)"V.PrintAsCSV(string)\nC++: void PrintAsCSV (const char *filename);\n\n Saves the plot's contents as a comma separated values text file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMXYPlotDisplayProxyDoc[] = {
  (char*)"vtkSMXYPlotDisplayProxy - Proxy for XY Plot Display.\n\n",
  "Super Class:\n\n vtkSMConsumerDisplayProxy\n\n",
  (char*)"None provided.\n\n",
  "See Also:\n\n vtkSMXYPlotActorProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMXYPlotDisplayProxyStaticNew()
{
  return vtkSMXYPlotDisplayProxy::New();
}

PyObject *PyVTKClass_vtkSMXYPlotDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMXYPlotDisplayProxyStaticNew,
                        PyvtkSMXYPlotDisplayProxyMethods,
                        (char*)"vtkSMXYPlotDisplayProxy",modulename,
                        (char**)vtkSMXYPlotDisplayProxyDoc,
                        PyVTKClass_vtkSMConsumerDisplayProxyNew(modulename));
}

