// python wrapper for vtkSMAnimationSceneProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMAnimationSceneProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMAnimationCueProxyNew(char *); }

static PyObject *PyvtkSMAnimationSceneProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  const char    *temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  vtkSMAnimationSceneProxy  *temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMAnimationSceneProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMAnimationSceneProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_Play(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::Play();
      }
    else
      {
      op->Play();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_IsInPlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::IsInPlay();
      }
    else
      {
      temp20 = op->IsInPlay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetLoop(temp0);
      }
    else
      {
      op->SetLoop(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_GetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::GetLoop();
      }
    else
      {
      temp20 = op->GetLoop();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  double   temp0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetFrameRate(temp0);
      }
    else
      {
      op->SetFrameRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_GetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  double   temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::GetFrameRate();
      }
    else
      {
      temp20 = op->GetFrameRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetPlayMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetPlayMode(temp0);
      }
    else
      {
      op->SetPlayMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_GetPlayMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::GetPlayMode();
      }
    else
      {
      temp20 = op->GetPlayMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_AddCue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::AddCue(temp0);
      }
    else
      {
      op->AddCue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_RemoveCue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::RemoveCue(temp0);
      }
    else
      {
      op->RemoveCue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetCaching(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  int      temp0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetCaching(temp0);
      }
    else
      {
      op->SetCaching(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_CleanCache(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::CleanCache();
      }
    else
      {
      op->CleanCache();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetRenderModuleProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetRenderModuleProxy(temp0);
      }
    else
      {
      op->SetRenderModuleProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SetAnimationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  double   temp0;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMAnimationSceneProxy::SetAnimationTime(temp0);
      }
    else
      {
      op->SetAnimationTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SaveImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  int      temp5;
  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"zziidi", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::SaveImages(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->SaveImages(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAnimationSceneProxy_SaveGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAnimationSceneProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMAnimationSceneProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAnimationSceneProxy::SaveGeometry(temp0);
      }
    else
      {
      temp20 = op->SaveGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMAnimationSceneProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMAnimationSceneProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMAnimationSceneProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMAnimationSceneProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationSceneProxy\nC++: vtkSMAnimationSceneProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMAnimationSceneProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMAnimationSceneProxy\nC++: vtkSMAnimationSceneProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Play",                (PyCFunction)PyvtkSMAnimationSceneProxy_Play, 1,
   (char*)"V.Play()\nC++: void Play ();\n\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkSMAnimationSceneProxy_Stop, 1,
   (char*)"V.Stop()\nC++: void Stop ();\n\n"},
  {(char*)"IsInPlay",                (PyCFunction)PyvtkSMAnimationSceneProxy_IsInPlay, 1,
   (char*)"V.IsInPlay() -> int\nC++: int IsInPlay ();\n\n"},
  {(char*)"SetLoop",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetLoop, 1,
   (char*)"V.SetLoop(int)\nC++: void SetLoop (int loop);\n\n"},
  {(char*)"GetLoop",                (PyCFunction)PyvtkSMAnimationSceneProxy_GetLoop, 1,
   (char*)"V.GetLoop() -> int\nC++: int GetLoop ();\n\n"},
  {(char*)"SetFrameRate",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetFrameRate, 1,
   (char*)"V.SetFrameRate(float)\nC++: void SetFrameRate (double framerate);\n\n"},
  {(char*)"GetFrameRate",                (PyCFunction)PyvtkSMAnimationSceneProxy_GetFrameRate, 1,
   (char*)"V.GetFrameRate() -> float\nC++: double GetFrameRate ();\n\n"},
  {(char*)"SetPlayMode",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetPlayMode, 1,
   (char*)"V.SetPlayMode(int)\nC++: void SetPlayMode (int mode);\n\n Note that when the play mode is set to Real Time, cacheing is\n disabled.\n"},
  {(char*)"GetPlayMode",                (PyCFunction)PyvtkSMAnimationSceneProxy_GetPlayMode, 1,
   (char*)"V.GetPlayMode() -> int\nC++: int GetPlayMode ();\n\n Note that when the play mode is set to Real Time, cacheing is\n disabled.\n"},
  {(char*)"AddCue",                (PyCFunction)PyvtkSMAnimationSceneProxy_AddCue, 1,
   (char*)"V.AddCue(vtkSMProxy)\nC++: void AddCue (vtkSMProxy *cue);\n\n"},
  {(char*)"RemoveCue",                (PyCFunction)PyvtkSMAnimationSceneProxy_RemoveCue, 1,
   (char*)"V.RemoveCue(vtkSMProxy)\nC++: void RemoveCue (vtkSMProxy *cue);\n\n"},
  {(char*)"SetCaching",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetCaching, 1,
   (char*)"V.SetCaching(int)\nC++: virtual void SetCaching (int enable);\n\n Set if caching is enabled.\n This method synchronizes the cahcing flag on every cue.\n"},
  {(char*)"CleanCache",                (PyCFunction)PyvtkSMAnimationSceneProxy_CleanCache, 1,
   (char*)"V.CleanCache()\nC++: void CleanCache ();\n\n This method calls InvalidateAllGeometries on the vtkSMRenderModuleProxy.\n However, to minimize the calls to InvalidateAllGeometries, this call\n keeps a flag indicating if CacheUpdate was ever called on the \n Render Module and calls InvalidateAllGeometries only of the flag\n is set.\n"},
  {(char*)"SetRenderModuleProxy",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetRenderModuleProxy, 1,
   (char*)"V.SetRenderModuleProxy(vtkSMRenderModuleProxy)\nC++: void SetRenderModuleProxy (vtkSMRenderModuleProxy *ren);this RenderModuleProxy ren \n\n"},
  {(char*)"SetAnimationTime",                (PyCFunction)PyvtkSMAnimationSceneProxy_SetAnimationTime, 1,
   (char*)"V.SetAnimationTime(float)\nC++: void SetAnimationTime (double time);\n\n"},
  {(char*)"SaveImages",                (PyCFunction)PyvtkSMAnimationSceneProxy_SaveImages, 1,
   (char*)"V.SaveImages(string, string, int, int, float, int) -> int\nC++: int SaveImages (const char *fileRoot, const char *ext, int width, int height, double framerate, int quality);\n\n Saves the animation as a sequence of images or a movie file.\n The method is not accessible using property interface.\n Return 0 on success.\n"},
  {(char*)"SaveGeometry",                (PyCFunction)PyvtkSMAnimationSceneProxy_SaveGeometry, 1,
   (char*)"V.SaveGeometry(string) -> int\nC++: int SaveGeometry (const char *filename);\n\n Save the geometry of the animation.\n Note that this method is not accessible using property interface.\n Returns 0 on success.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMAnimationSceneProxyDoc[] = {
  (char*)"vtkSMAnimationSceneProxy - proxy for vtkAnimationScene\n\n",
  "Super Class:\n\n vtkSMAnimationCueProxy\n\n",
  (char*)" Proxy for animation scene. Also supports writing out animation \n images (movie) and animation geometry.\n\n",
  "See Also:\n\n vtkSMProxy vtkSMAnimationCueProxy\n\n\n",
  NULL
};

static vtkObjectBase *vtkSMAnimationSceneProxyStaticNew()
{
  return vtkSMAnimationSceneProxy::New();
}

PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMAnimationSceneProxyStaticNew,
                        PyvtkSMAnimationSceneProxyMethods,
                        (char*)"vtkSMAnimationSceneProxy",modulename,
                        (char**)vtkSMAnimationSceneProxyDoc,
                        PyVTKClass_vtkSMAnimationCueProxyNew(modulename));
}

