// python wrapper for vtkSMApplication object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMApplication.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMApplicationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMApplicationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMApplication_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  const char    *temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  vtkSMApplication  *temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMApplication  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMApplication::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMApplication_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMApplication::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMApplication::Finalize();
      }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_ParseConfigurationFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::ParseConfigurationFile(temp0,temp1);
      }
    else
      {
      temp20 = op->ParseConfigurationFile(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_ParseConfiguration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::ParseConfiguration(temp0);
      }
    else
      {
      temp20 = op->ParseConfiguration(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_AddConfigurationFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  char    *temp0;
  char    *temp1;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMApplication::AddConfigurationFile(temp0,temp1);
      }
    else
      {
      op->AddConfigurationFile(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_GetNumberOfConfigurationFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  unsigned int      temp20;
  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMApplication::GetNumberOfConfigurationFiles();
      }
    else
      {
      temp20 = op->GetNumberOfConfigurationFiles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMApplication_ParseConfigurationFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication *op;

  if ((op = (vtkSMApplication *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMApplication::ParseConfigurationFiles();
      }
    else
      {
      op->ParseConfigurationFiles();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMApplicationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMApplication_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMApplication_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMApplication_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMApplication\nC++: vtkSMApplication *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMApplication_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMApplication\nC++: vtkSMApplication *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSMApplication_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Perform initialization: add the server manager symbols to the\n interpreter, read default interfaces from strings, create\n singletons... Should be called before any server manager objects\n are created.\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkSMApplication_Finalize, 1,
   (char*)"V.Finalize()\nC++: void Finalize ();\n\n Cleanup: cleans singletons\n Should be called before exit, after all server manager objects\n are deleted.\n"},
  {(char*)"ParseConfigurationFile",                (PyCFunction)PyvtkSMApplication_ParseConfigurationFile, 1,
   (char*)"V.ParseConfigurationFile(string, string) -> int\nC++: int ParseConfigurationFile (const char *fname, const char *dir);\n\n"},
  {(char*)"ParseConfiguration",                (PyCFunction)PyvtkSMApplication_ParseConfiguration, 1,
   (char*)"V.ParseConfiguration(string) -> int\nC++: int ParseConfiguration (const char *configuration);\n\n"},
  {(char*)"AddConfigurationFile",                (PyCFunction)PyvtkSMApplication_AddConfigurationFile, 1,
   (char*)"V.AddConfigurationFile(string, string)\nC++: void AddConfigurationFile (const char *fname, const char *dir);\n\n"},
  {(char*)"GetNumberOfConfigurationFiles",                (PyCFunction)PyvtkSMApplication_GetNumberOfConfigurationFiles, 1,
   (char*)"V.GetNumberOfConfigurationFiles() -> int\nC++: unsigned int GetNumberOfConfigurationFiles ();\n\n"},
  {(char*)"ParseConfigurationFiles",                (PyCFunction)PyvtkSMApplication_ParseConfigurationFiles, 1,
   (char*)"V.ParseConfigurationFiles()\nC++: void ParseConfigurationFiles ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMApplicationDoc[] = {
  (char*)"vtkSMApplication - provides initialization and finalization for server manager\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMApplication provides methods to initialize and finalize the\n server manager.\n\n",
  NULL
};

static vtkObjectBase *vtkSMApplicationStaticNew()
{
  return vtkSMApplication::New();
}

PyObject *PyVTKClass_vtkSMApplicationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMApplicationStaticNew,
                        PyvtkSMApplicationMethods,
                        (char*)"vtkSMApplication",modulename,
                        (char**)vtkSMApplicationDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

