// python wrapper for vtkSMArraySelectionDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMArraySelectionDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(char *); }

static PyObject *PyvtkSMArraySelectionDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionDomain *op;

  const char    *temp20;
  if ((op = (vtkSMArraySelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMArraySelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionDomain *op;

  vtkSMArraySelectionDomain  *temp20;
  if ((op = (vtkSMArraySelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMArraySelectionDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMArraySelectionDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMArraySelectionDomain_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMArraySelectionDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMArraySelectionDomain::Update(temp0);
      }
    else
      {
      op->Update(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkSMArraySelectionDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMArraySelectionDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMArraySelectionDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMArraySelectionDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMArraySelectionDomain\nC++: vtkSMArraySelectionDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMArraySelectionDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMArraySelectionDomain\nC++: vtkSMArraySelectionDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMArraySelectionDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update (vtkSMProperty *);\n\n Populate the values of the domain from the given information\n property.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMArraySelectionDomainDoc[] = {
  (char*)"vtkSMArraySelectionDomain - adds all strings from information property\n\n",
  "Super Class:\n\n vtkSMStringListRangeDomain\n\n",
  (char*)" vtkSMArraySelectionDomain overwrites vtkSMStringListRangeDomain's Update\n in which it adds all strings from a required information property to\n the domain. The information property must have been populated by \n an vtkSMArraySelectionInformationHelper. It also sets the IntDomainMode \n to BOOLEAN.\n\n",
  "See Also:\n\n vtkSMStringListRangeDomain vtkSMStringVectorProperty\n vtkSMArraySelectionInformationHelper\n\n",
  NULL
};

static vtkObjectBase *vtkSMArraySelectionDomainStaticNew()
{
  return vtkSMArraySelectionDomain::New();
}

PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMArraySelectionDomainStaticNew,
                        PyvtkSMArraySelectionDomainMethods,
                        (char*)"vtkSMArraySelectionDomain",modulename,
                        (char**)vtkSMArraySelectionDomainDoc,
                        PyVTKClass_vtkSMStringListRangeDomainNew(modulename));
}

