// python wrapper for vtkSMArraySelectionInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMArraySelectionInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMArraySelectionInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMArraySelectionInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMArraySelectionInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMArraySelectionInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMArraySelectionInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMArraySelectionInformationHelper *op;

  vtkSMArraySelectionInformationHelper  *temp20;
  if ((op = (vtkSMArraySelectionInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMArraySelectionInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMArraySelectionInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMArraySelectionInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMArraySelectionInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMArraySelectionInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMArraySelectionInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMArraySelectionInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMArraySelectionInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMArraySelectionInformationHelper\nC++: vtkSMArraySelectionInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMArraySelectionInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMArraySelectionInformationHelper\nC++: vtkSMArraySelectionInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMArraySelectionInformationHelperDoc[] = {
  (char*)"vtkSMArraySelectionInformationHelper - populates vtkSMStringVectorProperty using a vtkPVServerArraySelection\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMArraySelectionInformationHelper only works with \n vtkSMStringVectorProperties. It populates the property using the server \n side helper object. Each array is represented by two components:\n name, state (on/off)\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkPVServerArraySelection vtkSMStringVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMArraySelectionInformationHelperStaticNew()
{
  return vtkSMArraySelectionInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMArraySelectionInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMArraySelectionInformationHelperStaticNew,
                        PyvtkSMArraySelectionInformationHelperMethods,
                        (char*)"vtkSMArraySelectionInformationHelper",modulename,
                        (char**)vtkSMArraySelectionInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

