// python wrapper for vtkSMAxesProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMAxesProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAxesProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAxesProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *); }

static PyObject *PyvtkSMAxesProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAxesProxy *op;

  const char    *temp20;
  if ((op = (vtkSMAxesProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAxesProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAxesProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAxesProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMAxesProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAxesProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAxesProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMAxesProxy *op;

  vtkSMAxesProxy  *temp20;
  if ((op = (vtkSMAxesProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMAxesProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMAxesProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMAxesProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMAxesProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMAxesProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMAxesProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMAxesProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMAxesProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAxesProxy\nC++: vtkSMAxesProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMAxesProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMAxesProxy\nC++: vtkSMAxesProxy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMAxesProxyDoc[] = {
  (char*)"vtkSMAxesProxy - proxy for the Axes actor.\n\n",
  "Super Class:\n\n vtkSMDisplayProxy\n\n",
  (char*)" vtkSMAxesProxy is the Display for the Axes actor. This is used \n as the center axes in ParaView. Proxifying it makes the axes\n accessible in batch mode. The only reason why Axes is even a \n separate display proxy instead of the the generic Axes source proxy,\n and the vtkSMDataObjectDisplayProxy(or subclass) is because we don't want the \n additional overhead of update suppressor etc for the Axes p",
  (char*)"roxy.\n\n",
  "See Also:\n\n vtkSMDisplayProxy \n\n",
  NULL
};

static vtkObjectBase *vtkSMAxesProxyStaticNew()
{
  return vtkSMAxesProxy::New();
}

PyObject *PyVTKClass_vtkSMAxesProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMAxesProxyStaticNew,
                        PyvtkSMAxesProxyMethods,
                        (char*)"vtkSMAxesProxy",modulename,
                        (char**)vtkSMAxesProxyDoc,
                        PyVTKClass_vtkSMDisplayProxyNew(modulename));
}

