// python wrapper for vtkSMCameraManipulatorProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMCameraManipulatorProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMCameraManipulatorProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMCameraManipulatorProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMKeyFrameAnimationCueManipulatorProxyNew(char *); }

static PyObject *PyvtkSMCameraManipulatorProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraManipulatorProxy *op;

  const char    *temp20;
  if ((op = (vtkSMCameraManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraManipulatorProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraManipulatorProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraManipulatorProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMCameraManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraManipulatorProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraManipulatorProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCameraManipulatorProxy *op;

  vtkSMCameraManipulatorProxy  *temp20;
  if ((op = (vtkSMCameraManipulatorProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCameraManipulatorProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCameraManipulatorProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMCameraManipulatorProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMCameraManipulatorProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMCameraManipulatorProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMCameraManipulatorProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMCameraManipulatorProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMCameraManipulatorProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMCameraManipulatorProxy\nC++: vtkSMCameraManipulatorProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMCameraManipulatorProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMCameraManipulatorProxy\nC++: vtkSMCameraManipulatorProxy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMCameraManipulatorProxyDoc[] = {
  (char*)"vtkSMCameraManipulatorProxy - Manipulator for Camera animation.\n\n",
  "Super Class:\n\n vtkSMKeyFrameAnimationCueManipulatorProxy\n\n",
  (char*)" This is the manipulator for animating camera.\n Unlike the base class, interpolation is not done by the Keyframe objects.\n Instead, this class does the interpolation using the values in \n the keyframe objects.\n\n",
  NULL
};

static vtkObjectBase *vtkSMCameraManipulatorProxyStaticNew()
{
  return vtkSMCameraManipulatorProxy::New();
}

PyObject *PyVTKClass_vtkSMCameraManipulatorProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMCameraManipulatorProxyStaticNew,
                        PyvtkSMCameraManipulatorProxyMethods,
                        (char*)"vtkSMCameraManipulatorProxy",modulename,
                        (char**)vtkSMCameraManipulatorProxyDoc,
                        PyVTKClass_vtkSMKeyFrameAnimationCueManipulatorProxyNew(modulename));
}

