// python wrapper for vtkSMCaveRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMCaveRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMCaveRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMCaveRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMCompositeRenderModuleProxyNew(char *); }

static PyObject *PyvtkSMCaveRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCaveRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMCaveRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCaveRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCaveRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCaveRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMCaveRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCaveRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCaveRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMCaveRenderModuleProxy *op;

  vtkSMCaveRenderModuleProxy  *temp20;
  if ((op = (vtkSMCaveRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMCaveRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMCaveRenderModuleProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMCaveRenderModuleProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMCaveRenderModuleProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMCaveRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMCaveRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMCaveRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMCaveRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMCaveRenderModuleProxy\nC++: vtkSMCaveRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMCaveRenderModuleProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMCaveRenderModuleProxy\nC++: vtkSMCaveRenderModuleProxy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMCaveRenderModuleProxyDoc[] = {
  (char*)"vtkSMCaveRenderModuleProxy - Handles Cave with duplication.\n\n",
  "Super Class:\n\n vtkSMCompositeRenderModuleProxy\n\n",
  (char*)" This module hanldes rendering to a cave.  I am trying to configure\n arbitrary displays as a variation of the tiled display modules.\n This module only handles dulication with no compositing.\n\n",
  NULL
};

static vtkObjectBase *vtkSMCaveRenderModuleProxyStaticNew()
{
  return vtkSMCaveRenderModuleProxy::New();
}

PyObject *PyVTKClass_vtkSMCaveRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMCaveRenderModuleProxyStaticNew,
                        PyvtkSMCaveRenderModuleProxyMethods,
                        (char*)"vtkSMCaveRenderModuleProxy",modulename,
                        (char**)vtkSMCaveRenderModuleProxyDoc,
                        PyVTKClass_vtkSMCompositeRenderModuleProxyNew(modulename));
}

