// python wrapper for vtkSMConsumerDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMConsumerDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMConsumerDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMConsumerDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *); }

static PyObject *PyvtkSMConsumerDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMConsumerDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMConsumerDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMConsumerDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMConsumerDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMConsumerDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMConsumerDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMConsumerDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMConsumerDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMConsumerDisplayProxy *op;

  vtkSMConsumerDisplayProxy  *temp20;
  if ((op = (vtkSMConsumerDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMConsumerDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMConsumerDisplayProxy_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMConsumerDisplayProxy *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMConsumerDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->AddInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMConsumerDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMConsumerDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMConsumerDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMConsumerDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMConsumerDisplayProxy\nC++: vtkSMConsumerDisplayProxy *NewInstance ();\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkSMConsumerDisplayProxy_AddInput, 1,
   (char*)"V.AddInput(vtkSMSourceProxy, string, int)\nC++: virtual void AddInput (vtkSMSourceProxy *input, const char *method, int hasMultipleInputs) = 0;\n\n Called when setting input using the Input property.\n Subclasses must override this method to set the input \n to the display pipeline.\n Typically, none of the displays use method/hasMultipleInputs\n arguements.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMConsumerDisplayProxyDoc[] = {
  (char*)"vtkSMConsumerDisplayProxy - proxy for displays that take input.\n\n",
  "Super Class:\n\n vtkSMDisplayProxy\n\n",
  (char*)" This is the abstract superclass for display proxies that take an input.\n It mimicks the part of the interface of vtkSMSourceProxy so that this proxy\n (and subclasses) can provide a vtkSMInputProperty.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSMConsumerDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSMConsumerDisplayProxyMethods,
                        (char*)"vtkSMConsumerDisplayProxy",modulename,
                        (char**)vtkSMConsumerDisplayProxyDoc,
                        PyVTKClass_vtkSMDisplayProxyNew(modulename));
}

