// python wrapper for vtkSMDataObjectDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMDataObjectDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDataObjectDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDataObjectDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMConsumerDisplayProxyNew(char *); }

static PyObject *PyvtkSMDataObjectDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMDataObjectDisplayProxy  *temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMDataObjectDisplayProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMDataObjectDisplayProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_CacheUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::CacheUpdate(temp0,temp1);
      }
    else
      {
      op->CacheUpdate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::AddInput(temp0,temp1,temp2);
      }
    else
      {
      op->AddInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_InvalidateGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::InvalidateGeometry();
      }
    else
      {
      op->InvalidateGeometry();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_AddToRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::AddToRenderModule(temp0);
      }
    else
      {
      op->AddToRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_RemoveFromRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::RemoveFromRenderModule(temp0);
      }
    else
      {
      op->RemoveFromRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetGeometryInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkPVGeometryInformation  *temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetGeometryInformation();
      }
    else
      {
      temp20 = op->GetGeometryInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetVisibility(temp0);
      }
    else
      {
      op->SetVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetHasVolumePipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetHasVolumePipeline();
      }
    else
      {
      temp20 = op->GetHasVolumePipeline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetSupportsBunykMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetSupportsBunykMapper();
      }
    else
      {
      temp20 = op->GetSupportsBunykMapper();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetSupportsZSweepMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetSupportsZSweepMapper();
      }
    else
      {
      temp20 = op->GetSupportsZSweepMapper();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetVolumeRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetVolumeRenderMode();
      }
    else
      {
      temp20 = op->GetVolumeRenderMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_ResetTransferFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::ResetTransferFunctions();
      }
    else
      {
      op->ResetTransferFunctions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToBunykCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetVolumeMapperToBunykCM();
      }
    else
      {
      op->SetVolumeMapperToBunykCM();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToPTCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetVolumeMapperToPTCM();
      }
    else
      {
      op->SetVolumeMapperToPTCM();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToZSweepCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetVolumeMapperToZSweepCM();
      }
    else
      {
      op->SetVolumeMapperToZSweepCM();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetVolumeMapperTypeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetVolumeMapperTypeCM();
      }
    else
      {
      temp20 = op->GetVolumeMapperTypeCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetInputAsGeometryFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetInputAsGeometryFilter(temp0);
      }
    else
      {
      op->SetInputAsGeometryFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_MarkConsumersAsModified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::MarkConsumersAsModified();
      }
    else
      {
      op->MarkConsumersAsModified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetInterpolationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetInterpolationCM();
      }
    else
      {
      temp20 = op->GetInterpolationCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetInterpolationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetInterpolationCM(temp0);
      }
    else
      {
      op->SetInterpolationCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetPointSizeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetPointSizeCM(temp0);
      }
    else
      {
      op->SetPointSizeCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetPointSizeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetPointSizeCM();
      }
    else
      {
      temp20 = op->GetPointSizeCM();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetLineWidthCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetLineWidthCM(temp0);
      }
    else
      {
      op->SetLineWidthCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetLineWidthCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetLineWidthCM();
      }
    else
      {
      temp20 = op->GetLineWidthCM();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetScalarModeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetScalarModeCM(temp0);
      }
    else
      {
      op->SetScalarModeCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetScalarModeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetScalarModeCM();
      }
    else
      {
      temp20 = op->GetScalarModeCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetScalarArrayCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  char    *temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetScalarArrayCM(temp0);
      }
    else
      {
      op->SetScalarArrayCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetScalarArrayCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetScalarArrayCM();
      }
    else
      {
      temp20 = op->GetScalarArrayCM();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetOpacityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetOpacityCM(temp0);
      }
    else
      {
      op->SetOpacityCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetOpacityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetOpacityCM();
      }
    else
      {
      temp20 = op->GetOpacityCM();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetColorModeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetColorModeCM(temp0);
      }
    else
      {
      op->SetColorModeCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetColorModeCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetColorModeCM();
      }
    else
      {
      temp20 = op->GetColorModeCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetColorCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetColorCM(temp0);
      }
    else
      {
      op->SetColorCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetColorCM(temp0,temp1,temp2);
      }
    else
      {
      op->SetColorCM(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetColorCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::GetColorCM(temp0);
      }
    else
      {
      op->GetColorCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetInterpolateScalarsBeforeMappingCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetInterpolateScalarsBeforeMappingCM(temp0);
      }
    else
      {
      op->SetInterpolateScalarsBeforeMappingCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetInterpolateScalarsBeforeMappingCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetInterpolateScalarsBeforeMappingCM();
      }
    else
      {
      temp20 = op->GetInterpolateScalarsBeforeMappingCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetScalarVisibilityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetScalarVisibilityCM(temp0);
      }
    else
      {
      op->SetScalarVisibilityCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetScalarVisibilityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetScalarVisibilityCM();
      }
    else
      {
      temp20 = op->GetScalarVisibilityCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetPositionCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetPositionCM(temp0);
      }
    else
      {
      op->SetPositionCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetPositionCM(temp0,temp1,temp2);
      }
    else
      {
      op->SetPositionCM(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetPositionCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::GetPositionCM(temp0);
      }
    else
      {
      op->GetPositionCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetScaleCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetScaleCM(temp0);
      }
    else
      {
      op->SetScaleCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetScaleCM(temp0,temp1,temp2);
      }
    else
      {
      op->SetScaleCM(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetScaleCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::GetScaleCM(temp0);
      }
    else
      {
      op->GetScaleCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetOrientationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetOrientationCM(temp0);
      }
    else
      {
      op->SetOrientationCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetOrientationCM(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrientationCM(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetOrientationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::GetOrientationCM(temp0);
      }
    else
      {
      op->GetOrientationCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetOriginCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::GetOriginCM(temp0);
      }
    else
      {
      op->GetOriginCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetOriginCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double temp0[3];
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetOriginCM(temp0);
      }
    else
      {
      op->SetOriginCM(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetOriginCM(temp0,temp1,temp2);
      }
    else
      {
      op->SetOriginCM(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetRepresentationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetRepresentationCM(temp0);
      }
    else
      {
      op->SetRepresentationCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetRepresentationCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetRepresentationCM();
      }
    else
      {
      temp20 = op->GetRepresentationCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_SetImmediateModeRenderingCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDataObjectDisplayProxy::SetImmediateModeRenderingCM(temp0);
      }
    else
      {
      op->SetImmediateModeRenderingCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDataObjectDisplayProxy_GetImmediateModeRenderingCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDataObjectDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDataObjectDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDataObjectDisplayProxy::GetImmediateModeRenderingCM();
      }
    else
      {
      temp20 = op->GetImmediateModeRenderingCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMDataObjectDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDataObjectDisplayProxy\nC++: vtkSMDataObjectDisplayProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDataObjectDisplayProxy\nC++: vtkSMDataObjectDisplayProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CacheUpdate",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_CacheUpdate, 1,
   (char*)"V.CacheUpdate(int, int)\nC++: virtual void CacheUpdate (int idx, int total);\n\n For flip books.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_AddInput, 1,
   (char*)"V.AddInput(vtkSMSourceProxy, string, int)\nC++: virtual void AddInput (vtkSMSourceProxy *input, const char *, int );\n\n Method gets called to set input when using Input property.\n Internally leads to a call to SetInput.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetInput, 1,
   (char*)"V.SetInput(vtkSMProxy)\nC++: void SetInput (vtkSMProxy *input);\n\n Connect the VTK data object to display pipeline.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n This method calls a ForceUpdate on the UpdateSuppressor\n if the Geometry is not valid. \n"},
  {(char*)"InvalidateGeometry",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_InvalidateGeometry, 1,
   (char*)"V.InvalidateGeometry()\nC++: virtual void InvalidateGeometry ();\n\n Invalidates Geometry. Results in removal of any cached geometry. Also,\n marks the current geometry as invalid, thus a subsequent call to Update\n will result in call to ForceUpdate on the UpdateSuppressor(s), if any.\n"},
  {(char*)"AddToRenderModule",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_AddToRenderModule, 1,
   (char*)"V.AddToRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void AddToRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"RemoveFromRenderModule",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_RemoveFromRenderModule, 1,
   (char*)"V.RemoveFromRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void RemoveFromRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n"},
  {(char*)"GetGeometryInformation",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetGeometryInformation, 1,
   (char*)"V.GetGeometryInformation() -> vtkPVGeometryInformation\nC++: virtual vtkPVGeometryInformation *GetGeometryInformation ();\n\n Get information about the geometry.\n Some displays (like Scalar bar, 3DWidgets), may return NULL.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: virtual void SetRepresentation (int representation);\n\n Set the representation for this display.\n"},
  {(char*)"SetVisibility",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetVisibility, 1,
   (char*)"V.SetVisibility(int)\nC++: virtual void SetVisibility (int visible);\n\n Set Visibility of the display.\n"},
  {(char*)"GetHasVolumePipeline",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetHasVolumePipeline, 1,
   (char*)"V.GetHasVolumePipeline() -> int\nC++: int GetHasVolumePipeline ();\n\n Flag indicating if the display supports a volume rendering \n representation.\n"},
  {(char*)"GetSupportsBunykMapper",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetSupportsBunykMapper, 1,
   (char*)"V.GetSupportsBunykMapper() -> int\nC++: int GetSupportsBunykMapper ();\n\n Flag indicating if the display supports a volume rendering \n representation.\n"},
  {(char*)"GetSupportsZSweepMapper",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetSupportsZSweepMapper, 1,
   (char*)"V.GetSupportsZSweepMapper() -> int\nC++: int GetSupportsZSweepMapper ();\n\n Flag indicating if the display supports a volume rendering \n representation.\n"},
  {(char*)"GetVolumeRenderMode",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetVolumeRenderMode, 1,
   (char*)"V.GetVolumeRenderMode() -> int\nC++: int GetVolumeRenderMode ();\n\n Flag indicating if the display is currently rendered\n as a volume. Typically, one would not use this flag,\n instead check status of the property \"Representation\".\n Here, only for RenderModuleProxy.\n"},
  {(char*)"ResetTransferFunctions",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_ResetTransferFunctions, 1,
   (char*)"V.ResetTransferFunctions()\nC++: void ResetTransferFunctions ();\n\n Method to initlaize the Volume Transfer functions \n (ie. Opacity Function & Color Transfer fuction).\n"},
  {(char*)"SetVolumeMapperToBunykCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToBunykCM, 1,
   (char*)"V.SetVolumeMapperToBunykCM()\nC++: void SetVolumeMapperToBunykCM ();\n\n Convenience methods for switching between volume\n mappers.\n"},
  {(char*)"SetVolumeMapperToPTCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToPTCM, 1,
   (char*)"V.SetVolumeMapperToPTCM()\nC++: void SetVolumeMapperToPTCM ();\n\n Convenience methods for switching between volume\n mappers.\n"},
  {(char*)"SetVolumeMapperToZSweepCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetVolumeMapperToZSweepCM, 1,
   (char*)"V.SetVolumeMapperToZSweepCM()\nC++: void SetVolumeMapperToZSweepCM ();\n\n Convenience methods for switching between volume\n mappers.\n"},
  {(char*)"GetVolumeMapperTypeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetVolumeMapperTypeCM, 1,
   (char*)"V.GetVolumeMapperTypeCM() -> int\nC++: virtual int GetVolumeMapperTypeCM ();\n\n Convenience method for determining which\n volume mapper is in use\n"},
  {(char*)"SetInputAsGeometryFilter",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetInputAsGeometryFilter, 1,
   (char*)"V.SetInputAsGeometryFilter(vtkSMProxy)\nC++: void SetInputAsGeometryFilter (vtkSMProxy *onProxy);\n\n This method will set the subproxy GeometryFilterProxy\n as the input (using property \"Input\") on the argument\n onProxy. \n"},
  {(char*)"MarkConsumersAsModified",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_MarkConsumersAsModified, 1,
   (char*)"V.MarkConsumersAsModified()\nC++: virtual void MarkConsumersAsModified ();\n\n Calls MarkConsumersAsModified() on all consumers. Sub-classes\n should add their functionality and call this.\n Overridden to clean up cached geometry as well. \n"},
  {(char*)"GetInterpolationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetInterpolationCM, 1,
   (char*)"V.GetInterpolationCM() -> int\nC++: int GetInterpolationCM ();\n\n Convenience method to get/set the Interpolation for this proxy.\n"},
  {(char*)"SetInterpolationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetInterpolationCM, 1,
   (char*)"V.SetInterpolationCM(int)\nC++: void SetInterpolationCM (int interpolation);\n\n Convenience method to get/set the Interpolation for this proxy.\n"},
  {(char*)"SetPointSizeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetPointSizeCM, 1,
   (char*)"V.SetPointSizeCM(float)\nC++: void SetPointSizeCM (double size);\n\n Convenience method to get/set Point Size.\n"},
  {(char*)"GetPointSizeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetPointSizeCM, 1,
   (char*)"V.GetPointSizeCM() -> float\nC++: double GetPointSizeCM ();\n\n Convenience method to get/set Point Size.\n"},
  {(char*)"SetLineWidthCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetLineWidthCM, 1,
   (char*)"V.SetLineWidthCM(float)\nC++: void SetLineWidthCM (double width);\n\n Convenience method to get/set Line Width.\n"},
  {(char*)"GetLineWidthCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetLineWidthCM, 1,
   (char*)"V.GetLineWidthCM() -> float\nC++: double GetLineWidthCM ();\n\n Convenience method to get/set Line Width.\n"},
  {(char*)"SetScalarModeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetScalarModeCM, 1,
   (char*)"V.SetScalarModeCM(int)\nC++: void SetScalarModeCM (int mode);\n\n Convenience method to get/set Scalar Mode.\n"},
  {(char*)"GetScalarModeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetScalarModeCM, 1,
   (char*)"V.GetScalarModeCM() -> int\nC++: int GetScalarModeCM ();\n\n Convenience method to get/set Scalar Mode.\n"},
  {(char*)"SetScalarArrayCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetScalarArrayCM, 1,
   (char*)"V.SetScalarArrayCM(string)\nC++: void SetScalarArrayCM (const char *arrayname);\n\n Convenience method to get/set ScalarArray (Volume Mapper).\n"},
  {(char*)"GetScalarArrayCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetScalarArrayCM, 1,
   (char*)"V.GetScalarArrayCM() -> string\nC++: const char *GetScalarArrayCM ();\n\n Convenience method to get/set ScalarArray (Volume Mapper).\n"},
  {(char*)"SetOpacityCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetOpacityCM, 1,
   (char*)"V.SetOpacityCM(float)\nC++: void SetOpacityCM (double op);\n\n Convenience method to get/set Opacity.\n"},
  {(char*)"GetOpacityCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetOpacityCM, 1,
   (char*)"V.GetOpacityCM() -> float\nC++: double GetOpacityCM ();\n\n Convenience method to get/set Opacity.\n"},
  {(char*)"SetColorModeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetColorModeCM, 1,
   (char*)"V.SetColorModeCM(int)\nC++: void SetColorModeCM (int mode);\n\n Convenience method to get/set ColorMode.\n"},
  {(char*)"GetColorModeCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetColorModeCM, 1,
   (char*)"V.GetColorModeCM() -> int\nC++: int GetColorModeCM ();\n\n Convenience method to get/set ColorMode.\n"},
  {(char*)"SetColorCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetColorCM, 1,
   (char*)"V.SetColorCM((float, float, float))\nC++: void SetColorCM (double rgb[3]);\nV.SetColorCM(float, float, float)\nC++: void SetColorCM (double r, double g, double b);double rgb rgb r rgb g rgb b this SetColorCM rgb \n\n Convenience method to get/set Actor color.\n"},
  {(char*)"GetColorCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetColorCM, 1,
   (char*)"V.GetColorCM((float, float, float))\nC++: void GetColorCM (double rgb[3]);\n\n Convenience method to get/set Actor color.\n"},
  {(char*)"SetInterpolateScalarsBeforeMappingCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetInterpolateScalarsBeforeMappingCM, 1,
   (char*)"V.SetInterpolateScalarsBeforeMappingCM(int)\nC++: void SetInterpolateScalarsBeforeMappingCM (int flag);\n\n Convenience method to get/set InterpolateColorsBeforeMapping property.\n"},
  {(char*)"GetInterpolateScalarsBeforeMappingCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetInterpolateScalarsBeforeMappingCM, 1,
   (char*)"V.GetInterpolateScalarsBeforeMappingCM() -> int\nC++: int GetInterpolateScalarsBeforeMappingCM ();\n\n Convenience method to get/set InterpolateColorsBeforeMapping property.\n"},
  {(char*)"SetScalarVisibilityCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetScalarVisibilityCM, 1,
   (char*)"V.SetScalarVisibilityCM(int)\nC++: void SetScalarVisibilityCM (int );\n\n Convenience method to get/set ScalarVisibility property.\n"},
  {(char*)"GetScalarVisibilityCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetScalarVisibilityCM, 1,
   (char*)"V.GetScalarVisibilityCM() -> int\nC++: int GetScalarVisibilityCM ();\n\n Convenience method to get/set ScalarVisibility property.\n"},
  {(char*)"SetPositionCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetPositionCM, 1,
   (char*)"V.SetPositionCM((float, float, float))\nC++: void SetPositionCM (double pos[3]);\nV.SetPositionCM(float, float, float)\nC++: void SetPositionCM (double r, double g, double b);double rgb rgb r rgb g rgb b this SetPositionCM rgb \n\n Convenience method to get/set Position property.\n"},
  {(char*)"GetPositionCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetPositionCM, 1,
   (char*)"V.GetPositionCM((float, float, float))\nC++: void GetPositionCM (double pos[3]);\n\n Convenience method to get/set Position property.\n"},
  {(char*)"SetScaleCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetScaleCM, 1,
   (char*)"V.SetScaleCM((float, float, float))\nC++: void SetScaleCM (double scale[3]);\nV.SetScaleCM(float, float, float)\nC++: void SetScaleCM (double r, double g, double b);double rgb rgb r rgb g rgb b this SetScaleCM rgb \n\n Convenience method to get/set Scale property.\n"},
  {(char*)"GetScaleCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetScaleCM, 1,
   (char*)"V.GetScaleCM((float, float, float))\nC++: void GetScaleCM (double scale[3]);\n\n Convenience method to get/set Scale property.\n"},
  {(char*)"SetOrientationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetOrientationCM, 1,
   (char*)"V.SetOrientationCM((float, float, float))\nC++: void SetOrientationCM (double orientation[3]);\nV.SetOrientationCM(float, float, float)\nC++: void SetOrientationCM (double r, double g, double b);double rgb rgb r rgb g rgb b this SetOrientationCM rgb \n\n Convenience method to get/set Orientation property.\n"},
  {(char*)"GetOrientationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetOrientationCM, 1,
   (char*)"V.GetOrientationCM((float, float, float))\nC++: void GetOrientationCM (double orientation[3]);\n\n Convenience method to get/set Orientation property.\n"},
  {(char*)"GetOriginCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetOriginCM, 1,
   (char*)"V.GetOriginCM((float, float, float))\nC++: void GetOriginCM (double origin[3]);\n\n"},
  {(char*)"SetOriginCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetOriginCM, 1,
   (char*)"V.SetOriginCM((float, float, float))\nC++: void SetOriginCM (double origin[3]);\nV.SetOriginCM(float, float, float)\nC++: void SetOriginCM (double r, double g, double b);double rgb rgb r rgb g rgb b this SetOriginCM rgb \n\n"},
  {(char*)"SetRepresentationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetRepresentationCM, 1,
   (char*)"V.SetRepresentationCM(int)\nC++: void SetRepresentationCM (int r);\n\n Convenience method to get/set Representation.\n"},
  {(char*)"GetRepresentationCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetRepresentationCM, 1,
   (char*)"V.GetRepresentationCM() -> int\nC++: int GetRepresentationCM ();\n\n Convenience method to get/set Representation.\n"},
  {(char*)"SetImmediateModeRenderingCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_SetImmediateModeRenderingCM, 1,
   (char*)"V.SetImmediateModeRenderingCM(int)\nC++: void SetImmediateModeRenderingCM (int f);\n\n Convenience method to get/set ImmediateModeRendering property.\n"},
  {(char*)"GetImmediateModeRenderingCM",                (PyCFunction)PyvtkSMDataObjectDisplayProxy_GetImmediateModeRenderingCM, 1,
   (char*)"V.GetImmediateModeRenderingCM() -> int\nC++: int GetImmediateModeRenderingCM ();\n\n Convenience method to get/set ImmediateModeRendering property.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMDataObjectDisplayProxyDoc[] = {
  (char*)"vtkSMDataObjectDisplayProxy - a simple display proxy.\n\n",
  "Super Class:\n\n vtkSMConsumerDisplayProxy\n\n",
  (char*)" vtkSMDataObjectDisplayProxy is a sink for display objects. \n This is the superclass for objects that display PVParts.\n Not meant to be used directly, although this implements the simplest\n serial display with no LOD. This class has a bunch of \n \"convenience methods\" (method names appended with CM). These methods\n do the equivalent of getting the property by the name and\n setting/getting its value",
  (char*)". They are there to simplify using the property\n interface for display objects. When adding a method to the proxies\n that merely sets some property on the proxy, make sure to append the method\n name with \"CM\" - implying it's a convenience method. That way, one knows\n its purpose and will not be confused with a update-self property method.\n\n",
  NULL
};

static vtkObjectBase *vtkSMDataObjectDisplayProxyStaticNew()
{
  return vtkSMDataObjectDisplayProxy::New();
}

PyObject *PyVTKClass_vtkSMDataObjectDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMDataObjectDisplayProxyStaticNew,
                        PyvtkSMDataObjectDisplayProxyMethods,
                        (char*)"vtkSMDataObjectDisplayProxy",modulename,
                        (char**)vtkSMDataObjectDisplayProxyDoc,
                        PyVTKClass_vtkSMConsumerDisplayProxyNew(modulename));
}

