// python wrapper for vtkSMDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  vtkSMDisplayProxy  *temp20;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMDisplayProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMDisplayProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_GetGeometryInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  vtkPVGeometryInformation  *temp20;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDisplayProxy::GetGeometryInformation();
      }
    else
      {
      temp20 = op->GetGeometryInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_AddToRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDisplayProxy::AddToRenderModule(temp0);
      }
    else
      {
      op->AddToRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_RemoveFromRenderModule(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  vtkSMRenderModuleProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMRenderModuleProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMRenderModuleProxy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDisplayProxy::RemoveFromRenderModule(temp0);
      }
    else
      {
      op->RemoveFromRenderModule(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDisplayProxy::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_SetVisibilityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMDisplayProxy::SetVisibilityCM(temp0);
      }
    else
      {
      op->SetVisibilityCM(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMDisplayProxy_GetVisibilityCM(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMDisplayProxy *op;

  int      temp20;
  if ((op = (vtkSMDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMDisplayProxy::GetVisibilityCM();
      }
    else
      {
      temp20 = op->GetVisibilityCM();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDisplayProxy\nC++: vtkSMDisplayProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMDisplayProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDisplayProxy\nC++: vtkSMDisplayProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetGeometryInformation",                (PyCFunction)PyvtkSMDisplayProxy_GetGeometryInformation, 1,
   (char*)"V.GetGeometryInformation() -> vtkPVGeometryInformation\nC++: virtual vtkPVGeometryInformation *GetGeometryInformation ();return NULL \n\n Called when the display is added/removed to/from a RenderModule.\n Default implementation searches for a subproxies with name\n Prop/Prop2D. If found, they are added/removed to/from the \n Renderer/2DRenderer respectively. \n If such subproxies are not found no error is raised.\n"},
  {(char*)"AddToRenderModule",                (PyCFunction)PyvtkSMDisplayProxy_AddToRenderModule, 1,
   (char*)"V.AddToRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void AddToRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n Default implementation searches for a subproxies with name\n Prop/Prop2D. If found, they are added/removed to/from the \n Renderer/2DRenderer respectively. \n If such subproxies are not found no error is raised.\n"},
  {(char*)"RemoveFromRenderModule",                (PyCFunction)PyvtkSMDisplayProxy_RemoveFromRenderModule, 1,
   (char*)"V.RemoveFromRenderModule(vtkSMRenderModuleProxy)\nC++: virtual void RemoveFromRenderModule (vtkSMRenderModuleProxy *);\n\n Called when the display is added/removed to/from a RenderModule.\n Default implementation searches for a subproxies with name\n Prop/Prop2D. If found, they are added/removed to/from the \n Renderer/2DRenderer respectively. \n If such subproxies are not found no error is raised.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMDisplayProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Convenience method to get/set Visibility property.\n"},
  {(char*)"SetVisibilityCM",                (PyCFunction)PyvtkSMDisplayProxy_SetVisibilityCM, 1,
   (char*)"V.SetVisibilityCM(int)\nC++: void SetVisibilityCM (int v);\n\n Convenience method to get/set Visibility property.\n"},
  {(char*)"GetVisibilityCM",                (PyCFunction)PyvtkSMDisplayProxy_GetVisibilityCM, 1,
   (char*)"V.GetVisibilityCM() -> int\nC++: int GetVisibilityCM ();\n\n Convenience method to get/set Visibility property.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMDisplayProxyDoc[] = {
  (char*)"vtkSMDisplayProxy - proxy for any entity that must be rendered.\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" vtkSMDisplayProxy is a sink for display objects. Anything that can\n be rendered has to be a vtkSMDisplayProxy, otherwise it can't be added\n be added to the vtkSMRenderModule, and hence cannot be rendered.\n This can have inputs (but not required, for displays such as 3Dwidgets/ Scalarbar).\n This is an abstract class, merely defining the interface.\n  This class (or subclasses) has a bunch of \n \"con",
  (char*)"venience methods\" (method names appended with CM). These methods\n do the equivalent of getting the property by the name and\n setting/getting its value. They are there to simplify using the property\n interface for display objects. When adding a method to the proxies\n that merely sets some property on the proxy, make sure to append the method\n name with \"CM\" - implying it's a convenience method. Tha",
  (char*)"t way, one knows\n its purpose and will not be confused with a update-self property method.\n\n",
  NULL
};

static vtkObjectBase *vtkSMDisplayProxyStaticNew()
{
  return vtkSMDisplayProxy::New();
}

PyObject *PyVTKClass_vtkSMDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMDisplayProxyStaticNew,
                        PyvtkSMDisplayProxyMethods,
                        (char*)"vtkSMDisplayProxy",modulename,
                        (char**)vtkSMDisplayProxyDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

