// python wrapper for vtkSMIdTypeVectorProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMIdTypeVectorProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMIdTypeVectorPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMIdTypeVectorPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *); }

static PyObject *PyvtkSMIdTypeVectorProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  const char    *temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  vtkSMIdTypeVectorProperty  *temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMIdTypeVectorProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMIdTypeVectorProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetNumberOfElements();
      }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp0;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::SetNumberOfElements(temp0);
      }
    else
      {
      op->SetNumberOfElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp0;
  vtkIdType   temp1;
  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::SetElement(temp0,temp1);
      }
    else
      {
      temp20 = op->SetElement(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetElements1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::SetElements1(temp0);
      }
    else
      {
      temp20 = op->SetElements1(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetElements2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::SetElements2(temp0,temp1);
      }
    else
      {
      temp20 = op->SetElements2(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetElements3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::SetElements3(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetElements3(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_GetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp0;
  vtkIdType   temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetElement(temp0);
      }
    else
      {
      temp20 = op->GetElement(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_GetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp0;
  vtkIdType   temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetUncheckedElement(temp0);
      }
    else
      {
      temp20 = op->GetUncheckedElement(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp0;
  vtkIdType   temp1;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::SetUncheckedElement(temp0,temp1);
      }
    else
      {
      op->SetUncheckedElement(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_GetNumberOfUncheckedElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetNumberOfUncheckedElements();
      }
    else
      {
      temp20 = op->GetNumberOfUncheckedElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_GetArgumentIsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  int      temp20;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMIdTypeVectorProperty::GetArgumentIsArray();
      }
    else
      {
      temp20 = op->GetArgumentIsArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_SetArgumentIsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  int      temp0;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::SetArgumentIsArray(temp0);
      }
    else
      {
      op->SetArgumentIsArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_ArgumentIsArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::ArgumentIsArrayOn();
      }
    else
      {
      op->ArgumentIsArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_ArgumentIsArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::ArgumentIsArrayOff();
      }
    else
      {
      op->ArgumentIsArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMIdTypeVectorProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMIdTypeVectorProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMIdTypeVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMIdTypeVectorProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}

static PyMethodDef PyvtkSMIdTypeVectorPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMIdTypeVectorProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMIdTypeVectorProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMIdTypeVectorProperty\nC++: vtkSMIdTypeVectorProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMIdTypeVectorProperty\nC++: vtkSMIdTypeVectorProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: virtual unsigned int GetNumberOfElements ();\n\n Returns the size of the vector.\n"},
  {(char*)"SetNumberOfElements",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetNumberOfElements, 1,
   (char*)"V.SetNumberOfElements(int)\nC++: virtual void SetNumberOfElements (unsigned int num);\n\n Sets the size of the vector. If num is larger than the current\n number of elements, this may cause reallocation and copying.\n"},
  {(char*)"SetElement",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetElement, 1,
   (char*)"V.SetElement(int, int) -> int\nC++: int SetElement (unsigned int idx, vtkIdType value);\n\n Set the value of 1 element. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or the value is not in all domains. Returns 1 otherwise.\n"},
  {(char*)"SetElements1",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetElements1, 1,
   (char*)"V.SetElements1(int) -> int\nC++: int SetElements1 (vtkIdType value0);\n\n Set the value of 1st element. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"SetElements2",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetElements2, 1,
   (char*)"V.SetElements2(int, int) -> int\nC++: int SetElements2 (vtkIdType value0, vtkIdType value1);\n\n Set the values of the first 2 elements. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"SetElements3",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetElements3, 1,
   (char*)"V.SetElements3(int, int, int) -> int\nC++: int SetElements3 (vtkIdType value0, vtkIdType value1, vtkIdType value2);\n\n Set the values of the first 3 elements. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or one or more of the values is not in all domains.\n Returns 1 otherwise.\n"},
  {(char*)"GetElement",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetElement, 1,
   (char*)"V.GetElement(int) -> int\nC++: vtkIdType GetElement (unsigned int idx);\n\n Returns the value of 1 element.\n"},
  {(char*)"GetUncheckedElement",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetUncheckedElement, 1,
   (char*)"V.GetUncheckedElement(int) -> int\nC++: vtkIdType GetUncheckedElement (unsigned int idx);\n\n Returns the value of 1 unchecked element. These are used by\n domains. SetElement() first sets the value of 1 unchecked\n element and then calls IsInDomain and updates the value of\n the corresponding element only if IsInDomain passes.\n"},
  {(char*)"SetUncheckedElement",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetUncheckedElement, 1,
   (char*)"V.SetUncheckedElement(int, int)\nC++: void SetUncheckedElement (unsigned int idx, vtkIdType value);\n\n Set the value of 1 unchecked element. This can be used to\n check if a value is in all domains of the property. Call\n this and call IsInDomains().\n"},
  {(char*)"GetNumberOfUncheckedElements",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetNumberOfUncheckedElements, 1,
   (char*)"V.GetNumberOfUncheckedElements() -> int\nC++: virtual unsigned int GetNumberOfUncheckedElements ();\n\n Returns the size of unchecked elements. Usually this is\n the same as the number of elements but can be different\n before a domain check is performed.\n"},
  {(char*)"GetArgumentIsArray",                (PyCFunction)PyvtkSMIdTypeVectorProperty_GetArgumentIsArray, 1,
   (char*)"V.GetArgumentIsArray() -> int\nC++: int GetArgumentIsArray ();\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"SetArgumentIsArray",                (PyCFunction)PyvtkSMIdTypeVectorProperty_SetArgumentIsArray, 1,
   (char*)"V.SetArgumentIsArray(int)\nC++: void SetArgumentIsArray (int );\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"ArgumentIsArrayOn",                (PyCFunction)PyvtkSMIdTypeVectorProperty_ArgumentIsArrayOn, 1,
   (char*)"V.ArgumentIsArrayOn()\nC++: void ArgumentIsArrayOn ();\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"ArgumentIsArrayOff",                (PyCFunction)PyvtkSMIdTypeVectorProperty_ArgumentIsArrayOff, 1,
   (char*)"V.ArgumentIsArrayOff()\nC++: void ArgumentIsArrayOff ();\n\n If ArgumentIsArray is true, multiple elements are passed in as\n array arguments. For example, For example, if\n RepeatCommand is true, NumberOfElementsPerCommand is 2, the\n command is SetFoo and the values are 1 2 3 4 5 6, the resulting\n stream will have:\n @verbatim\n * Invoke obj SetFoo array(1, 2)\n * Invoke obj SetFoo array(3, 4)\n * Invoke obj SetFoo array(5, 6)\n @endverbatim\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMIdTypeVectorProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMIdTypeVectorPropertyDoc[] = {
  (char*)"vtkSMIdTypeVectorProperty - property representing a vector of integers\n\n",
  "Super Class:\n\n vtkSMVectorProperty\n\n",
  (char*)" vtkSMIdTypeVectorProperty is a concrete sub-class of vtkSMVectorProperty\n representing a vector of integers (vtkIdType, possibly 64 bit).\n\n",
  "See Also:\n\n vtkSMVectorProperty vtkSMDoubleVectorProperty vtkSMStringVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMIdTypeVectorPropertyStaticNew()
{
  return vtkSMIdTypeVectorProperty::New();
}

PyObject *PyVTKClass_vtkSMIdTypeVectorPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMIdTypeVectorPropertyStaticNew,
                        PyvtkSMIdTypeVectorPropertyMethods,
                        (char*)"vtkSMIdTypeVectorProperty",modulename,
                        (char**)vtkSMIdTypeVectorPropertyDoc,
                        PyVTKClass_vtkSMVectorPropertyNew(modulename));
}

