// python wrapper for vtkSMImplicitPlaneWidgetProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMImplicitPlaneWidgetProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMImplicitPlaneWidgetProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMImplicitPlaneWidgetProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *); }

static PyObject *PyvtkSMImplicitPlaneWidgetProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  const char    *temp20;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMImplicitPlaneWidgetProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMImplicitPlaneWidgetProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  vtkSMImplicitPlaneWidgetProxy  *temp20;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMImplicitPlaneWidgetProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMImplicitPlaneWidgetProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMImplicitPlaneWidgetProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMImplicitPlaneWidgetProxy::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMImplicitPlaneWidgetProxy::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_SetDrawPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  int      temp0;
  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::SetDrawPlane(temp0);
      }
    else
      {
      op->SetDrawPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMImplicitPlaneWidgetProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMImplicitPlaneWidgetProxy *op;

  if ((op = (vtkSMImplicitPlaneWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMImplicitPlaneWidgetProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMImplicitPlaneWidgetProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMImplicitPlaneWidgetProxy\nC++: vtkSMImplicitPlaneWidgetProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMImplicitPlaneWidgetProxy\nC++: vtkSMImplicitPlaneWidgetProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double , double , double );\nV.SetNormal((float, float, float))\nC++: void SetNormal (double  a[3]);\n\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n"},
  {(char*)"SetDrawPlane",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_SetDrawPlane, 1,
   (char*)"V.SetDrawPlane(int)\nC++: void SetDrawPlane (int );\n\n Send a SetDrawPlane event to the server.\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMImplicitPlaneWidgetProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n Push the property values to the VTK object on the Servers.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMImplicitPlaneWidgetProxyDoc[] = {
  (char*)"vtkSMImplicitPlaneWidgetProxy \n\n",
  "Super Class:\n\n vtkSM3DWidgetProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMImplicitPlaneWidgetProxyStaticNew()
{
  return vtkSMImplicitPlaneWidgetProxy::New();
}

PyObject *PyVTKClass_vtkSMImplicitPlaneWidgetProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMImplicitPlaneWidgetProxyStaticNew,
                        PyvtkSMImplicitPlaneWidgetProxyMethods,
                        (char*)"vtkSMImplicitPlaneWidgetProxy",modulename,
                        (char**)vtkSMImplicitPlaneWidgetProxyDoc,
                        PyVTKClass_vtkSM3DWidgetProxyNew(modulename));
}

