// python wrapper for vtkSMInputArrayDomain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMInputArrayDomain.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMInputArrayDomainNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMInputArrayDomainNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(char *); }

static PyObject *PyvtkSMInputArrayDomain_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  const char    *temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  vtkSMInputArrayDomain  *temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMInputArrayDomain  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMInputArrayDomain::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_IsInDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::IsInDomain(temp0);
      }
    else
      {
      temp20 = op->IsInDomain(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::IsInDomain(temp0);
      }
    else
      {
      temp20 = op->IsInDomain(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_IsFieldValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  vtkPVArrayInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkPVArrayInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPVArrayInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::IsFieldValid(temp0,temp1);
      }
    else
      {
      temp20 = op->IsFieldValid(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  vtkSMSourceProxy  *temp0;
  PyObject *tempH0;
  vtkPVArrayInformation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkSMSourceProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMSourceProxy");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkPVArrayInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPVArrayInformation");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::IsFieldValid(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsFieldValid(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_SetAttributeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  unsigned char     temp0;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMInputArrayDomain::SetAttributeType(temp0);
      }
    else
      {
      op->SetAttributeType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  char    *temp0;
  PyErr_Clear();
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMInputArrayDomain::SetAttributeType(temp0);
      }
    else
      {
      op->SetAttributeType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_GetAttributeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  unsigned char     temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::GetAttributeType();
      }
    else
      {
      temp20 = op->GetAttributeType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_GetAttributeTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  const char    *temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::GetAttributeTypeAsString();
      }
    else
      {
      temp20 = op->GetAttributeTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  int      temp0;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMInputArrayDomain::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMInputArrayDomain_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMInputArrayDomain *op;

  int      temp20;
  if ((op = (vtkSMInputArrayDomain *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMInputArrayDomain::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMInputArrayDomainMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMInputArrayDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMInputArrayDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMInputArrayDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMInputArrayDomain\nC++: vtkSMInputArrayDomain *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMInputArrayDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMInputArrayDomain\nC++: vtkSMInputArrayDomain *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsInDomain",                (PyCFunction)PyvtkSMInputArrayDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain (vtkSMProperty *property);\nV.IsInDomain(vtkSMSourceProxy) -> int\nC++: int IsInDomain (vtkSMSourceProxy *proxy);\n\n Returns true if the value of the propery is in the domain.\n The propery has to be a vtkSMProxyProperty which points\n to a vtkSMSourceProxy. The input has to have one or more\n arrays that match the requirements.\n"},
  {(char*)"IsFieldValid",                (PyCFunction)PyvtkSMInputArrayDomain_IsFieldValid, 1,
   (char*)"V.IsFieldValid(vtkSMSourceProxy, vtkPVArrayInformation) -> int\nC++: int IsFieldValid (vtkSMSourceProxy *proxy, vtkPVArrayInformation *arrayInfo);\nV.IsFieldValid(vtkSMSourceProxy, vtkPVArrayInformation, int) -> int\nC++: int IsFieldValid (vtkSMSourceProxy *proxy, vtkPVArrayInformation *arrayInfo, int bypass);\n\n Returns 1 if the array represented by the array information is\n a valid field. The attribute type (point or cell) as well as the \n number of components are checked for a match\n"},
  {(char*)"SetAttributeType",                (PyCFunction)PyvtkSMInputArrayDomain_SetAttributeType, 1,
   (char*)"V.SetAttributeType(int)\nC++: void SetAttributeType (unsigned char );\nV.SetAttributeType(string)\nC++: virtual void SetAttributeType (const char *type);\n\n Set/get the attribute type. Valid values are: POINT, CELL, ANY.\n Text representations are: point, cell, any.\n"},
  {(char*)"GetAttributeType",                (PyCFunction)PyvtkSMInputArrayDomain_GetAttributeType, 1,
   (char*)"V.GetAttributeType() -> int\nC++: char unsigned GetAttributeType ();\n\n Set/get the attribute type. Valid values are: POINT, CELL, ANY.\n Text representations are: point, cell, any.\n"},
  {(char*)"GetAttributeTypeAsString",                (PyCFunction)PyvtkSMInputArrayDomain_GetAttributeTypeAsString, 1,
   (char*)"V.GetAttributeTypeAsString() -> string\nC++: const char *GetAttributeTypeAsString ();\n\n Set/get the attribute type. Valid values are: POINT, CELL, ANY.\n Text representations are: point, cell, any.\n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkSMInputArrayDomain_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int );\n\n Set/get the required number of components. Set to 0 for\n no check.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkSMInputArrayDomain_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Set/get the required number of components. Set to 0 for\n no check.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMInputArrayDomainDoc[] = {
  (char*)"vtkSMInputArrayDomain - requires input has array of described type\n\n",
  "Super Class:\n\n vtkSMDomain\n\n",
  (char*)" vtkSMInputArrayDomain requires that the source proxy pointed by the\n property has an output with one or more arrays of specified type.\n Current restrictions include whether the array is part of point or\n cell data and whether it has a given number of components. These\n are specified in the XML file. Valid XML attributes are:\n @verbatim\n * attribute_type - cell or point\n * number_of_components\n @e",
  (char*)"ndverbatim\n The attribute type can also be (optionally) obtained from a required\n property FieldDataSelection which has a value of \n vtkDataSet::POINT_DATA_FIELD or  vtkDataSet::CELL_DATA_FIELD.\n\n",
  "See Also:\n\n vtkSMDomain \n\n",
  NULL
};

static vtkObjectBase *vtkSMInputArrayDomainStaticNew()
{
  return vtkSMInputArrayDomain::New();
}

PyObject *PyVTKClass_vtkSMInputArrayDomainNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMInputArrayDomainStaticNew,
                        PyvtkSMInputArrayDomainMethods,
                        (char*)"vtkSMInputArrayDomain",modulename,
                        (char**)vtkSMInputArrayDomainDoc,
                        PyVTKClass_vtkSMDomainNew(modulename));
}

