// python wrapper for vtkSMLODDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMLODDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMLODDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMLODDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMDataObjectDisplayProxyNew(char *); }

static PyObject *PyvtkSMLODDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  vtkSMLODDisplayProxy  *temp20;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMLODDisplayProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMLODDisplayProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_SetLODResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODDisplayProxy::SetLODResolution(temp0);
      }
    else
      {
      op->SetLODResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_CacheUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODDisplayProxy::CacheUpdate(temp0,temp1);
      }
    else
      {
      op->CacheUpdate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODDisplayProxy::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_InvalidateGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMLODDisplayProxy::InvalidateGeometry();
      }
    else
      {
      op->InvalidateGeometry();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMLODDisplayProxy_GetLODInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMLODDisplayProxy *op;

  vtkPVLODPartDisplayInformation  *temp20;
  if ((op = (vtkSMLODDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMLODDisplayProxy::GetLODInformation();
      }
    else
      {
      temp20 = op->GetLODInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMLODDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMLODDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMLODDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMLODDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMLODDisplayProxy\nC++: vtkSMLODDisplayProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMLODDisplayProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMLODDisplayProxy\nC++: vtkSMLODDisplayProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLODResolution",                (PyCFunction)PyvtkSMLODDisplayProxy_SetLODResolution, 1,
   (char*)"V.SetLODResolution(int)\nC++: virtual void SetLODResolution (int res);\n\n Set the number of bins per axes on the quadric decimation filter.\n"},
  {(char*)"CacheUpdate",                (PyCFunction)PyvtkSMLODDisplayProxy_CacheUpdate, 1,
   (char*)"V.CacheUpdate(int, int)\nC++: virtual void CacheUpdate (int idx, int total);\n\n For flip books.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMLODDisplayProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n This method calls a ForceUpdate on the UpdateSuppressor\n if the Geometry is not valid. \n"},
  {(char*)"InvalidateGeometry",                (PyCFunction)PyvtkSMLODDisplayProxy_InvalidateGeometry, 1,
   (char*)"V.InvalidateGeometry()\nC++: virtual void InvalidateGeometry ();\n\n Invalidates Geometry. Results in removal of any cached geometry. Also,\n marks the current geometry as invalid, thus a subsequent call to Update\n will result in call to ForceUpdate on the UpdateSuppressor(s), if any.\n"},
  {(char*)"GetLODInformation",                (PyCFunction)PyvtkSMLODDisplayProxy_GetLODInformation, 1,
   (char*)"V.GetLODInformation() -> vtkPVLODPartDisplayInformation\nC++: virtual vtkPVLODPartDisplayInformation *GetLODInformation ();\n\n Returns an up to data information object.\n Do not keep a reference to this object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMLODDisplayProxyDoc[] = {
  (char*)"vtkSMLODDisplayProxy - a simple display proxy.\n\n",
  "Super Class:\n\n vtkSMDataObjectDisplayProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMLODDisplayProxyStaticNew()
{
  return vtkSMLODDisplayProxy::New();
}

PyObject *PyVTKClass_vtkSMLODDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMLODDisplayProxyStaticNew,
                        PyvtkSMLODDisplayProxyMethods,
                        (char*)"vtkSMLODDisplayProxy",modulename,
                        (char**)vtkSMLODDisplayProxyDoc,
                        PyVTKClass_vtkSMDataObjectDisplayProxyNew(modulename));
}

