// python wrapper for vtkSMMPIRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMMPIRenderModuleProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMMPIRenderModuleProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMMPIRenderModuleProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMCompositeRenderModuleProxyNew(char *); }

static PyObject *PyvtkSMMPIRenderModuleProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  const char    *temp20;
  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMPIRenderModuleProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMPIRenderModuleProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  vtkSMMPIRenderModuleProxy  *temp20;
  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMPIRenderModuleProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMMPIRenderModuleProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMMPIRenderModuleProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_SetUseCompositeCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  int      temp0;
  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMMPIRenderModuleProxy::SetUseCompositeCompression(temp0);
      }
    else
      {
      op->SetUseCompositeCompression(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_InteractiveRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMMPIRenderModuleProxy::InteractiveRender();
      }
    else
      {
      op->InteractiveRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMPIRenderModuleProxy_StillRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMPIRenderModuleProxy *op;

  if ((op = (vtkSMMPIRenderModuleProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMMPIRenderModuleProxy::StillRender();
      }
    else
      {
      op->StillRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMMPIRenderModuleProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMMPIRenderModuleProxy\nC++: vtkSMMPIRenderModuleProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMMPIRenderModuleProxy\nC++: vtkSMMPIRenderModuleProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUseCompositeCompression",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_SetUseCompositeCompression, 1,
   (char*)"V.SetUseCompositeCompression(int)\nC++: virtual void SetUseCompositeCompression (int val);\n\n Compression uses active pixel encoding of color and zbuffer.\n"},
  {(char*)"InteractiveRender",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_InteractiveRender, 1,
   (char*)"V.InteractiveRender()\nC++: virtual void InteractiveRender ();\n\n Render based on the interactive render parameters. This usually means\n LOD size, LOD geometry.\n"},
  {(char*)"StillRender",                (PyCFunction)PyvtkSMMPIRenderModuleProxy_StillRender, 1,
   (char*)"V.StillRender()\nC++: virtual void StillRender ();\n\n Render based on the still render parameters. This usually means\n full size, full geometry.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMMPIRenderModuleProxyDoc[] = {
  (char*)"vtkSMMPIRenderModuleProxy - Handle MPI and Client Server.\n\n",
  "Super Class:\n\n vtkSMCompositeRenderModuleProxy\n\n",
  (char*)" This module hanldes both the cases of ParaView running Client-Server\n and ParaView running as a set MPI processes.\n\n",
  NULL
};

static vtkObjectBase *vtkSMMPIRenderModuleProxyStaticNew()
{
  return vtkSMMPIRenderModuleProxy::New();
}

PyObject *PyVTKClass_vtkSMMPIRenderModuleProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMMPIRenderModuleProxyStaticNew,
                        PyvtkSMMPIRenderModuleProxyMethods,
                        (char*)"vtkSMMPIRenderModuleProxy",modulename,
                        (char**)vtkSMMPIRenderModuleProxyDoc,
                        PyVTKClass_vtkSMCompositeRenderModuleProxyNew(modulename));
}

