// python wrapper for vtkSMMultiDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMMultiDisplayProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMMultiDisplayProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMMultiDisplayProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMCompositeDisplayProxyNew(char *); }

static PyObject *PyvtkSMMultiDisplayProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayProxy *op;

  const char    *temp20;
  if ((op = (vtkSMMultiDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMMultiDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayProxy *op;

  vtkSMMultiDisplayProxy  *temp20;
  if ((op = (vtkSMMultiDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMMultiDisplayProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMMultiDisplayProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMMultiDisplayProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayProxy_SetLODCollectionDecision(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayProxy *op;

  int      temp0;
  if ((op = (vtkSMMultiDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMMultiDisplayProxy::SetLODCollectionDecision(temp0);
      }
    else
      {
      op->SetLODCollectionDecision(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMMultiDisplayProxy_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMMultiDisplayProxy *op;

  if ((op = (vtkSMMultiDisplayProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMMultiDisplayProxy::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMMultiDisplayProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMMultiDisplayProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMMultiDisplayProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMMultiDisplayProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMMultiDisplayProxy\nC++: vtkSMMultiDisplayProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMMultiDisplayProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMMultiDisplayProxy\nC++: vtkSMMultiDisplayProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLODCollectionDecision",                (PyCFunction)PyvtkSMMultiDisplayProxy_SetLODCollectionDecision, 1,
   (char*)"V.SetLODCollectionDecision(int)\nC++: virtual void SetLODCollectionDecision (int );\n\n Overridden to set LOD collection decision to always Collect.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMMultiDisplayProxy_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Update like normal, but make sure the LOD is collected.\n I encountered a bug. First render was missing the LOD on the client.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMMultiDisplayProxyDoc[] = {
  (char*)"vtkSMMultiDisplayProxy - For tiled diplay (what on client).\n\n",
  "Super Class:\n\n vtkSMCompositeDisplayProxy\n\n",
  (char*)" This class has an unfortunate name ...  It always collects and displays\n the LOD on node zero (client when we enable client server).\n TODO: I wonder if we can get rid of this class altogether!\n It doesn't really do much.\n\n",
  NULL
};

static vtkObjectBase *vtkSMMultiDisplayProxyStaticNew()
{
  return vtkSMMultiDisplayProxy::New();
}

PyObject *PyVTKClass_vtkSMMultiDisplayProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMMultiDisplayProxyStaticNew,
                        PyvtkSMMultiDisplayProxyMethods,
                        (char*)"vtkSMMultiDisplayProxy",modulename,
                        (char**)vtkSMMultiDisplayProxyDoc,
                        PyVTKClass_vtkSMCompositeDisplayProxyNew(modulename));
}

