// python wrapper for vtkSMObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSMObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMObject *op;

  const char    *temp20;
  if ((op = (vtkSMObject *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMObject *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMObject *op;

  vtkSMObject  *temp20;
  if ((op = (vtkSMObject *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMObject_GetProxyManager(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSMObject::GetProxyManager();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMObject_SetProxyManager(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxyManager *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxyManager");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      vtkSMObject::SetProxyManager(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMObject_GetApplication(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSMObject::GetApplication();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMObject_SetApplication(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMApplication  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMApplication *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMApplication");
    if (!temp0 && tempH0 != Py_None) goto break7;
      {
      vtkSMObject::SetApplication(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkSMObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMObject\nC++: vtkSMObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMObject\nC++: vtkSMObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetProxyManager",                (PyCFunction)PyvtkSMObject_GetProxyManager, 1,
   (char*)"V.GetProxyManager() -> vtkSMProxyManager\nC++: static vtkSMProxyManager *GetProxyManager ();\n\n Proxy manager singleton stores all proxy groups and instances.\n"},
  {(char*)"SetProxyManager",                (PyCFunction)PyvtkSMObject_SetProxyManager, 1,
   (char*)"V.SetProxyManager(vtkSMProxyManager)\nC++: static void SetProxyManager (vtkSMProxyManager *pm);\n\n Proxy manager singleton stores all proxy groups and instances.\n"},
  {(char*)"GetApplication",                (PyCFunction)PyvtkSMObject_GetApplication, 1,
   (char*)"V.GetApplication() -> vtkSMApplication\nC++: static vtkSMApplication *GetApplication ();\n\n Application singleton is used to initialize server manager\n and manages global runtime information.\n"},
  {(char*)"SetApplication",                (PyCFunction)PyvtkSMObject_SetApplication, 1,
   (char*)"V.SetApplication(vtkSMApplication)\nC++: static void SetApplication (vtkSMApplication *app);\n\n Application singleton is used to initialize server manager\n and manages global runtime information.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMObjectDoc[] = {
  (char*)"vtkSMObject - superclass for most server manager classes\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkSMObject provides several methods common to most server manager\n classes. These are mostly for setting and getting singletons including\n the communication and process modules and the proxy manager.\n\n",
  NULL
};

static vtkObjectBase *vtkSMObjectStaticNew()
{
  return vtkSMObject::New();
}

PyObject *PyVTKClass_vtkSMObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMObjectStaticNew,
                        PyvtkSMObjectMethods,
                        (char*)"vtkSMObject",modulename,
                        (char**)vtkSMObjectDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

