// python wrapper for vtkSMPart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPart.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPartNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPartNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(char *); }

static PyObject *PyvtkSMPart_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  const char    *temp20;
  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPart::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPart::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  vtkSMPart  *temp20;
  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPart::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPart  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPart::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPart_GatherClassNameInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::GatherClassNameInformation();
      }
    else
      {
      op->GatherClassNameInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_GatherDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  int      temp0;
  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::GatherDataInformation(temp0);
      }
    else
      {
      op->GatherDataInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_InvalidateDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::InvalidateDataInformation();
      }
    else
      {
      op->InvalidateDataInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_InsertExtractPiecesIfNecessary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::InsertExtractPiecesIfNecessary();
      }
    else
      {
      op->InsertExtractPiecesIfNecessary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_CreateTranslatorIfNecessary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::CreateTranslatorIfNecessary();
      }
    else
      {
      op->CreateTranslatorIfNecessary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPart_MarkForUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPart *op;

  if ((op = (vtkSMPart *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPart::MarkForUpdate();
      }
    else
      {
      op->MarkForUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMPartMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPart_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPart_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPart_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPart\nC++: vtkSMPart *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPart_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPart\nC++: vtkSMPart *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GatherClassNameInformation",                (PyCFunction)PyvtkSMPart_GatherClassNameInformation, 1,
   (char*)"V.GatherClassNameInformation()\nC++: void GatherClassNameInformation ();\n\n Get the classname of the dataset from server.\n"},
  {(char*)"GatherDataInformation",                (PyCFunction)PyvtkSMPart_GatherDataInformation, 1,
   (char*)"V.GatherDataInformation(int)\nC++: void GatherDataInformation (int doUpdate);\n\n Get information about dataset from server.\n"},
  {(char*)"InvalidateDataInformation",                (PyCFunction)PyvtkSMPart_InvalidateDataInformation, 1,
   (char*)"V.InvalidateDataInformation()\nC++: void InvalidateDataInformation ();\n\n Mark data information as invalid.\n"},
  {(char*)"InsertExtractPiecesIfNecessary",                (PyCFunction)PyvtkSMPart_InsertExtractPiecesIfNecessary, 1,
   (char*)"V.InsertExtractPiecesIfNecessary()\nC++: void InsertExtractPiecesIfNecessary ();\n\n Insert a filter to extract (and redistribute) unstructured\n pieces if the source cannot generate pieces.\n"},
  {(char*)"CreateTranslatorIfNecessary",                (PyCFunction)PyvtkSMPart_CreateTranslatorIfNecessary, 1,
   (char*)"V.CreateTranslatorIfNecessary()\nC++: void CreateTranslatorIfNecessary ();\n\n Replace the default extent translator with vtkPVExtentTranslator.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSMPart_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Update the data and geometry.\n"},
  {(char*)"MarkForUpdate",                (PyCFunction)PyvtkSMPart_MarkForUpdate, 1,
   (char*)"V.MarkForUpdate()\nC++: void MarkForUpdate ();\n\n Modified propagated forward to eliminate extra network update calls.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPartDoc[] = {
  (char*)"vtkSMPart - proxy for a data object\n\n",
  "Super Class:\n\n vtkSMProxy\n\n",
  (char*)" This object manages one vtk data set. It is used internally\n by vtkSMSourceProxy to manage all of it's outputs.\n\n",
  NULL
};

static vtkObjectBase *vtkSMPartStaticNew()
{
  return vtkSMPart::New();
}

PyObject *PyVTKClass_vtkSMPartNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPartStaticNew,
                        PyvtkSMPartMethods,
                        (char*)"vtkSMPart",modulename,
                        (char**)vtkSMPartDoc,
                        PyVTKClass_vtkSMProxyNew(modulename));
}

