// python wrapper for vtkSMPointWidgetProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPointWidgetProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPointWidgetProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPointWidgetProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSM3DWidgetProxyNew(char *); }

static PyObject *PyvtkSMPointWidgetProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  const char    *temp20;
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPointWidgetProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPointWidgetProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  vtkSMPointWidgetProxy  *temp20;
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPointWidgetProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPointWidgetProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPointWidgetProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPointWidgetProxy::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPointWidgetProxy::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  double  *temp20;
  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPointWidgetProxy::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPointWidgetProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPointWidgetProxy *op;

  if ((op = (vtkSMPointWidgetProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPointWidgetProxy::UpdateVTKObjects();
      }
    else
      {
      op->UpdateVTKObjects();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMPointWidgetProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPointWidgetProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPointWidgetProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPointWidgetProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPointWidgetProxy\nC++: vtkSMPointWidgetProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPointWidgetProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPointWidgetProxy\nC++: vtkSMPointWidgetProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkSMPointWidgetProxy_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkSMPointWidgetProxy_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n"},
  {(char*)"UpdateVTKObjects",                (PyCFunction)PyvtkSMPointWidgetProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPointWidgetProxyDoc[] = {
  (char*)"vtkSMPointWidgetProxy\n\n",
  "Super Class:\n\n vtkSM3DWidgetProxy\n\n",
  NULL
};

static vtkObjectBase *vtkSMPointWidgetProxyStaticNew()
{
  return vtkSMPointWidgetProxy::New();
}

PyObject *PyVTKClass_vtkSMPointWidgetProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPointWidgetProxyStaticNew,
                        PyvtkSMPointWidgetProxyMethods,
                        (char*)"vtkSMPointWidgetProxy",modulename,
                        (char**)vtkSMPointWidgetProxyDoc,
                        PyVTKClass_vtkSM3DWidgetProxyNew(modulename));
}

