// python wrapper for vtkSMPropertyAdaptor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMPropertyAdaptor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMPropertyAdaptor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  vtkSMPropertyAdaptor  *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMPropertyAdaptor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMPropertyAdaptor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyAdaptor::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  vtkSMProperty  *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetRangeMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetRangeMinimum(temp0);
      }
    else
      {
      temp20 = op->GetRangeMinimum(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetRangeMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetRangeMaximum(temp0);
      }
    else
      {
      temp20 = op->GetRangeMaximum(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetNumberOfRangeElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetNumberOfRangeElements();
      }
    else
      {
      temp20 = op->GetNumberOfRangeElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetRangeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetRangeValue(temp0);
      }
    else
      {
      temp20 = op->GetRangeValue(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SetRangeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::SetRangeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->SetRangeValue(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetNumberOfEnumerationElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetNumberOfEnumerationElements();
      }
    else
      {
      temp20 = op->GetNumberOfEnumerationElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetEnumerationName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetEnumerationName(temp0);
      }
    else
      {
      temp20 = op->GetEnumerationName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetEnumerationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetEnumerationValue();
      }
    else
      {
      temp20 = op->GetEnumerationValue();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SetEnumerationValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::SetEnumerationValue(temp0);
      }
    else
      {
      temp20 = op->SetEnumerationValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetNumberOfSelectionElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetNumberOfSelectionElements();
      }
    else
      {
      temp20 = op->GetNumberOfSelectionElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetSelectionName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetSelectionName(temp0);
      }
    else
      {
      temp20 = op->GetSelectionName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetSelectionValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetSelectionValue(temp0);
      }
    else
      {
      temp20 = op->GetSelectionValue(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SetSelectionValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::SetSelectionValue(temp0,temp1);
      }
    else
      {
      temp20 = op->SetSelectionValue(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetSelectionMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetSelectionMinimum(temp0);
      }
    else
      {
      temp20 = op->GetSelectionMinimum(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetSelectionMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetSelectionMaximum(temp0);
      }
    else
      {
      temp20 = op->GetSelectionMaximum(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_InitializePropertyFromInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMPropertyAdaptor::InitializePropertyFromInformation();
      }
    else
      {
      op->InitializePropertyFromInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetPropertyType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetPropertyType();
      }
    else
      {
      temp20 = op->GetPropertyType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_GetElementType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::GetElementType();
      }
    else
      {
      temp20 = op->GetElementType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMPropertyAdaptor_SetGenericValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMPropertyAdaptor *op;

  unsigned int      temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMPropertyAdaptor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMPropertyAdaptor::SetGenericValue(temp0,temp1);
      }
    else
      {
      temp20 = op->SetGenericValue(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMPropertyAdaptorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMPropertyAdaptor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMPropertyAdaptor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMPropertyAdaptor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyAdaptor\nC++: vtkSMPropertyAdaptor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMPropertyAdaptor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyAdaptor\nC++: vtkSMPropertyAdaptor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkSMPropertyAdaptor_SetProperty, 1,
   (char*)"V.SetProperty(vtkSMProperty)\nC++: void SetProperty (vtkSMProperty *prop);\n\n Set/Get the property to be adapted. The property\n has to be set before any other method can be called.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSMPropertyAdaptor_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetProperty ();\n\n Set/Get the property to be adapted. The property\n has to be set before any other method can be called.\n"},
  {(char*)"GetRangeMinimum",                (PyCFunction)PyvtkSMPropertyAdaptor_GetRangeMinimum, 1,
   (char*)"V.GetRangeMinimum(int) -> string\nC++: const char *GetRangeMinimum (unsigned int idx);\n\n"},
  {(char*)"GetRangeMaximum",                (PyCFunction)PyvtkSMPropertyAdaptor_GetRangeMaximum, 1,
   (char*)"V.GetRangeMaximum(int) -> string\nC++: const char *GetRangeMaximum (unsigned int idx);\n\n"},
  {(char*)"GetNumberOfRangeElements",                (PyCFunction)PyvtkSMPropertyAdaptor_GetNumberOfRangeElements, 1,
   (char*)"V.GetNumberOfRangeElements() -> int\nC++: unsigned int GetNumberOfRangeElements ();\n\n"},
  {(char*)"GetRangeValue",                (PyCFunction)PyvtkSMPropertyAdaptor_GetRangeValue, 1,
   (char*)"V.GetRangeValue(int) -> string\nC++: const char *GetRangeValue (unsigned int idx);\n\n"},
  {(char*)"SetRangeValue",                (PyCFunction)PyvtkSMPropertyAdaptor_SetRangeValue, 1,
   (char*)"V.SetRangeValue(int, string) -> int\nC++: int SetRangeValue (unsigned int idx, const char *value);\n\n"},
  {(char*)"GetNumberOfEnumerationElements",                (PyCFunction)PyvtkSMPropertyAdaptor_GetNumberOfEnumerationElements, 1,
   (char*)"V.GetNumberOfEnumerationElements() -> int\nC++: unsigned int GetNumberOfEnumerationElements ();\n\n"},
  {(char*)"GetEnumerationName",                (PyCFunction)PyvtkSMPropertyAdaptor_GetEnumerationName, 1,
   (char*)"V.GetEnumerationName(int) -> string\nC++: const char *GetEnumerationName (unsigned int idx);\n\n"},
  {(char*)"GetEnumerationValue",                (PyCFunction)PyvtkSMPropertyAdaptor_GetEnumerationValue, 1,
   (char*)"V.GetEnumerationValue() -> string\nC++: const char *GetEnumerationValue ();\n\n"},
  {(char*)"SetEnumerationValue",                (PyCFunction)PyvtkSMPropertyAdaptor_SetEnumerationValue, 1,
   (char*)"V.SetEnumerationValue(string) -> int\nC++: int SetEnumerationValue (const char *idx);\n\n"},
  {(char*)"GetNumberOfSelectionElements",                (PyCFunction)PyvtkSMPropertyAdaptor_GetNumberOfSelectionElements, 1,
   (char*)"V.GetNumberOfSelectionElements() -> int\nC++: unsigned int GetNumberOfSelectionElements ();\n\n"},
  {(char*)"GetSelectionName",                (PyCFunction)PyvtkSMPropertyAdaptor_GetSelectionName, 1,
   (char*)"V.GetSelectionName(int) -> string\nC++: const char *GetSelectionName (unsigned int idx);\n\n"},
  {(char*)"GetSelectionValue",                (PyCFunction)PyvtkSMPropertyAdaptor_GetSelectionValue, 1,
   (char*)"V.GetSelectionValue(int) -> string\nC++: const char *GetSelectionValue (unsigned int idx);\n\n"},
  {(char*)"SetSelectionValue",                (PyCFunction)PyvtkSMPropertyAdaptor_SetSelectionValue, 1,
   (char*)"V.SetSelectionValue(int, string) -> int\nC++: int SetSelectionValue (unsigned int idx, const char *value);\n\n"},
  {(char*)"GetSelectionMinimum",                (PyCFunction)PyvtkSMPropertyAdaptor_GetSelectionMinimum, 1,
   (char*)"V.GetSelectionMinimum(int) -> string\nC++: const char *GetSelectionMinimum (unsigned int idx);\n\n"},
  {(char*)"GetSelectionMaximum",                (PyCFunction)PyvtkSMPropertyAdaptor_GetSelectionMaximum, 1,
   (char*)"V.GetSelectionMaximum(int) -> string\nC++: const char *GetSelectionMaximum (unsigned int idx);\n\n"},
  {(char*)"InitializePropertyFromInformation",                (PyCFunction)PyvtkSMPropertyAdaptor_InitializePropertyFromInformation, 1,
   (char*)"V.InitializePropertyFromInformation()\nC++: void InitializePropertyFromInformation ();\n\n"},
  {(char*)"GetPropertyType",                (PyCFunction)PyvtkSMPropertyAdaptor_GetPropertyType, 1,
   (char*)"V.GetPropertyType() -> int\nC++: int GetPropertyType ();\n\n Returns either ENUMERATION, RANGE, SELECTION or UNKNOWN.\n"},
  {(char*)"GetElementType",                (PyCFunction)PyvtkSMPropertyAdaptor_GetElementType, 1,
   (char*)"V.GetElementType() -> int\nC++: int GetElementType ();\n\n Returns either INT, DOUBLE, STRING, PROXY, BOOLEAN or UNKNOWN\n"},
  {(char*)"SetGenericValue",                (PyCFunction)PyvtkSMPropertyAdaptor_SetGenericValue, 1,
   (char*)"V.SetGenericValue(int, string) -> int\nC++: int SetGenericValue (unsigned int idx, const char *value);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPropertyAdaptorDoc[] = {
  (char*)"vtkSMPropertyAdaptor - provides string based interface for properties and domains\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMPropertyAdaptor provides a general purpose string based interface\n for properties and domain. This is a helper class that can be used\n to simplify the management of properties and domains although it\n somehow restricts the capabilities of the server manager.\n\n",
  NULL
};

static vtkObjectBase *vtkSMPropertyAdaptorStaticNew()
{
  return vtkSMPropertyAdaptor::New();
}

PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPropertyAdaptorStaticNew,
                        PyvtkSMPropertyAdaptorMethods,
                        (char*)"vtkSMPropertyAdaptor",modulename,
                        (char**)vtkSMPropertyAdaptorDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

