// python wrapper for vtkSMProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  const char    *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMProperty  *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMProperty_SetCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetCommand(temp0);
      }
    else
      {
      op->SetCommand(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetCommand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetCommand();
      }
    else
      {
      temp20 = op->GetCommand();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SetImmediateUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetImmediateUpdate(temp0);
      }
    else
      {
      op->SetImmediateUpdate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetImmediateUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetImmediateUpdate();
      }
    else
      {
      temp20 = op->GetImmediateUpdate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SetUpdateSelf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetUpdateSelf(temp0);
      }
    else
      {
      op->SetUpdateSelf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetUpdateSelf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetUpdateSelf();
      }
    else
      {
      temp20 = op->GetUpdateSelf();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetSubProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp0;
  vtkSMProperty  *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetSubProperty(temp0);
      }
    else
      {
      temp20 = op->GetSubProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_IsInDomains(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::IsInDomains();
      }
    else
      {
      temp20 = op->IsInDomains();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSMProperty_NewDomainIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMDomainIterator  *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::NewDomainIterator();
      }
    else
      {
      temp20 = op->NewDomainIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp0;
  vtkSMDomain  *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetDomain(temp0);
      }
    else
      {
      temp20 = op->GetDomain(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetNumberOfDomains(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetNumberOfDomains();
      }
    else
      {
      temp20 = op->GetNumberOfDomains();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_UpdateDependentDomains(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::UpdateDependentDomains();
      }
    else
      {
      op->UpdateDependentDomains();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetCheckDomains(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSMProperty::GetCheckDomains();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SetCheckDomains(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkSMProperty::SetCheckDomains(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetXMLName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetXMLName();
      }
    else
      {
      temp20 = op->GetXMLName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetInformationOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetInformationOnly();
      }
    else
      {
      temp20 = op->GetInformationOnly();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetInformationProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMProperty  *temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetInformationProperty();
      }
    else
      {
      temp20 = op->GetInformationProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SetControllerProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetControllerProxy(temp0);
      }
    else
      {
      op->SetControllerProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkSMProperty_SetControllerProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetControllerProperty(temp0);
      }
    else
      {
      op->SetControllerProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkSMProperty_AddDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  char    *temp0;
  vtkSMDomain  *temp1;
  PyObject *tempH1;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"zO", &temp0, &tempH1)))
    {
    temp1 = (vtkSMDomain *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMDomain");
    if (!temp1 && tempH1 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::AddDomain(temp0,temp1);
      }
    else
      {
      op->AddDomain(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkSMProperty_SetAnimateable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetAnimateable(temp0);
      }
    else
      {
      op->SetAnimateable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetAnimateable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetAnimateable();
      }
    else
      {
      temp20 = op->GetAnimateable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_SetSaveable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::SetSaveable(temp0);
      }
    else
      {
      op->SetSaveable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_GetSaveable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  int      temp20;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProperty::GetSaveable();
      }
    else
      {
      temp20 = op->GetSaveable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}

static PyMethodDef PyvtkSMPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProperty\nC++: vtkSMProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProperty\nC++: vtkSMProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCommand",                (PyCFunction)PyvtkSMProperty_SetCommand, 1,
   (char*)"V.SetCommand(string)\nC++: void SetCommand (char *);\n\n The command name used to set the value on the server object.\n For example: SetThetaResolution\n"},
  {(char*)"GetCommand",                (PyCFunction)PyvtkSMProperty_GetCommand, 1,
   (char*)"V.GetCommand() -> string\nC++: char *GetCommand ();\n\n The command name used to set the value on the server object.\n For example: SetThetaResolution\n"},
  {(char*)"SetImmediateUpdate",                (PyCFunction)PyvtkSMProperty_SetImmediateUpdate, 1,
   (char*)"V.SetImmediateUpdate(int)\nC++: void SetImmediateUpdate (int );\n\n If ImmediateUpdate is true, the value of the property will\n be pushed to the server as soon as it is modified. Properties\n that do not have values can be pushed by calling Modified().\n"},
  {(char*)"GetImmediateUpdate",                (PyCFunction)PyvtkSMProperty_GetImmediateUpdate, 1,
   (char*)"V.GetImmediateUpdate() -> int\nC++: int GetImmediateUpdate ();\n\n If ImmediateUpdate is true, the value of the property will\n be pushed to the server as soon as it is modified. Properties\n that do not have values can be pushed by calling Modified().\n"},
  {(char*)"SetUpdateSelf",                (PyCFunction)PyvtkSMProperty_SetUpdateSelf, 1,
   (char*)"V.SetUpdateSelf(int)\nC++: void SetUpdateSelf (int );\n\n Advanced. If UpdateSelf is true, the property will be pushed\n by calling the method (Command) on the proxy instead of the\n VTK object. This is commonly used to implement more complicated\n functionality than can be obtained by calling a method on all\n server objects.\n"},
  {(char*)"GetUpdateSelf",                (PyCFunction)PyvtkSMProperty_GetUpdateSelf, 1,
   (char*)"V.GetUpdateSelf() -> int\nC++: int GetUpdateSelf ();\n\n Advanced. If UpdateSelf is true, the property will be pushed\n by calling the method (Command) on the proxy instead of the\n VTK object. This is commonly used to implement more complicated\n functionality than can be obtained by calling a method on all\n server objects.\n"},
  {(char*)"GetSubProperty",                (PyCFunction)PyvtkSMProperty_GetSubProperty, 1,
   (char*)"V.GetSubProperty(string) -> vtkSMProperty\nC++: vtkSMProperty *GetSubProperty (const char *name);\n\n Returns a sub-property with the given name. If the sub-property\n does not exist, NULL is returned.\n"},
  {(char*)"IsInDomains",                (PyCFunction)PyvtkSMProperty_IsInDomains, 1,
   (char*)"V.IsInDomains() -> int\nC++: int IsInDomains ();\n\n Returns true if all values are in all domains, false otherwise.\n The domains will check the unchecked values (SetUncheckedXXX()) \n instead of the actual values.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkSMProperty_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *obj);\n\n Overloaded to break the reference loop caused by the \n internal domain iterator.\n"},
  {(char*)"NewDomainIterator",                (PyCFunction)PyvtkSMProperty_NewDomainIterator, 1,
   (char*)"V.NewDomainIterator() -> vtkSMDomainIterator\nC++: vtkSMDomainIterator *NewDomainIterator ();\n\n Creates, initializes and returns a new domain iterator. The user \n has to delete the iterator.\n"},
  {(char*)"GetDomain",                (PyCFunction)PyvtkSMProperty_GetDomain, 1,
   (char*)"V.GetDomain(string) -> vtkSMDomain\nC++: vtkSMDomain *GetDomain (const char *name);\n\n Returns a domain give a name. \n"},
  {(char*)"GetNumberOfDomains",                (PyCFunction)PyvtkSMProperty_GetNumberOfDomains, 1,
   (char*)"V.GetNumberOfDomains() -> int\nC++: unsigned int GetNumberOfDomains ();\n\n Returns the number of domains this property has. This can be \n used to specify a valid index for GetDomain(index).\n"},
  {(char*)"UpdateDependentDomains",                (PyCFunction)PyvtkSMProperty_UpdateDependentDomains, 1,
   (char*)"V.UpdateDependentDomains()\nC++: void UpdateDependentDomains ();\n\n Calls Update() on all domains contained by the property\n as well as all dependant domains. This is usually called\n after SetUncheckedXXX() to tell all dependant domains to\n update themselves according to the new value.\n Note that when calling Update() on domains contained by\n this property, a NULL is passed as the argument. This is\n because the domain does not really \"depend\" on the property.\n When calling Update() on dependent domains, the property\n passes itself as the argument.\n"},
  {(char*)"GetCheckDomains",                (PyCFunction)PyvtkSMProperty_GetCheckDomains, 1,
   (char*)"V.GetCheckDomains() -> int\nC++: static int GetCheckDomains ();\n\n Static boolean used to determine whether domain checking should\n be performed when setting values. On by default.\n"},
  {(char*)"SetCheckDomains",                (PyCFunction)PyvtkSMProperty_SetCheckDomains, 1,
   (char*)"V.SetCheckDomains(int)\nC++: static void SetCheckDomains (int check);\n\n Static boolean used to determine whether domain checking should\n be performed when setting values. On by default.\n"},
  {(char*)"GetXMLName",                (PyCFunction)PyvtkSMProperty_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName ();\n\n The name assigned by the xml parser. Used to get the property\n from a proxy.\n"},
  {(char*)"GetInformationOnly",                (PyCFunction)PyvtkSMProperty_GetInformationOnly, 1,
   (char*)"V.GetInformationOnly() -> int\nC++: int GetInformationOnly ();\n\n Is InformationOnly is set to true, this property is used to\n get information from server instead of setting values.\n"},
  {(char*)"GetInformationProperty",                (PyCFunction)PyvtkSMProperty_GetInformationProperty, 1,
   (char*)"V.GetInformationProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetInformationProperty ();\n\n Get the associated information property. This allows applications\n to have access to both the in and out properties. The information\n property has to be specified in the xml configuration file.\n"},
  {(char*)"SetControllerProxy",                (PyCFunction)PyvtkSMProperty_SetControllerProxy, 1,
   (char*)"V.SetControllerProxy(vtkSMProxy)\nC++: void SetControllerProxy (vtkSMProxy *proxy);\n\n ControllerProxy is pointer to the proxy whose property\n (ControllerProperty) is mapped to the current property. This is useful\n for 3DWidgets. The properties of the implicit function proxy\n controlled by the 3DWidget will have these set to the corresponing\n property of the 3DWidget. Thus, providing hints about which implicit\n function property is controlled by which 3DWidget and what property.\n This goes mostly unnoticed in ParaView, but useful for ARL.  If these\n are set, then they are saved in the XML during SaveState as a element\n <ControllerProperty name=\"propertyname\" />. ARL notices such elements\n and creates a property value dependency among the controlee and the\n controller property.\n"},
  {(char*)"SetControllerProperty",                (PyCFunction)PyvtkSMProperty_SetControllerProperty, 1,
   (char*)"V.SetControllerProperty(vtkSMProperty)\nC++: void SetControllerProperty (vtkSMProperty *property);\n\n ControllerProxy is pointer to the proxy whose property\n (ControllerProperty) is mapped to the current property. This is useful\n for 3DWidgets. The properties of the implicit function proxy\n controlled by the 3DWidget will have these set to the corresponing\n property of the 3DWidget. Thus, providing hints about which implicit\n function property is controlled by which 3DWidget and what property.\n This goes mostly unnoticed in ParaView, but useful for ARL.  If these\n are set, then they are saved in the XML during SaveState as a element\n <ControllerProperty name=\"propertyname\" />. ARL notices such elements\n and creates a property value dependency among the controlee and the\n controller property.\n"},
  {(char*)"AddDomain",                (PyCFunction)PyvtkSMProperty_AddDomain, 1,
   (char*)"V.AddDomain(string, vtkSMDomain)\nC++: void AddDomain (const char *name, vtkSMDomain *dom);\n\n Properties can have one or more domains. These are assigned by\n the proxy manager and can be used to obtain information other\n than given by the type of the propery and its values.\n"},
  {(char*)"SetAnimateable",                (PyCFunction)PyvtkSMProperty_SetAnimateable, 1,
   (char*)"V.SetAnimateable(int)\nC++: void SetAnimateable (int );\n\n Get/Set if the property is animateable. Non-animateable\n properties are shown in the GUI only in advanced mode.\n"},
  {(char*)"GetAnimateable",                (PyCFunction)PyvtkSMProperty_GetAnimateable, 1,
   (char*)"V.GetAnimateable() -> int\nC++: int GetAnimateable ();\n\n Get/Set if the property is animateable. Non-animateable\n properties are shown in the GUI only in advanced mode.\n"},
  {(char*)"SetSaveable",                (PyCFunction)PyvtkSMProperty_SetSaveable, 1,
   (char*)"V.SetSaveable(int)\nC++: void SetSaveable (int );\n\n Get/Set if the property is saveable. A non-saveable property should not\n be saved in state or batch script.\n"},
  {(char*)"GetSaveable",                (PyCFunction)PyvtkSMProperty_GetSaveable, 1,
   (char*)"V.GetSaveable() -> int\nC++: int GetSaveable ();\n\n Get/Set if the property is saveable. A non-saveable property should not\n be saved in state or batch script.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMPropertyDoc[] = {
  (char*)"vtkSMProperty - superclass for all SM properties\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" Each instance of vtkSMProperty or a sub-class represents a method \n and associated arguments (if any) of a  a vtk object stored on one \n or more client manager or server nodes. It may have a state and can push \n this state to the vtk object it refers to. vtkSMPropery only supports\n methods with no arguments. Sub-classes support methods with different\n arguments types and numbers.\n A property can ",
  (char*)"also be marked as an \"information\" property in which case\n it's values are obtained from the server with the UpdateInformation()\n call. This call is forwarded to an information helper. The type of\n the information helper used is specified in the XML file.\n Each property can have one or more sub-properties. The sub-properties\n can be accessed using an iterator. It is possible to create composite\n p",
  (char*)"roperties of any depth this way.\n Each property can have one or more domains. A domain represents a\n set of acceptable values the property can have. An Attempt to set a\n value outside the domain will fail. If more than one domain is specified,\n the actual domain is the intersection of all domains.\n \n A property can be marked \"animateable\". \"animateable\" attribute can have \n value {0, 1, 2}. \n 0 :-",
  (char*)"- property is not animateable at all. \n 1 :-- property is shown as animateable on the key frame animation interface\n       in the non-advanced mode.\n 2 :-- property is animateable but only shown in the advanced mode.\n Properties that are not vector properties or that don't have domain or that \n are information_only properties\n can never be animated irrespective of the \"animateable\" attribute's val",
  (char*)"ue.\n All vector properties (vtkSMIntVectorProperty, vtkSMDoubleVectorPropery,\n vtkSMStringVectorProperty, vtkSMIdTypeVectorProperty) by default have\n have animateable=\"2\".\n\n A property can be marked \"saveable\". \"saveable\" attribute can have \n value {0, 1}.\n 0 :-- property is not saveable. Hence, when saving ServerManager state\n       or saving batch script, the property's value is not saved.\n 1 :-",
  (char*)"- property is saveable. Hence, it gets saved when saving SM state\n       or batch script. \n An instance of vtkSMProperty is never savable. All other concrete subclasses\n are by default savable (i.e. vtkSMProxyProperty and subclasses and\n vtkSMVectorProperty subclasses).\n\n",
  "See Also:\n\n vtkSMProxyProperty vtkSMInputProperty vtkSMVectorProperty\n vtkSMDoubleVectorPropery vtkSMIntVectorPropery vtkSMStringVectorProperty\n vtkSMDomain vtkSMInformationHelper\n\n",
  NULL
};

static vtkObjectBase *vtkSMPropertyStaticNew()
{
  return vtkSMProperty::New();
}

PyObject *PyVTKClass_vtkSMPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMPropertyStaticNew,
                        PyvtkSMPropertyMethods,
                        (char*)"vtkSMProperty",modulename,
                        (char**)vtkSMPropertyDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

