// python wrapper for vtkSMProxyManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMProxyManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(char *); }

static PyObject *PyvtkSMProxyManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  const char    *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  vtkSMProxyManager  *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMProxyManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMProxyManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMProxyManager_NewProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  char    *temp1;
  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::NewProxy(temp0,temp1);
      }
    else
      {
      temp20 = op->NewProxy(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_RegisterProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  char    *temp1;
  vtkSMProxy  *temp2;
  PyObject *tempH2;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zzO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkSMProxy");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::RegisterProxy(temp0,temp1,temp2);
      }
    else
      {
      op->RegisterProxy(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSMProxyManager_GetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  char    *temp1;
  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetProxy(temp0,temp1);
      }
    else
      {
      temp20 = op->GetProxy(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  vtkSMProxy  *temp20;
  PyErr_Clear();
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetProxy(temp0);
      }
    else
      {
      temp20 = op->GetProxy(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  unsigned int      temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetNumberOfProxies(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfProxies(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_GetProxyName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  unsigned int      temp1;
  const char    *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetProxyName(temp0,temp1);
      }
    else
      {
      temp20 = op->GetProxyName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  vtkSMProxy  *temp1;
  PyObject *tempH1;
  const char    *temp20;
  PyErr_Clear();
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zO", &temp0, &tempH1)))
    {
    temp1 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMProxy");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetProxyName(temp0,temp1);
      }
    else
      {
      temp20 = op->GetProxyName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSMProxyManager_IsProxyInGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  char    *temp1;
  const char    *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::IsProxyInGroup(temp0,temp1);
      }
    else
      {
      temp20 = op->IsProxyInGroup(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkSMProxyManager_UnRegisterProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  char    *temp1;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::UnRegisterProxy(temp0,temp1);
      }
    else
      {
      op->UnRegisterProxy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  PyErr_Clear();
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::UnRegisterProxy(temp0);
      }
    else
      {
      op->UnRegisterProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_UnRegisterProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::UnRegisterProxies();
      }
    else
      {
      op->UnRegisterProxies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_UpdateRegisteredProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::UpdateRegisteredProxies(temp0);
      }
    else
      {
      op->UpdateRegisteredProxies(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  PyErr_Clear();
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::UpdateRegisteredProxies();
      }
    else
      {
      op->UpdateRegisteredProxies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_SaveState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::SaveState(temp0);
      }
    else
      {
      op->SaveState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_InstantiateGroupPrototypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyManager::InstantiateGroupPrototypes(temp0);
      }
    else
      {
      op->InstantiateGroupPrototypes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_GetNumberOfXMLGroups(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  unsigned int      temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetNumberOfXMLGroups();
      }
    else
      {
      temp20 = op->GetNumberOfXMLGroups();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_GetXMLGroupName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::GetXMLGroupName(temp0);
      }
    else
      {
      temp20 = op->GetXMLGroupName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyManager_ProxyElementExists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyManager *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMProxyManager *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyManager::ProxyElementExists(temp0,temp1);
      }
    else
      {
      temp20 = op->ProxyElementExists(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMProxyManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMProxyManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMProxyManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMProxyManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyManager\nC++: vtkSMProxyManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMProxyManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyManager\nC++: vtkSMProxyManager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"NewProxy",                (PyCFunction)PyvtkSMProxyManager_NewProxy, 1,
   (char*)"V.NewProxy(string, string) -> vtkSMProxy\nC++: vtkSMProxy *NewProxy (const char *groupName, const char *proxyName);\n\n Given a group and proxy name, create and return a proxy instance.\n The user has to delete the proxy when done.\n NOTE: If this method is called from a scripting language, it may\n not be possible to delete the returned object with Delete. \n The VTK wrappers handle New and Delete specially and may not allow\n the deletion of object created through other methods. Use\n UnRegister instead.\n"},
  {(char*)"RegisterProxy",                (PyCFunction)PyvtkSMProxyManager_RegisterProxy, 1,
   (char*)"V.RegisterProxy(string, string, vtkSMProxy)\nC++: void RegisterProxy (const char *groupname, const char *name, vtkSMProxy *proxy);\n\n Used to pass the control of the proxy to the manager. The user code can\n then release its reference count and not care about what happens\n to the proxy. Managed proxies are deleted at destruction. NOTE:\n The name has to be unique (per group). If not, the existing proxy will be\n replaced (and unregistered). The proxy instances are grouped in collections\n (not necessarily the same as the group in the XML configuration file).\n These collections can be used to separate proxies based on their\n functionality. For example, implicit planes can be grouped together\n and the acceptable values of a proxy property can be restricted\n (using a domain) to this collection.\n"},
  {(char*)"GetProxy",                (PyCFunction)PyvtkSMProxyManager_GetProxy, 1,
   (char*)"V.GetProxy(string, string) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy (const char *groupname, const char *name);\nV.GetProxy(string) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy (const char *name);\n\n Given its name (and group) returns a proxy. If not a managed proxy, \n returns 0.\n"},
  {(char*)"GetNumberOfProxies",                (PyCFunction)PyvtkSMProxyManager_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies(string) -> int\nC++: unsigned int GetNumberOfProxies (const char *groupname);\n\n Returns the number of proxies in a group.\n"},
  {(char*)"GetProxyName",                (PyCFunction)PyvtkSMProxyManager_GetProxyName, 1,
   (char*)"V.GetProxyName(string, int) -> string\nC++: const char *GetProxyName (const char *groupname, unsigned int idx);\nV.GetProxyName(string, vtkSMProxy) -> string\nC++: const char *GetProxyName (const char *groupname, vtkSMProxy *proxy);\n\n Given a group and an index, returns the name of a proxy.\n NOTE: This operation is slow.\n"},
  {(char*)"IsProxyInGroup",                (PyCFunction)PyvtkSMProxyManager_IsProxyInGroup, 1,
   (char*)"V.IsProxyInGroup(vtkSMProxy, string) -> string\nC++: const char *IsProxyInGroup (vtkSMProxy *proxy, const char *groupname);\n\n Is the proxy is in the given group, return it's name, otherwise\n return null. NOTE: Any following call to proxy manager might make\n the returned pointer invalid.\n"},
  {(char*)"UnRegisterProxy",                (PyCFunction)PyvtkSMProxyManager_UnRegisterProxy, 1,
   (char*)"V.UnRegisterProxy(string, string)\nC++: void UnRegisterProxy (const char *groupname, const char *name);\nV.UnRegisterProxy(string)\nC++: void UnRegisterProxy (const char *name);\n\n Given its name, unregisters a proxy and remove it from the list\n of managed proxies. \n"},
  {(char*)"UnRegisterProxies",                (PyCFunction)PyvtkSMProxyManager_UnRegisterProxies, 1,
   (char*)"V.UnRegisterProxies()\nC++: void UnRegisterProxies ();\n\n Unregisters all managed proxies.\n"},
  {(char*)"UpdateRegisteredProxies",                (PyCFunction)PyvtkSMProxyManager_UpdateRegisteredProxies, 1,
   (char*)"V.UpdateRegisteredProxies(string)\nC++: void UpdateRegisteredProxies (const char *groupname);\nV.UpdateRegisteredProxies()\nC++: void UpdateRegisteredProxies ();\n\n Calls UpdateVTKObjects() on all managed proxies.\n"},
  {(char*)"SaveState",                (PyCFunction)PyvtkSMProxyManager_SaveState, 1,
   (char*)"V.SaveState(string)\nC++: void SaveState (const char *filename);\n\n Save the state of the server manager in XML format in a file.\n This saves the state of all proxies and properties. NOTE: The XML\n format is still evolving.\n"},
  {(char*)"InstantiateGroupPrototypes",                (PyCFunction)PyvtkSMProxyManager_InstantiateGroupPrototypes, 1,
   (char*)"V.InstantiateGroupPrototypes(string)\nC++: void InstantiateGroupPrototypes (const char *groupName);\n\n Given a group name, create prototypes and store them\n in a instance group called groupName_prototypes.\n"},
  {(char*)"GetNumberOfXMLGroups",                (PyCFunction)PyvtkSMProxyManager_GetNumberOfXMLGroups, 1,
   (char*)"V.GetNumberOfXMLGroups() -> int\nC++: unsigned int GetNumberOfXMLGroups ();\n\n Returns the number of XML groups from which proxies can\n be created.\n"},
  {(char*)"GetXMLGroupName",                (PyCFunction)PyvtkSMProxyManager_GetXMLGroupName, 1,
   (char*)"V.GetXMLGroupName(int) -> string\nC++: const char *GetXMLGroupName (unsigned int n);\n\n Returns the name of nth XML group.\n"},
  {(char*)"ProxyElementExists",                (PyCFunction)PyvtkSMProxyManager_ProxyElementExists, 1,
   (char*)"V.ProxyElementExists(string, string) -> int\nC++: int ProxyElementExists (const char *groupName, const char *proxyName);\n\n Returns 1 if a proxy element of given group and exists, 0\n otherwise. If a proxy element does not exist, a call to\n NewProxy() will fail.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMProxyManagerDoc[] = {
  (char*)"vtkSMProxyManager - singleton responsible for creating and managing proxies\n\n",
  "Super Class:\n\n vtkSMObject\n\n",
  (char*)" vtkSMProxyManager is a singleton that creates and manages proxies.\n It maintains a map of XML elements (populated by the XML parser) from\n which it can create and initialize proxies and properties.\n Once a proxy is created, it can either be managed by the user code or\n the proxy manager. For latter, pass the control of the proxy to the\n manager with RegisterProxy() and unregister it. At destructi",
  (char*)"on, proxy\n manager deletes all managed proxies.\n\n",
  "See Also:\n\n vtkSMXMLParser\n\n",
  NULL
};

static vtkObjectBase *vtkSMProxyManagerStaticNew()
{
  return vtkSMProxyManager::New();
}

PyObject *PyVTKClass_vtkSMProxyManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMProxyManagerStaticNew,
                        PyvtkSMProxyManagerMethods,
                        (char*)"vtkSMProxyManager",modulename,
                        (char**)vtkSMProxyManagerDoc,
                        PyVTKClass_vtkSMObjectNew(modulename));
}

