// python wrapper for vtkSMProxyProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMProxyProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMPropertyNew(char *); }

static PyObject *PyvtkSMProxyProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  const char    *temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxyProperty  *temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMProxyProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMProxyProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_AddProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::AddProxy(temp0);
      }
    else
      {
      temp20 = op->AddProxy(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::AddProxy(temp0,temp1);
      }
    else
      {
      temp20 = op->AddProxy(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_RemoveProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::RemoveProxy(temp0);
      }
    else
      {
      op->RemoveProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::RemoveProxy(temp0,temp1);
      }
    else
      {
      op->RemoveProxy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_SetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp0;
  vtkSMProxy  *temp1;
  PyObject *tempH1;
  int      temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMProxy");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::SetProxy(temp0,temp1);
      }
    else
      {
      temp20 = op->SetProxy(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_AddUncheckedProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::AddUncheckedProxy(temp0);
      }
    else
      {
      op->AddUncheckedProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_RemoveUncheckedProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProxy  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProxy");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::RemoveUncheckedProxy(temp0);
      }
    else
      {
      op->RemoveUncheckedProxy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_SetUncheckedProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp0;
  vtkSMProxy  *temp1;
  PyObject *tempH1;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkSMProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMProxy");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::SetUncheckedProxy(temp0,temp1);
      }
    else
      {
      op->SetUncheckedProxy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_RemoveAllUncheckedProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::RemoveAllUncheckedProxies();
      }
    else
      {
      op->RemoveAllUncheckedProxies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_RemoveAllProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::RemoveAllProxies();
      }
    else
      {
      op->RemoveAllProxies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::GetNumberOfProxies();
      }
    else
      {
      temp20 = op->GetNumberOfProxies();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_GetNumberOfUncheckedProxies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::GetNumberOfUncheckedProxies();
      }
    else
      {
      temp20 = op->GetNumberOfUncheckedProxies();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_GetProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp0;
  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::GetProxy(temp0);
      }
    else
      {
      temp20 = op->GetProxy(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_GetUncheckedProxy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  unsigned int      temp0;
  vtkSMProxy  *temp20;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMProxyProperty::GetUncheckedProxy(temp0);
      }
    else
      {
      temp20 = op->GetUncheckedProxy(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkSMProxyProperty_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMProxyProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkSMProxyProperty *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMProxyProperty::DeepCopy(temp0,temp1,temp2);
      }
    else
      {
      op->DeepCopy(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkSMProxyPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMProxyProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMProxyProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMProxyProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyProperty\nC++: vtkSMProxyProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMProxyProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyProperty\nC++: vtkSMProxyProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddProxy",                (PyCFunction)PyvtkSMProxyProperty_AddProxy, 1,
   (char*)"V.AddProxy(vtkSMProxy) -> int\nC++: int AddProxy (vtkSMProxy *proxy);\nV.AddProxy(vtkSMProxy, int) -> int\nC++: int AddProxy (vtkSMProxy *proxy, int modify);\n\n Add a proxy to the list of proxies.\n"},
  {(char*)"RemoveProxy",                (PyCFunction)PyvtkSMProxyProperty_RemoveProxy, 1,
   (char*)"V.RemoveProxy(vtkSMProxy)\nC++: void RemoveProxy (vtkSMProxy *proxy);\nV.RemoveProxy(vtkSMProxy, int)\nC++: void RemoveProxy (vtkSMProxy *proxy, int modify);\n\n Add a proxy to the list of proxies.\n"},
  {(char*)"SetProxy",                (PyCFunction)PyvtkSMProxyProperty_SetProxy, 1,
   (char*)"V.SetProxy(int, vtkSMProxy) -> int\nC++: int SetProxy (unsigned int idx, vtkSMProxy *proxy);\n\n Add a proxy to the list of proxies.\n"},
  {(char*)"AddUncheckedProxy",                (PyCFunction)PyvtkSMProxyProperty_AddUncheckedProxy, 1,
   (char*)"V.AddUncheckedProxy(vtkSMProxy)\nC++: void AddUncheckedProxy (vtkSMProxy *proxy);\n\n Add an unchecked proxy. Does not modify the property.\n Unchecked proxies are used by domains when verifying whether\n a value is acceptable. To check if a value is in the domains,\n you can do the following:\n @verbatim\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n @endverbatim\n"},
  {(char*)"RemoveUncheckedProxy",                (PyCFunction)PyvtkSMProxyProperty_RemoveUncheckedProxy, 1,
   (char*)"V.RemoveUncheckedProxy(vtkSMProxy)\nC++: void RemoveUncheckedProxy (vtkSMProxy *proxy);\n\n Add an unchecked proxy. Does not modify the property.\n Unchecked proxies are used by domains when verifying whether\n a value is acceptable. To check if a value is in the domains,\n you can do the following:\n @verbatim\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n @endverbatim\n"},
  {(char*)"SetUncheckedProxy",                (PyCFunction)PyvtkSMProxyProperty_SetUncheckedProxy, 1,
   (char*)"V.SetUncheckedProxy(int, vtkSMProxy)\nC++: void SetUncheckedProxy (unsigned int idx, vtkSMProxy *proxy);\n\n Add an unchecked proxy. Does not modify the property.\n Unchecked proxies are used by domains when verifying whether\n a value is acceptable. To check if a value is in the domains,\n you can do the following:\n @verbatim\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n @endverbatim\n"},
  {(char*)"RemoveAllUncheckedProxies",                (PyCFunction)PyvtkSMProxyProperty_RemoveAllUncheckedProxies, 1,
   (char*)"V.RemoveAllUncheckedProxies()\nC++: void RemoveAllUncheckedProxies ();\n\n Removes all unchecked proxies.\n"},
  {(char*)"RemoveAllProxies",                (PyCFunction)PyvtkSMProxyProperty_RemoveAllProxies, 1,
   (char*)"V.RemoveAllProxies()\nC++: void RemoveAllProxies ();\n\n Remove all proxies from the list.\n"},
  {(char*)"GetNumberOfProxies",                (PyCFunction)PyvtkSMProxyProperty_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies() -> int\nC++: unsigned int GetNumberOfProxies ();\n\n Returns the number of proxies.\n"},
  {(char*)"GetNumberOfUncheckedProxies",                (PyCFunction)PyvtkSMProxyProperty_GetNumberOfUncheckedProxies, 1,
   (char*)"V.GetNumberOfUncheckedProxies() -> int\nC++: unsigned int GetNumberOfUncheckedProxies ();\n\n Returns the number of unchecked proxies.\n"},
  {(char*)"GetProxy",                (PyCFunction)PyvtkSMProxyProperty_GetProxy, 1,
   (char*)"V.GetProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy (unsigned int idx);\n\n Return a proxy. No bounds check is performed.\n"},
  {(char*)"GetUncheckedProxy",                (PyCFunction)PyvtkSMProxyProperty_GetUncheckedProxy, 1,
   (char*)"V.GetUncheckedProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetUncheckedProxy (unsigned int idx);\n\n Return a proxy. No bounds check is performed.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMProxyProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSMProxyProperty_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSMProperty, string, int)\nC++: virtual void DeepCopy (vtkSMProperty *src, const char *exceptionClass, int proxyPropertyCopyFlag);\n\n Copy all proxies added to the src over to this by creating new \n instances for the proxies and inturn calling Copy to copy \n the proxies. exceptionClass and proxyPropertyCopyFlag are\n used while copying over the values from the two proxy properties.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMProxyPropertyDoc[] = {
  (char*)"vtkSMProxyProperty - property representing pointer(s) to vtkObject(s)\n\n",
  "Super Class:\n\n vtkSMProperty\n\n",
  (char*)" vtkSMProxyProperty is a concrete sub-class of vtkSMProperty representing\n pointer(s) to vtkObject(s) (through vtkSMProxy). If \n UpdateSelf is true, the proxy ids (as opposed to the server object ids)\n are passed to the stream. \n Note: This property connects two proxies: proxy A (to which this property\n belongs) and proxy B (or more) (which is to be proxy A by using this \n property).\n The way this",
  (char*)" is set depends on the number of IDs of the two proxies.\n If A and B have same number of IDs, the vtkObject represented by i'th ID on\n B is set on the server object represented by i'th ID on A. If A has 1 ID and\n B has more than one, than all IDs in B are set on A one after the other. \n If B has 1 ID and A has more than one, than vtkObject represented by B is \n set on all the server objects of A.\n",
  (char*)" \n ProxyProperty supports attribute \"remove_command\". Note that if RemoveCommand \n is set,  the clean_command is ignored. When RemoveCommand is set, only the \n changes in the proxies (by AddProxy/RemoveProxy) are progaated to servers \n .ie. those proxies not \n present in the previous call to AppendCommandToStream are set on the \n servers using this->Command\n and those missing during current call a",
  (char*)"re removed from the servers using \n this->RemoveCommand. Note that a property with \"RemoveCommand\" set should \n not be shared among more than 1 proxies.\n \nTODO: Update comment\n\n",
  "See Also:\n\n vtkSMProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMProxyPropertyStaticNew()
{
  return vtkSMProxyProperty::New();
}

PyObject *PyVTKClass_vtkSMProxyPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMProxyPropertyStaticNew,
                        PyvtkSMProxyPropertyMethods,
                        (char*)"vtkSMProxyProperty",modulename,
                        (char**)vtkSMProxyPropertyDoc,
                        PyVTKClass_vtkSMPropertyNew(modulename));
}

