// python wrapper for vtkSMRampKeyFrameProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMRampKeyFrameProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMRampKeyFrameProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMRampKeyFrameProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMKeyFrameProxyNew(char *); }

static PyObject *PyvtkSMRampKeyFrameProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRampKeyFrameProxy *op;

  const char    *temp20;
  if ((op = (vtkSMRampKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRampKeyFrameProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRampKeyFrameProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRampKeyFrameProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMRampKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRampKeyFrameProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRampKeyFrameProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRampKeyFrameProxy *op;

  vtkSMRampKeyFrameProxy  *temp20;
  if ((op = (vtkSMRampKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMRampKeyFrameProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMRampKeyFrameProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMRampKeyFrameProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMRampKeyFrameProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMRampKeyFrameProxy_UpdateValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMRampKeyFrameProxy *op;

  double   temp0;
  vtkSMAnimationCueProxy  *temp1;
  PyObject *tempH1;
  vtkSMKeyFrameProxy  *temp2;
  PyObject *tempH2;
  if ((op = (vtkSMRampKeyFrameProxy *)PyArg_VTKParseTuple(self, args, (char*)"dOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkSMAnimationCueProxy *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSMAnimationCueProxy");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkSMKeyFrameProxy *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkSMKeyFrameProxy");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMRampKeyFrameProxy::UpdateValue(temp0,temp1,temp2);
      }
    else
      {
      op->UpdateValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkSMRampKeyFrameProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMRampKeyFrameProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMRampKeyFrameProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMRampKeyFrameProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMRampKeyFrameProxy\nC++: vtkSMRampKeyFrameProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMRampKeyFrameProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMRampKeyFrameProxy\nC++: vtkSMRampKeyFrameProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"UpdateValue",                (PyCFunction)PyvtkSMRampKeyFrameProxy_UpdateValue, 1,
   (char*)"V.UpdateValue(float, vtkSMAnimationCueProxy, vtkSMKeyFrameProxy)\nC++: virtual void UpdateValue (double currenttime, vtkSMAnimationCueProxy *cueProxy, vtkSMKeyFrameProxy *next);\n\n This method will do the actual interpolation.\n currenttime is normalized to the time range between\n this key frame and the next key frame.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMRampKeyFrameProxyDoc[] = {
  (char*)"vtkSMRampKeyFrameProxy\n\n",
  "Super Class:\n\n vtkSMKeyFrameProxy\n\n",
  (char*)" Interplates lineraly between consequtive key frames.\n\n",
  NULL
};

static vtkObjectBase *vtkSMRampKeyFrameProxyStaticNew()
{
  return vtkSMRampKeyFrameProxy::New();
}

PyObject *PyVTKClass_vtkSMRampKeyFrameProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMRampKeyFrameProxyStaticNew,
                        PyvtkSMRampKeyFrameProxyMethods,
                        (char*)"vtkSMRampKeyFrameProxy",modulename,
                        (char**)vtkSMRampKeyFrameProxyDoc,
                        PyVTKClass_vtkSMKeyFrameProxyNew(modulename));
}

