// python wrapper for vtkSMSimpleDoubleInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSimpleDoubleInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSimpleDoubleInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSimpleDoubleInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMSimpleDoubleInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleDoubleInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMSimpleDoubleInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleDoubleInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleDoubleInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleDoubleInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSimpleDoubleInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleDoubleInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleDoubleInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleDoubleInformationHelper *op;

  vtkSMSimpleDoubleInformationHelper  *temp20;
  if ((op = (vtkSMSimpleDoubleInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleDoubleInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleDoubleInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSimpleDoubleInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSimpleDoubleInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMSimpleDoubleInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSimpleDoubleInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSimpleDoubleInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSimpleDoubleInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSimpleDoubleInformationHelper\nC++: vtkSMSimpleDoubleInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSimpleDoubleInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSimpleDoubleInformationHelper\nC++: vtkSMSimpleDoubleInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSimpleDoubleInformationHelperDoc[] = {
  (char*)"vtkSMSimpleDoubleInformationHelper - populates vtkSMDoubleVectorProperty with the results of it's command\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMSimpleDoubleInformationHelper only works with \n vtkSMDoubleVectorProperties. It calls the property's Command on the\n root node of the associated server and populates the property using\n the values returned.\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkSMDoubleVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMSimpleDoubleInformationHelperStaticNew()
{
  return vtkSMSimpleDoubleInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMSimpleDoubleInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSimpleDoubleInformationHelperStaticNew,
                        PyvtkSMSimpleDoubleInformationHelperMethods,
                        (char*)"vtkSMSimpleDoubleInformationHelper",modulename,
                        (char**)vtkSMSimpleDoubleInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

