// python wrapper for vtkSMSimpleIntInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMSimpleIntInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSimpleIntInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSimpleIntInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMSimpleIntInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleIntInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMSimpleIntInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleIntInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleIntInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleIntInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMSimpleIntInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleIntInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleIntInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMSimpleIntInformationHelper *op;

  vtkSMSimpleIntInformationHelper  *temp20;
  if ((op = (vtkSMSimpleIntInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMSimpleIntInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMSimpleIntInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMSimpleIntInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMSimpleIntInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMSimpleIntInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMSimpleIntInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMSimpleIntInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMSimpleIntInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSimpleIntInformationHelper\nC++: vtkSMSimpleIntInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMSimpleIntInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSimpleIntInformationHelper\nC++: vtkSMSimpleIntInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMSimpleIntInformationHelperDoc[] = {
  (char*)"vtkSMSimpleIntInformationHelper - populates vtkSMIntVectorProperty with the results of it's command\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMSimpleIntInformationHelper only works with \n vtkSMIntVectorProperties. It calls the property's Command on the\n root node of the associated server and populates the property using\n the values returned.\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkSMIntVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMSimpleIntInformationHelperStaticNew()
{
  return vtkSMSimpleIntInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMSimpleIntInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMSimpleIntInformationHelperStaticNew,
                        PyvtkSMSimpleIntInformationHelperMethods,
                        (char*)"vtkSMSimpleIntInformationHelper",modulename,
                        (char**)vtkSMSimpleIntInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

