// python wrapper for vtkSMStringVectorProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMStringVectorProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStringVectorPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStringVectorPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMVectorPropertyNew(char *); }

static PyObject *PyvtkSMStringVectorProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  const char    *temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  vtkSMStringVectorProperty  *temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMStringVectorProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMStringVectorProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetNumberOfElements();
      }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_SetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMStringVectorProperty::SetNumberOfElements(temp0);
      }
    else
      {
      op->SetNumberOfElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_SetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::SetElement(temp0,temp1);
      }
    else
      {
      temp20 = op->SetElement(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_GetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetElement(temp0);
      }
    else
      {
      temp20 = op->GetElement(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_SetElementType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  int      temp1;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMStringVectorProperty::SetElementType(temp0,temp1);
      }
    else
      {
      op->SetElementType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_GetElementType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  int      temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetElementType(temp0);
      }
    else
      {
      temp20 = op->GetElementType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_GetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  const char    *temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetUncheckedElement(temp0);
      }
    else
      {
      temp20 = op->GetUncheckedElement(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_SetUncheckedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp0;
  char    *temp1;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMStringVectorProperty::SetUncheckedElement(temp0,temp1);
      }
    else
      {
      op->SetUncheckedElement(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_GetNumberOfUncheckedElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  unsigned int      temp20;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMStringVectorProperty::GetNumberOfUncheckedElements();
      }
    else
      {
      temp20 = op->GetNumberOfUncheckedElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMStringVectorProperty_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMStringVectorProperty *op;

  vtkSMProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSMStringVectorProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSMProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSMProperty");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkSMStringVectorProperty::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkSMStringVectorPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMStringVectorProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMStringVectorProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMStringVectorProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStringVectorProperty\nC++: vtkSMStringVectorProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMStringVectorProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMStringVectorProperty\nC++: vtkSMStringVectorProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkSMStringVectorProperty_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: virtual unsigned int GetNumberOfElements ();\n\n Returns the size of the vector.\n"},
  {(char*)"SetNumberOfElements",                (PyCFunction)PyvtkSMStringVectorProperty_SetNumberOfElements, 1,
   (char*)"V.SetNumberOfElements(int)\nC++: virtual void SetNumberOfElements (unsigned int num);\n\n Sets the size of the vector. If num is larger than the current\n number of elements, this may cause reallocation and copying.\n"},
  {(char*)"SetElement",                (PyCFunction)PyvtkSMStringVectorProperty_SetElement, 1,
   (char*)"V.SetElement(int, string) -> int\nC++: int SetElement (unsigned int idx, const char *value);\n\n Set the value of 1 element. The vector is resized as necessary.\n Returns 0 if Set fails either because the property is read only\n or the value is not in all domains. Returns 1 otherwise.\n"},
  {(char*)"GetElement",                (PyCFunction)PyvtkSMStringVectorProperty_GetElement, 1,
   (char*)"V.GetElement(int) -> string\nC++: const char *GetElement (unsigned int idx);\n\n Returns the value of 1 element.\n"},
  {(char*)"SetElementType",                (PyCFunction)PyvtkSMStringVectorProperty_SetElementType, 1,
   (char*)"V.SetElementType(int, int)\nC++: void SetElementType (unsigned int idx, int type);\n\n Set the cast type used when passing a value to the stream.\n For example, if the type is INT, the string is converted\n to an int (with atoi()) before being passed to stream.\n Note that representing scalar values as strings can result\n in loss of accuracy.\n Possible values are: INT, DOUBLE, STRING.\n"},
  {(char*)"GetElementType",                (PyCFunction)PyvtkSMStringVectorProperty_GetElementType, 1,
   (char*)"V.GetElementType(int) -> int\nC++: int GetElementType (unsigned int idx);\n\n Set the cast type used when passing a value to the stream.\n For example, if the type is INT, the string is converted\n to an int (with atoi()) before being passed to stream.\n Note that representing scalar values as strings can result\n in loss of accuracy.\n Possible values are: INT, DOUBLE, STRING.\n"},
  {(char*)"GetUncheckedElement",                (PyCFunction)PyvtkSMStringVectorProperty_GetUncheckedElement, 1,
   (char*)"V.GetUncheckedElement(int) -> string\nC++: const char *GetUncheckedElement (unsigned int idx);\n\n Returns the value of 1 unchecked element. These are used by\n domains. SetElement() first sets the value of 1 unchecked\n element and then calls IsInDomain and updates the value of\n the corresponding element only if IsInDomain passes.\n"},
  {(char*)"SetUncheckedElement",                (PyCFunction)PyvtkSMStringVectorProperty_SetUncheckedElement, 1,
   (char*)"V.SetUncheckedElement(int, string)\nC++: void SetUncheckedElement (unsigned int idx, const char *value);\n\n Set the value of 1 unchecked element. This can be used to\n check if a value is in all domains of the property. Call\n this and call IsInDomains().\n"},
  {(char*)"GetNumberOfUncheckedElements",                (PyCFunction)PyvtkSMStringVectorProperty_GetNumberOfUncheckedElements, 1,
   (char*)"V.GetNumberOfUncheckedElements() -> int\nC++: virtual unsigned int GetNumberOfUncheckedElements ();\n\n Returns the size of unchecked elements. Usually this is\n the same as the number of elements but can be different\n before a domain check is performed.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkSMStringVectorProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy (vtkSMProperty *src);\n\n Copy all property values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMStringVectorPropertyDoc[] = {
  (char*)"vtkSMStringVectorProperty - property representing a vector of strings\n\n",
  "Super Class:\n\n vtkSMVectorProperty\n\n",
  (char*)" vtkSMStringVectorProperty is a concrete sub-class of vtkSMVectorProperty\n representing a vector of strings. vtkSMStringVectorProperty can also\n be used to store double and int values as strings. The strings\n are converted to the appropriate type when they are being passed\n to the stream. This is generally used for calling methods that have mixed \n type arguments.\n\n",
  "See Also:\n\n vtkSMVectorProperty vtkSMDoubleVectorProperty vtkSMIntVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMStringVectorPropertyStaticNew()
{
  return vtkSMStringVectorProperty::New();
}

PyObject *PyVTKClass_vtkSMStringVectorPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMStringVectorPropertyStaticNew,
                        PyvtkSMStringVectorPropertyMethods,
                        (char*)"vtkSMStringVectorProperty",modulename,
                        (char**)vtkSMStringVectorPropertyDoc,
                        PyVTKClass_vtkSMVectorPropertyNew(modulename));
}

