// python wrapper for vtkSMWriterProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMWriterProxy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMWriterProxyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMWriterProxyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMSourceProxyNew(char *); }

static PyObject *PyvtkSMWriterProxy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMWriterProxy *op;

  const char    *temp20;
  if ((op = (vtkSMWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMWriterProxy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMWriterProxy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMWriterProxy *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMWriterProxy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMWriterProxy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMWriterProxy *op;

  vtkSMWriterProxy  *temp20;
  if ((op = (vtkSMWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMWriterProxy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMWriterProxy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMWriterProxy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMWriterProxy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSMWriterProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMWriterProxy *op;

  if ((op = (vtkSMWriterProxy *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSMWriterProxy::UpdatePipeline();
      }
    else
      {
      op->UpdatePipeline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSMWriterProxyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMWriterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMWriterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMWriterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMWriterProxy\nC++: vtkSMWriterProxy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMWriterProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMWriterProxy\nC++: vtkSMWriterProxy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"UpdatePipeline",                (PyCFunction)PyvtkSMWriterProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline()\nC++: virtual void UpdatePipeline ();\n\n Updates the pipeline and writes the file(s).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMWriterProxyDoc[] = {
  (char*)"vtkSMWriterProxy - proxy for a VTK writer on a server\n\n",
  "Super Class:\n\n vtkSMSourceProxy\n\n",
  (char*)" vtkSMWriterProxy manages VTK writers that are created on a server using\n the proxy pattern.\n\n",
  NULL
};

static vtkObjectBase *vtkSMWriterProxyStaticNew()
{
  return vtkSMWriterProxy::New();
}

PyObject *PyVTKClass_vtkSMWriterProxyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMWriterProxyStaticNew,
                        PyvtkSMWriterProxyMethods,
                        (char*)"vtkSMWriterProxy",modulename,
                        (char**)vtkSMWriterProxyDoc,
                        PyVTKClass_vtkSMSourceProxyNew(modulename));
}

