// python wrapper for vtkSMXDMFInformationHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSMXDMFInformationHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMXDMFInformationHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMXDMFInformationHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSMInformationHelperNew(char *); }

static PyObject *PyvtkSMXDMFInformationHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFInformationHelper *op;

  const char    *temp20;
  if ((op = (vtkSMXDMFInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFInformationHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFInformationHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFInformationHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSMXDMFInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFInformationHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFInformationHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSMXDMFInformationHelper *op;

  vtkSMXDMFInformationHelper  *temp20;
  if ((op = (vtkSMXDMFInformationHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSMXDMFInformationHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSMXDMFInformationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSMXDMFInformationHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSMXDMFInformationHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSMXDMFInformationHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSMXDMFInformationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSMXDMFInformationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSMXDMFInformationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMXDMFInformationHelper\nC++: vtkSMXDMFInformationHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSMXDMFInformationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMXDMFInformationHelper\nC++: vtkSMXDMFInformationHelper *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSMXDMFInformationHelperDoc[] = {
  (char*)"vtkSMXDMFInformationHelper - populates vtkSMStringVectorProperty using a vtkPVServerXDMFParameters\n\n",
  "Super Class:\n\n vtkSMInformationHelper\n\n",
  (char*)" vtkSMXDMFInformationHelper only works with vtkSMStringVectorProperties. It\n populates the property using the server side helper object. Each\n XDMF parameters are stored as 5 component tuples: name, current value, \n first index, stride, count\n\n",
  "See Also:\n\n vtkSMInformationHelper vtkPVServerXDMFParameters vtkSMStringVectorProperty\n\n",
  NULL
};

static vtkObjectBase *vtkSMXDMFInformationHelperStaticNew()
{
  return vtkSMXDMFInformationHelper::New();
}

PyObject *PyVTKClass_vtkSMXDMFInformationHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkSMXDMFInformationHelperStaticNew,
                        PyvtkSMXDMFInformationHelperMethods,
                        (char*)"vtkSMXDMFInformationHelper",modulename,
                        (char**)vtkSMXDMFInformationHelperDoc,
                        PyVTKClass_vtkSMInformationHelperNew(modulename));
}

